/**
 * @semantic-ui/core v0.12.4
 * Semantic empowers designers and developers by creating a shared vocabulary for UI.
 *
 * @license MIT
 * @copyright (c) 2025 Jack Lukic <jack@semantic-ui.com>
 * @homepage http://next.semantic-ui.com
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// src/components/container/container.js
import { defineComponent } from "https://cdn.jsdelivr.net/npm/@semantic-ui/component@0.12.4/dist/index.min.js";

// src/components/container/specs/container-component.json
var container_component_default = {
  tagName: "ui-container"
};

// src/components/container/container.html?raw
var container_default = "{{>slot}}\n";

// src/components/container/container-bundle.css?raw
var container_bundle_default = "/**\n  ---DO NOT EDIT THIS FILE DIRECTLY---\n  This CSS file was concatenated from files listed in the css/ folder as part of a build process\n  This is to allow for js import with @import links which will not be followed\n**/\n\n/* src/components/container/css/definition/content/container.css */\n@layer container.definition.content.container {\n  :host {\n    display: block;\n    max-width: 100%;\n  }\n  @media only screen and (max-width: 767px) {\n    :host {\n      width: auto;\n      margin-left: 1em;\n      margin-right: 1em;\n    }\n  }\n  @media only screen and (min-width: 768px) and (max-width: 991px) {\n    :host {\n      width: 723px;\n      margin-left: auto;\n      margin-right: auto;\n    }\n  }\n  @media only screen and (min-width: 992px) and (max-width: 1199px) {\n    :host {\n      width: 933px;\n      margin-left: auto;\n      margin-right: auto;\n    }\n  }\n  @media only screen and (min-width: 1200px) {\n    :host {\n      width: 1127px;\n      margin-left: auto;\n      margin-right: auto;\n    }\n  }\n  :host.text {\n    max-width: 700px;\n    line-height: 1.5;\n  }\n  :host.fluid {\n    width: 100%;\n  }\n}\n\n/* src/components/container/css/definition/variations/aligned.css */\n@layer container.definition.variations.aligned;\n\n/* src/components/container/css/definition/container-definition.css */\n\n/* src/components/container/css/theme/content/container-variables.css */\n@layer container.theme.content.container {\n  :host {\n  }\n}\n\n/* src/components/container/css/theme/variations/aligned-variables.css */\n@layer container.theme.variations.aligned {\n  :host {\n  }\n}\n\n/* src/components/container/css/theme/container-theme.css */\n\n/* src/components/container/css/container.css */\n";

// src/components/container/container.js
var createComponent = ({ $ }) => ({});
var UIContainer = defineComponent({
  tagName: "ui-container",
  componentSpec: container_component_default,
  template: container_default,
  css: container_bundle_default,
  createComponent
});
export {
  UIContainer
};
//# sourceMappingURL=container.js.map
