/**
 * @semantic-ui/core v0.12.4
 * Semantic empowers designers and developers by creating a shared vocabulary for UI.
 *
 * @license MIT
 * @copyright (c) 2025 Jack Lukic <jack@semantic-ui.com>
 * @homepage http://next.semantic-ui.com
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// src/components/rail/rail.js
import { defineComponent } from "https://cdn.jsdelivr.net/npm/@semantic-ui/component@0.12.4/dist/index.min.js";

// src/components/rail/specs/rail-component.json
var rail_component_default = {
  tagName: "ui-rail"
};

// src/components/rail/rail.html?raw
var rail_default = '<div class="rail"></div>\n';

// src/components/rail/rail-bundle.css?raw
var rail_bundle_default = "/**\n  ---DO NOT EDIT THIS FILE DIRECTLY---\n  This CSS file was concatenated from files listed in the css/ folder as part of a build process\n  This is to allow for js import with @import links which will not be followed\n**/\n\n/* src/components/rail/css/definition/content/rail.css */\n@layer rail.definition.content.rail;\n\n/* src/components/rail/css/definition/variations/aligned.css */\n@layer rail.definition.variations.aligned;\n\n/* src/components/rail/css/definition/rail-definition.css */\n\n/* src/components/rail/css/theme/content/rail-variables.css */\n@layer rail.theme.content.rail {\n  :host {\n  }\n}\n\n/* src/components/rail/css/theme/variations/aligned-variables.css */\n@layer rail.theme.variations.aligned {\n  :host {\n  }\n}\n\n/* src/components/rail/css/theme/rail-theme.css */\n\n/* src/components/rail/css/rail.css */\n";

// src/components/rail/rail.js
var createComponent = ({ $ }) => ({});
var UIRail = defineComponent({
  tagName: "ui-rail",
  componentSpec: rail_component_default,
  template: rail_default,
  css: rail_bundle_default,
  createComponent
});
export {
  UIRail
};
//# sourceMappingURL=rail.js.map
