/**
 * @semantic-ui/core v0.12.4
 * Semantic empowers designers and developers by creating a shared vocabulary for UI.
 *
 * @license MIT
 * @copyright (c) 2025 Jack Lukic <jack@semantic-ui.com>
 * @homepage http://next.semantic-ui.com
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// src/components/segment/segment.js
import { defineComponent } from "https://cdn.jsdelivr.net/npm/@semantic-ui/component@0.12.4/dist/index.min.js";

// src/components/segment/specs/segment-component.json
var segment_component_default = {
  tagName: "ui-menu",
  types: [
    "placeholder"
  ],
  attributes: [
    "placeholder"
  ],
  propertyTypes: {
    placeholder: "boolean"
  }
};

// src/components/segment/segment.html?raw
var segment_default = '<div class="segment">\n  {{>slot}}\n</div>\n';

// src/components/segment/segment-bundle.css?raw
var segment_bundle_default = "/**\n  ---DO NOT EDIT THIS FILE DIRECTLY---\n  This CSS file was concatenated from files listed in the css/ folder as part of a build process\n  This is to allow for js import with @import links which will not be followed\n**/\n\n/* src/components/segment/css/definition/content/segment.css */\n@layer segment.definition {\n  @layer segment.definition.content.segment;\n}\n\n/* src/components/segment/css/definition/variations/aligned.css */\n@layer segment.definition {\n  @layer segment.definition.variations.aligned;\n}\n\n/* src/components/segment/css/definition/segment-definition.css */\n@layer segment.definition;\n\n/* src/components/segment/css/theme/segment-theme.css */\n@layer segment.theme;\n\n/* src/components/segment/css/segment.css */\n";

// src/components/segment/segment.js
var createComponent = ({ $ }) => ({});
var UISegment = defineComponent({
  tagName: "ui-segment",
  componentSpec: segment_component_default,
  template: segment_default,
  css: segment_bundle_default,
  createComponent
});
export {
  UISegment
};
//# sourceMappingURL=segment.js.map
