/**
 * @semantic-ui/core v0.12.4
 * Semantic empowers designers and developers by creating a shared vocabulary for UI.
 *
 * @license MIT
 * @copyright (c) 2025 Jack Lukic <jack@semantic-ui.com>
 * @homepage http://next.semantic-ui.com
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import{defineComponent as xt}from"@semantic-ui/component";var x={tagName:"ui-container"};var f=`{{>slot}}
`;var k=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/container/css/definition/content/container.css */
@layer container.definition.content.container {
  :host {
    display: block;
    max-width: 100%;
  }
  @media only screen and (max-width: 767px) {
    :host {
      width: auto;
      margin-left: 1em;
      margin-right: 1em;
    }
  }
  @media only screen and (min-width: 768px) and (max-width: 991px) {
    :host {
      width: 723px;
      margin-left: auto;
      margin-right: auto;
    }
  }
  @media only screen and (min-width: 992px) and (max-width: 1199px) {
    :host {
      width: 933px;
      margin-left: auto;
      margin-right: auto;
    }
  }
  @media only screen and (min-width: 1200px) {
    :host {
      width: 1127px;
      margin-left: auto;
      margin-right: auto;
    }
  }
  :host.text {
    max-width: 700px;
    line-height: 1.5;
  }
  :host.fluid {
    width: 100%;
  }
}

/* src/components/container/css/definition/variations/aligned.css */
@layer container.definition.variations.aligned;

/* src/components/container/css/definition/container-definition.css */

/* src/components/container/css/theme/content/container-variables.css */
@layer container.theme.content.container {
  :host {
  }
}

/* src/components/container/css/theme/variations/aligned-variables.css */
@layer container.theme.variations.aligned {
  :host {
  }
}

/* src/components/container/css/theme/container-theme.css */

/* src/components/container/css/container.css */
`;var ft=({$:t})=>({}),y=xt({tagName:"ui-container",componentSpec:x,template:f,css:k,createComponent:ft});import{defineComponent as Ct}from"@semantic-ui/component";var z={tagName:"ui-rail"};var C=`<div class="rail"></div>
`;var M=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/rail/css/definition/content/rail.css */
@layer rail.definition.content.rail;

/* src/components/rail/css/definition/variations/aligned.css */
@layer rail.definition.variations.aligned;

/* src/components/rail/css/definition/rail-definition.css */

/* src/components/rail/css/theme/content/rail-variables.css */
@layer rail.theme.content.rail {
  :host {
  }
}

/* src/components/rail/css/theme/variations/aligned-variables.css */
@layer rail.theme.variations.aligned {
  :host {
  }
}

/* src/components/rail/css/theme/rail-theme.css */

/* src/components/rail/css/rail.css */
`;var Mt=({$:t})=>({}),B=Ct({tagName:"ui-rail",componentSpec:z,template:C,css:M,createComponent:Mt});import{defineComponent as St}from"@semantic-ui/component";var u=t=>t!==null&&typeof t=="object";var v=t=>Array.isArray(t);var d=t=>t;var j=(t,e)=>{typeof e=="number"&&(e={delay:e});let{delay:r=200,immediate:a=!1}=e,i,o=!1;function n(...l){let s=()=>{i=null,a||t.apply(this,l),o=!1},c=a&&!i;clearTimeout(i),i=setTimeout(s,r),c&&!o&&(o=!0,t.apply(this,l))}return n.cancel=()=>{clearTimeout(i),i=null,o=!1},n};var w=function(t,e=""){if(typeof e!="string")return;function r(n){let l=n.substring(0,n.indexOf("[")),s=parseInt(n.substring(n.indexOf("[")+1,n.indexOf("]")),10);return{key:l,index:s}}function a(n){let l=n.indexOf(".");if(l!==-1){let s=n.indexOf(".",l+1);if(s!==-1)return n.slice(0,s)}return n}if(t===null||!u(t))return;let i=e.split("."),o=t;for(let n=0;n<i.length;n++){if(o===null||!u(o))return;let l=i[n];if(l.includes("[")){let{key:s,index:c}=r(l);if(s in o&&v(o[s])&&c<o[s].length)o=o[s][c];else return}else if(l in o)o=o[l];else{let s=i.slice(n).join(".");if(s in o){o=o[s];break}else{let c=a(`${l}.${i[n+1]}`);if(c in o)o=o[c],n++;else return}}}return o};var A=(t,e=[])=>e.indexOf(t)>-1;var Ie=1/2.4;var g={tagName:"ui-button",content:["icon"],contentAttributes:["icon"],types:["emphasis","toggle","animated"],variations:["attached","basic","type","circular","color","compact","social","positive","warning","negative","info","transparent","floated","fluid","size","inverted"],states:["hover","focused","active","disabled","loading"],settings:["icon-only","icon-after","href"],attributes:["icon","emphasis","toggle","animated","hover","focused","active","disabled","loading","attached","basic","type","circular","color","compact","social","positive","warning","negative","info","transparent","floated","fluid","size","inverted","icon-only","icon-after","href"],optionAttributes:{primary:"emphasis",secondary:"emphasis","horizontal-animated":"animated","vertical-animated":"animated","fade-animated":"animated",disabled:"disabled","clickable-disabled":"disabled","top-attached":"attached",attached:"attached","bottom-attached":"attached","left-attached":"attached","right-attached":"attached",basic:"basic","very-basic":"basic",submit:"type",reset:"type",red:"color",orange:"color",yellow:"color",olive:"color",green:"color",teal:"color",blue:"color",violet:"color",purple:"color",pink:"color",brown:"color",grey:"color",black:"color",compact:"compact","very-compact":"compact",instagram:"social",facebook:"social",twitter:"social",linkedin:"social",youtube:"social",positive:"positive","subtle-positive":"positive",warning:"warning","subtle-warning":"warning",negative:"negative","subtle-negative":"negative",info:"info","subtle-info":"info","left-floated":"floated","right-floated":"floated",mini:"size",tiny:"size",small:"size",medium:"size",large:"size",big:"size",huge:"size",massive:"size"},propertyTypes:{icon:"string",emphasis:"string",toggle:"boolean",animated:"string",hover:"boolean",focused:"boolean",active:"boolean",disabled:"string",loading:"boolean",attached:"string",basic:"string",type:"string",circular:"boolean",color:"string",compact:"string",social:"string",positive:"string",warning:"string",negative:"string",info:"string",transparent:"boolean",floated:"string",fluid:"boolean",size:"string",inverted:"boolean","icon-only":"boolean","icon-after":"boolean",href:"string"},allowedValues:{emphasis:["primary","secondary"],animated:["horizontal-animated","vertical-animated","fade-animated"],disabled:["disabled","clickable-disabled"],attached:["top-attached","attached","bottom-attached","left-attached","right-attached"],basic:["basic","very-basic"],type:["submit","reset"],color:["red","orange","yellow","olive","green","teal","blue","violet","purple","pink","brown","grey","black"],compact:["compact","very-compact"],social:["instagram","facebook","twitter","linkedin","youtube"],positive:["positive","subtle-positive"],warning:["warning","subtle-warning"],negative:["negative","subtle-negative"],info:["info","subtle-info"],floated:["left-floated","right-floated"],size:["mini","tiny","small","medium","large","big","huge","massive"]},attributeClasses:["icon","animated","disabled","attached","social"],inheritedPluralVariations:["inverted","size","floated","compact","color","attached"]};var F=`{#if href}
  <a class="{ui}button" href="{href}">
    {> content}
  </a>
{else}
  <div class="{ui}button" tabindex="0" part="button">
    {> content}
  </div>
{/if}

{#snippet content}
  {#if animated}
    {> animated}
  {else}
    {#if isIconBefore}
      {> icon}
    {/if}
    {#if not iconOnly}
      <span class="text">
        {> slot}
      </span>
    {/if}
    {#if isIconAfter}
      {> icon}
    {/if}
  {/if}
{/snippet}

{#snippet icon}
  <ui-icon icon={icon} class="icon" part="icon"></ui-icon>
{/snippet}

{#snippet animated}
  <span class="hidden content">
    {>slot hidden}
  </span>
  <span class="visible content">
    {>slot visible}
  </span>
{/snippet}
`;var h=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/button/css/definition/content/button.css */
@layer button.definition.content.button {
  :host {
    -webkit-user-select: none;
    user-select: none;
    font-size: 1rem;
  }
  *,
  :after,
  :before {
    box-sizing: border-box;
    user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
  }
  .button {
    cursor: pointer;
    display: inline-block;
    min-height: 1em;
    border: var(--button-border);
    margin: 0em var(--button-horizontal-margin) var(--button-vertical-margin) 0em;
    vertical-align: var(--button-vertical-align);
    background: var(--button-background);
    color: var(--button-text-color);
    font-family: var(--button-font-family);
    padding: var(--button-padding);
    text-transform: var(--button-text-transform);
    text-shadow: var(--button-text-shadow);
    font-weight: var(--button-font-weight);
    line-height: var(--button-line-height);
    font-style: normal;
    text-align: center;
    text-decoration: none;
    border-radius: var(--button-border-radius);
    box-shadow: var(--button-box-shadow);
    -webkit-user-select: none;
    user-select: none;
    transition: var(--button-transition);
    will-change: var(--button-will-change);
    -webkit-tap-highlight-color: var(--button-tap-color);
    outline: var(--button-border);
  }
}

/* src/components/button/css/definition/content/icon.css */
@layer button.definition.content.icon {
  .button ui-icon {
    vertical-align: top;
    opacity: var(--button-icon-opacity);
  }
  .button ui-icon:only-child {
    margin: 0rem;
  }
}

/* src/components/button/css/definition/content/label.css */
@layer button.definition.content.label {
  .button .label {
  }
}

/* src/components/button/css/definition/plural/buttons.css */
@layer button.definition.plural {
  .buttons {
    display: inline-flex;
    flex-direction: row;
    vertical-align: baseline;
    margin: var(--button-vertical-margin) var(--button-horizontal-margin) 0em 0em;
  }
  .buttons:not(.basic):not(.inverted) {
    box-shadow: var(--button-group-box-shadow);
  }
}

/* src/components/button/css/definition/states/hover.css */
@layer button.definition.states.hover {
  @media (pointer: fine) {
    .button.hover,
    .button:hover {
      background-color: var(--button-hover-background-color);
      background-image: var(--button-hover-background-image);
      box-shadow: var(--button-hover-box-shadow);
      color: var(--button-hover-color);
    }
    .button.hover .icon,
    .button:hover .icon {
      opacity: var(--button-hover-icon-opacity);
    }
  }
}

/* src/components/button/css/definition/states/focus.css */
@layer button.definition.states.focus {
  .button.focused,
  .button:focus {
    background-color: var(--button-focus-background-color);
    background-image: var(--button-focus-background-image);
    color: var(--button-focus-color);
    box-shadow: var(--button-focus-box-shadow);
  }
  .button.focused .icon,
  .button:focus .icon {
    opacity: var(--button-focus-icon-opacity);
  }
  .button:focus-visible {
    box-shadow: var(--button-focus-box-shadow), var(--focused-ring-shadow) !important;
  }
}

/* src/components/button/css/definition/states/pressed.css */
@layer button.definition.states.pressed {
  @media (pointer: fine) {
    .button:active,
    .active.button:active {
      background-color: var(--button-pressed-background-color);
      background-image: var(--button-pressed-background-image);
      color: var(--button-pressed-color);
      box-shadow: var(--button-pressed-box-shadow);
    }
  }
  .pressed.button,
  .active.pressed.button {
    background-color: var(--button-pressed-background-color);
    background-image: var(--button-pressed-background-image);
    color: var(--button-pressed-color);
    box-shadow: var(--button-pressed-box-shadow);
  }
}

/* src/components/button/css/definition/states/active.css */
@layer button.definition.states.active {
  .active.button {
    background-color: var(--button-active-background-color);
    background-image: var(--button-active-background-image);
    box-shadow: var(--button-active-box-shadow);
    color: var(--button-active-color);
  }
  .active.button:hover {
    background-color: var(--button-active-hover-background-color);
    background-image: var(--button-active-hover-background-image);
    color: var(--button-active-hover-color);
    box-shadow: var(--button-active-hover-box-shadow);
  }
  .active.button:active {
    background-color: var(--button-active-down-background-color);
    background-image: var(--button-active-down-background-image);
    color: var(--button-active-down-color);
    box-shadow: var(--button-active-down-box-shadow);
  }
}

/* src/components/button/css/definition/states/disabled.css */
@layer button.definition.states.disabled {
  .disabled.button,
  .disabled.button:hover,
  .disabled.active.button {
    pointer-events: none;
    cursor: var(--button-disabled-cursor);
    opacity: var(--button-disabled-opacity) !important;
    color: var(--button-disabled-color);
    box-shadow: var(--button-disabled-box-shadow) !important;
  }
  .disabled.button.standard {
    background-color: var(--button-disabled-background-color) !important;
    background-image: var(--button-disabled-background-image) !important;
  }
  ui-button[disabled] {
    cursor: var(--button-disabled-cursor);
    pointer-events: none !important;
  }
  .clickable-disabled.button {
    pointer-events: auto !important;
    cursor: var(--button-clickable-disabled-cursor) !important;
  }
  .clickable-disabled.button:active {
    box-shadow: var(--button-pressed-box-shadow) !important;
  }
  ui-button[clickable-disabled] {
    pointer-events: auto !important;
    cursor: var(--button-clickable-disabled-cursor) !important;
  }
}

/* src/components/button/css/definition/states/loading.css */
@layer button.definition.states.loading {
  .loading.button:not(.icon) {
    position: relative;
    cursor: default;
    text-shadow: none !important;
    color: transparent !important;
    opacity: var(--button-loading-opacity);
    pointer-events: auto;
    transition: var(--button-loading-transition);
  }
  .loading.icon.button .icon {
    position: relative;
    color: transparent !important;
  }
  .loading.icon.button > .icon:before,
  .loading.button:not(.icon)::before {
    position: absolute;
    content: "";
    top: 50%;
    left: 50%;
    margin: var(--loader-margin);
    width: var(--loader-size);
    height: var(--loader-size);
    border-radius: var(--circular-radius);
    border: var(--loader-line-width) solid var(--loader-fill-color);
  }
  .loading.icon.button > .icon:after,
  .loading.button:not(.icon)::after {
    position: absolute;
    content: "";
    top: 50%;
    left: 50%;
    margin: var(--loader-margin);
    width: var(--loader-size);
    height: var(--loader-size);
    animation: button-spin var(--loader-speed) linear;
    animation-iteration-count: infinite;
    border-radius: var(--circular-radius);
    border-color: var(--loader-line-color) transparent transparent;
    border-style: solid;
    border-width: var(--loader-line-width);
    box-shadow: 0px 0px 0px 1px transparent;
  }
  @keyframes button-spin {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
  .loading.button.inverted .icon:before,
  .loading.button.inverted:before {
    border-color: var(--inverted-loader-fill-color);
  }
  .loading.button.inverted .icon:after,
  .loading.button.inverted:after {
    border-top-color: var(--inverted-loader-line-color);
  }
}

/* src/components/button/css/definition/types/animated.css */
@layer button.definition.types.animated {
  .animated.button {
    position: relative;
    overflow: hidden;
    padding-right: 0em !important;
    vertical-align: var(--button-animated-vertical-align);
    z-index: var(--button-animated-z-index);
  }
  .animated.button > .content {
    display: inline-block;
    box-sizing: border-box;
    will-change: transform, opacity;
  }
  .animated.button > .visible.content {
    position: relative;
    margin-right: var(--button-horizontal-padding);
  }
  .animated.button > .hidden.content {
    position: absolute;
    width: 100%;
  }
  .animated.animated.button > .visible.content,
  .animated.button > .hidden.content {
    transition: right var(--button-animation-duration) var(--button-animation-easing) 0s;
  }
  .animated.button > .visible.content {
    left: auto;
    right: 0%;
  }
  .animated.button > .hidden.content {
    top: 50%;
    left: auto;
    right: -100%;
    margin-top: calc(var(--button-line-height) / 2 * -1);
  }
  .animated.button:focus > .visible.content,
  .animated.button:hover > .visible.content {
    left: auto;
    right: 200%;
  }
  .animated.button:focus > .hidden.content,
  .animated.button:hover > .hidden.content {
    left: auto;
    right: 0%;
  }
  .vertical-animated.button > .visible.content,
  .vertical-animated.button > .hidden.content {
    transition: top var(--button-animation-duration) var(--button-animation-easing), transform var(--button-animation-duration) var(--button-animation-easing);
  }
  .vertical-animated.button > .visible.content {
    transform: translateY(0%);
    right: auto;
  }
  .vertical-animated.button > .hidden.content {
    top: -50%;
    left: 0%;
  }
  .vertical-animated.button:focus > .visible.content,
  .vertical-animated.button:hover > .visible.content {
    transform: translateY(200%);
    right: auto;
  }
  .vertical-animated.button:focus > .hidden.content,
  .vertical-animated.button:hover > .hidden.content {
    top: 50%;
  }
  .fade-animated.button > .visible.content,
  .fade-animated.button > .hidden.content {
    transition: opacity var(--button-animation-duration) var(--button-animation-easing), transform var(--button-animation-duration) var(--button-animation-easing);
  }
  .fade-animated.button > .visible.content {
    left: auto;
    right: auto;
    opacity: 1;
    transform: scale(1);
  }
  .fade-animated.button > .hidden.content {
    opacity: 0;
    left: 0%;
    right: auto;
    transform: scale(var(--button-fade-scale-high));
  }
  .fade-animated.button:focus > .visible.content,
  .fade-animated.button:hover > .visible.content {
    left: auto;
    right: auto;
    opacity: 0;
    transform: scale(var(--button-fade-scale-low));
  }
  .fade-animated.button:focus > .hidden.content,
  .fade-animated.button:hover > .hidden.content {
    left: 0%;
    right: auto;
    opacity: 1;
    transform: scale(1);
  }
}

/* src/components/button/css/definition/types/emphasis.css */
@layer button.definition.types.emphasis {
  .primary.buttons .button,
  .primary.button {
    background-color: var(--button-primary-color);
    color: var(--button-primary-text-color);
    text-shadow: var(--button-primary-text-shadow);
    background-image: var(--button-primary-background-image);
  }
  .primary.button {
    box-shadow: var(--button-primary-box-shadow);
  }
  .primary.buttons .button:hover,
  .primary.button:hover {
    background-color: var(--button-primary-color-hover);
    color: var(--button-primary-text-color);
    text-shadow: var(--button-primary-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .primary.buttons .button:focus,
  .primary.button:focus {
    background-color: var(--button-primary-color-focus);
    color: var(--button-primary-text-color);
    text-shadow: var(--button-primary-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .primary.buttons .button.pressed,
  .primary.buttons .button:active,
  .primary.button.pressed,
  .primary.button:active {
    background-color: var(--button-primary-color-down);
    color: var(--button-primary-text-color);
    text-shadow: var(--button-primary-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .primary.buttons .active.button,
  .primary.buttons .active.button:active,
  .primary.active.button,
  .primary.button .active.button:active {
    background-color: var(--button-primary-color-active);
    color: var(--button-primary-text-color);
    text-shadow: var(--button-primary-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
  .secondary.buttons .button,
  .secondary.button {
    background-color: var(--button-secondary-color);
    color: var(--button-secondary-text-color);
    text-shadow: var(--button-secondary-text-shadow);
    background-image: var(--button-colored-background-image);
  }
  .secondary.button {
    box-shadow: var(--button-colored-box-shadow);
  }
  .secondary.buttons .button:hover,
  .secondary.button:hover {
    background-color: var(--button-secondary-color-hover);
    color: var(--button-secondary-text-color);
    text-shadow: var(--button-secondary-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .secondary.buttons .button:focus,
  .secondary.button:focus {
    background-color: var(--button-secondary-color-focus);
    color: var(--button-secondary-text-color);
    text-shadow: var(--button-secondary-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .secondary.buttons .button:active,
  .secondary.buttons .button.pressed,
  .secondary.button.pressed,
  .secondary.button:active {
    background-color: var(--button-secondary-color-down);
    color: var(--button-secondary-text-color);
    text-shadow: var(--button-secondary-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .secondary.buttons .active.button,
  .secondary.buttons .active.button:active,
  .secondary.active.button,
  .secondary.button .active.button:active {
    background-color: var(--button-secondary-color-active);
    color: var(--button-secondary-text-color);
    text-shadow: var(--button-secondary-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
}

/* src/components/button/css/definition/types/icon.css */
@layer button.definition.types.icon {
  .icon-only.buttons .button,
  .icon-only.button {
    padding: var(--button-vertical-padding);
  }
  .icon-only.buttons .button > ui-icon,
  .icon-only.button > ui-icon {
    opacity: 1;
    margin: 0em;
    vertical-align: top;
  }
  .icon-after.buttons .button > ui-icon,
  .icon-after.button > ui-icon {
    margin-right: 0rem;
    margin-left: var(--icon-distance-from-text);
  }
}

/* src/components/button/css/definition/types/labeled.css */
@layer button.definition.types.labeled {
  .labeled.button:not(.icon) {
    display: inline-flex;
    flex-direction: row;
    background: none !important;
    padding: 0px !important;
    border: none !important;
    box-shadow: none !important;
  }
  .labeled.button > .button {
    margin: 0px;
  }
  .labeled.button > .label {
    display: flex;
    align-items: var(--labeled-label-align);
    margin: 0px 0px 0px var(--labeled-label-border-offset) !important;
    padding: var(--labeled-label-padding);
    font-size: var(--labeled-label-font-size);
    border-color: var(--labeled-label-border-color);
  }
  .labeled.button > .tag.label::before {
    width: var(--labeled-tag-label-size);
    height: var(--labeled-tag-label-size);
  }
  .labeled.button:not([class*="left labeled"]) > .button {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
  }
  .labeled.button:not([class*="left labeled"]) > .label {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
  }
  [class*="left labeled"].button > .button {
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
  }
  [class*="left labeled"].button > .label {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
  }
}

/* src/components/button/css/definition/types/labeled-icon.css */
@layer button.definition.types.labeled-icon {
  .labeled.icon.buttons .button,
  .labeled.icon.button {
    position: relative;
    padding-left: var(--labeled-icon-padding) !important;
    padding-right: var(--horizontal-padding) !important;
  }
  .labeled.icon.buttons > .button > .icon,
  .labeled.icon.button > .icon {
    position: absolute;
    height: 100%;
    line-height: 1;
    border-radius: 0px;
    border-top-left-radius: inherit;
    border-bottom-left-radius: inherit;
    text-align: center;
    margin: var(--labeled-icon-margin);
    width: var(--labeled-icon-width);
    background-color: var(--labeled-icon-background-color);
    color: var(--labeled-icon-color);
    box-shadow: var(--labeled-icon-left-shadow);
  }
  .labeled.icon.buttons > .button > .icon,
  .labeled.icon.button > .icon {
    top: 0em;
    left: 0em;
  }
  [class*="right labeled"].icon.button {
    padding-right: var(--labeled-icon-padding) !important;
    padding-left: var(--horizontal-padding) !important;
  }
  [class*="right labeled"].icon.button > .icon {
    left: auto;
    right: 0em;
    border-radius: 0px;
    border-top-right-radius: inherit;
    border-bottom-right-radius: inherit;
    box-shadow: var(--labeled-icon-right-shadow);
  }
  .labeled.icon.buttons > .button > .icon::before,
  .labeled.icon.button > .icon::before,
  .labeled.icon.buttons > .button > .icon::after,
  .labeled.icon.button > .icon::after {
    display: block;
    position: absolute;
    width: 100%;
    top: 50%;
    text-align: center;
    transform: translateY(-50%);
  }
  .labeled.icon.button > .icon.loading {
    animation: none;
  }
  .labeled.icon.button > .icon.loading::before {
    animation: labeled-button-icon-loading var(--loading-icon-duration) linear infinite;
  }
  @keyframes labeled-button-icon-loading {
    from {
      transform: translateY(-50%) rotate(0deg);
    }
    to {
      transform: translateY(-50%) rotate(360deg);
    }
  }
  .labeled.icon.buttons .button > .icon {
    border-radius: 0em;
  }
  .labeled.icon.buttons .button:first-child > .icon {
    border-top-left-radius: var(--border-radius);
    border-bottom-left-radius: var(--border-radius);
  }
  .labeled.icon.buttons .button:last-child > .icon {
    border-top-right-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
  }
  .vertical.labeled.icon.buttons .button:first-child > .icon {
    border-radius: 0em;
    border-top-left-radius: var(--border-radius);
  }
  .vertical.labeled.icon.buttons .button:last-child > .icon {
    border-radius: 0em;
    border-bottom-left-radius: var(--border-radius);
  }
  .fluid[class*="left labeled"].icon.button,
  .fluid[class*="right labeled"].icon.button {
    padding-left: var(--horizontal-padding) !important;
    padding-right: var(--horizontal-padding) !important;
  }
}

/* src/components/button/css/definition/types/transparent.css */
@layer button.definition.types.transparent {
  .transparent.button {
    background-image: var(--button-transparent-background-image);
    background-color: var(--button-transparent-background-color);
    color: var(--button-transparent-text-color);
    box-shadow: var(--button-transparent-box-shadow) !important;
  }
  .transparent.button:hover {
    background-image: var(--button-transparent-hover-background-image);
    background-color: var(--button-transparent-hover-background-color);
    color: var(--button-transparent-hover-text-color);
    box-shadow: var(--button-transparent-hover-box-shadow) !important;
  }
  .transparent.button:active {
    background-image: var(--button-transparent-pressed-background-image);
    background-color: var(--button-transparent-pressed-background-color);
    color: var(--button-transparent-pressed-text-color);
    box-shadow: var(--button-transparent-pressed-box-shadow) !important;
  }
  .transparent.button.active {
    background-image: var(--button-transparent-active-background-image);
    background-color: var(--button-transparent-active-background-color);
    color: var(--button-transparent-active-text-color) !important;
    box-shadow: var(--button-transparent-active-box-shadow) !important;
  }
  .transparent.inverted.button {
    background-image: var(--button-transparent-inverted-background-image);
    background-color: var(--button-transparent-inverted-background-color);
    color: var(--button-transparent-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    box-shadow: var(--button-transparent-inverted-box-shadow) !important;
  }
  .transparent.inverted.button:hover {
    background-image: var(--button-transparent-inverted-hover-background-image);
    background-color: var(--button-transparent-inverted-hover-background-color);
    color: var(--button-transparent-inverted-hover-text-color);
    box-shadow: var(--button-transparent-inverted-hover-box-shadow) !important;
  }
  .transparent.inverted.button:active {
    background-image: var(--button-transparent-inverted-pressed-background-image);
    background-color: var(--button-transparent-inverted-pressed-background-color);
    color: var(--button-transparent-inverted-pressed-text-color);
    box-shadow: var(--button-transparent-inverted-pressed-box-shadow) !important;
  }
  .transparent.inverted.button.active {
    background-image: var(--button-transparent-inverted-active-background-image);
    background-color: var(--button-transparent-inverted-active-background-color);
    color: var(--button-transparent-inverted-active-text-color) !important;
    box-shadow: var(--button-transparent-inverted-active-box-shadow) !important;
  }
}

/* src/components/button/css/definition/types/toggle.css */
@layer button.definition.types.toggle {
  .toggle.buttons .active.button,
  .buttons .button.toggle.active,
  .button.toggle.active {
    background-color: var(--button-toggle-active-background) !important;
    color: var(--button-toggle-active-color) !important;
    text-shadow: var(--button-toggle-active-text-shadow);
  }
  .button.toggle.active:hover {
    background-color: var(--button-toggle-active-hover-background) !important;
    color: var(--button-toggle-active-hover-color) !important;
  }
}

/* src/components/button/css/definition/variations/basic.css */
@layer button.definition.variations.basic {
  .basic.buttons .button,
  .basic.button {
    background: var(--button-basic-background) !important;
    color: var(--button-basic-text-color) !important;
    font-weight: var(--button-basic-font-weight);
    border-radius: var(--button-basic-border-radius);
    text-transform: var(--button-basic-text-transform);
    text-shadow: none !important;
    box-shadow: var(--button-basic-box-shadow);
  }
  .basic.buttons {
    box-shadow: var(--button-basic-group-box-shadow);
    border: var(--button-basic-group-border);
    border-radius: var(--button-border-radius);
  }
  .basic.buttons .button {
    border-radius: 0em;
  }
  .basic.buttons .button:hover,
  .basic.button:hover {
    background: var(--button-basic-hover-background) !important;
    color: var(--button-basic-hover-text-color) !important;
    box-shadow: var(--button-basic-hover-box-shadow);
  }
  .basic.buttons .button:focus,
  .basic.button:focus {
    background: var(--button-basic-focus-background) !important;
    color: var(--button-basic-focus-text-color) !important;
    box-shadow: var(--button-basic-focus-box-shadow);
  }
  .basic.buttons .button:active,
  .basic.button:active {
    background: var(--button-basic-down-background) !important;
    color: var(--button-basic-down-text-color) !important;
    box-shadow: var(--button-basic-down-box-shadow);
  }
  .basic.buttons .active.button,
  .basic.active.button {
    background: var(--button-basic-active-background) !important;
    box-shadow: var(--button-basic-active-box-shadow) !important;
    color: var(--button-basic-active-text-color) !important;
  }
  .basic.buttons .active.button:hover,
  .basic.active.button:hover {
    background-color: var(--button-transparent-black);
  }
  .basic.buttons .button:hover {
    box-shadow: var(--button-basic-hover-box-shadow) inset;
  }
  .basic.buttons .button:active {
    box-shadow: var(--button-basic-down-box-shadow) inset;
  }
  .basic.buttons .active.button {
    box-shadow: var(--button-basic-active-box-shadow) !important;
  }
  .basic.inverted.buttons .button,
  .basic.inverted.button {
    background-color: transparent !important;
    color: var(--button-off-white) !important;
    box-shadow: var(--button-basic-inverted-box-shadow) !important;
  }
  .basic.inverted.buttons .button:hover,
  .basic.inverted.button:hover {
    color: var(--button-white) !important;
    box-shadow: var(--button-basic-inverted-hover-box-shadow) !important;
  }
  .basic.inverted.buttons .button:focus,
  .basic.inverted.button:focus {
    color: var(--button-white) !important;
    box-shadow: var(--button-basic-inverted-focus-box-shadow) !important;
  }
  .basic.inverted.buttons .button:active,
  .basic.inverted.button:active {
    background-color: var(--button-transparent-white) !important;
    color: var(--button-white) !important;
    box-shadow: var(--button-basic-inverted-down-box-shadow) !important;
  }
  .basic.inverted.buttons .active.button,
  .basic.inverted.active.button {
    background-color: var(--button-transparent-white);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    box-shadow: var(--button-basic-inverted-active-box-shadow);
  }
  .basic.inverted.buttons .active.button:hover,
  .basic.inverted.active.button:hover {
    background-color: var(--button-strong-transparent-white);
    box-shadow: var(--button-basic-inverted-hover-box-shadow) !important;
  }
  .basic.buttons .button {
    border-left: var(--button-basic-group-border);
    box-shadow: none;
  }
  .basic.vertical.buttons .button {
    border-left: none;
  }
  .basic.vertical.buttons .button {
    border-left-width: 0px;
    border-top: var(--button-basic-group-border);
  }
  .basic.vertical.buttons .button:first-child {
    border-top-width: 0px;
  }
}

/* src/components/button/css/definition/variations/attached.css */
@layer button.definition.variations.attached {
  .attached.button {
    position: relative;
    display: block;
    margin: 0em;
    border-radius: 0em;
    box-shadow: var(--button-attached-box-shadow);
  }
  .attached.button:active {
    box-shadow: var(--button-attached-pressed-box-shadow);
  }
  .top-attached.button {
    border-radius: var(--button-border-radius) var(--button-border-radius) 0em 0em;
  }
  .bottom-attached.button {
    border-radius: 0em 0em var(--button-border-radius) var(--button-border-radius);
  }
  .left-attached.button {
    display: inline-block;
    border-left: none;
    text-align: right;
    padding-right: var(--button-attached-horizontal-padding);
    border-radius: var(--button-border-radius) 0em 0em var(--button-border-radius);
  }
  .right-attached.button {
    display: inline-block;
    text-align: left;
    padding-left: var(--button-attached-horizontal-padding);
    border-radius: 0em var(--button-border-radius) var(--button-border-radius) 0em;
  }
  .attached.buttons {
    position: relative;
    display: flex;
    border-radius: 0em;
    width: auto;
    z-index: var(--button-attached-z-index);
    margin-left: var(--button-attached-offset);
    margin-right: var(--button-attached-offset);
  }
  .attached.buttons .button {
    margin: 0em;
  }
  .attached.buttons .button:first-child {
    border-radius: 0em;
  }
  .attached.buttons .button:last-child {
    border-radius: 0em;
  }
  .top-attached.buttons {
    margin-bottom: var(--button-attached-offset);
    border-radius: var(--button-border-radius) var(--button-border-radius) 0em 0em;
  }
  .top-attached.buttons .button:first-child {
    border-radius: var(--button-border-radius) 0em 0em 0em;
  }
  .top-attached.buttons .button:last-child {
    border-radius: 0em var(--button-border-radius) 0em 0em;
  }
  .top-attached.buttons {
    margin-top: var(--button-attached-offset);
    border-radius: 0em 0em var(--button-border-radius) var(--button-border-radius);
  }
  .top-attached.buttons .button:first-child {
    border-radius: 0em 0em 0em var(--button-border-radius);
  }
  .top-attached.buttons .button:last-child {
    border-radius: 0em 0em var(--button-border-radius) 0em;
  }
  .left-attached.buttons {
    display: inline-flex;
    margin-right: 0em;
    margin-left: var(--button-attached-offset);
    border-radius: 0em var(--button-border-radius) var(--button-border-radius) 0em;
  }
  .left-attached.buttons .button:first-child {
    margin-left: var(--button-attached-offset);
    border-radius: 0em var(--button-border-radius) 0em 0em;
  }
  .left-attached.buttons .button:last-child {
    margin-left: var(--button-attached-offset);
    border-radius: 0em 0em var(--button-border-radius) 0em;
  }
  .right-attached.buttons {
    display: inline-flex;
    margin-left: 0em;
    margin-right: var(--button-attached-offset);
    border-radius: var(--button-border-radius) 0em 0em var(--button-border-radius);
  }
  .right-attached.buttons .button:first-child {
    margin-left: var(--button-attached-offset);
    border-radius: var(--button-border-radius) 0em 0em 0em;
  }
  .right-attached.buttons .button:last-child {
    margin-left: var(--button-attached-offset);
    border-radius: 0em 0em 0em var(--button-border-radius);
  }
}

/* src/components/button/css/definition/variations/circular.css */
@layer button.definition.variations.circular {
  .circular.button {
    border-radius: var(--circular-radius);
  }
  .circular.button > .icon {
    width: 1em;
    vertical-align: baseline;
  }
}

/* src/components/button/css/definition/variations/colored.css */
@layer button.definition.variations.colored {
  .red.buttons,
  .red.button {
    --button-text-color: var(--button-red-text-color);
    --button-text-shadow: var(--button-red-text-shadow);
    --button-background: var(--button-red) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .red.buttons,
  .red.button:hover {
    --button-hover-color: var(--button-red-text-color);
    --button-hover-text-shadow: var(--button-red-text-shadow);
    --button-hover-background-color: var(--button-red-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .red.buttons,
  .red.button:focus {
    --button-focus-background-color: var(--button-red-focus);
    --button-focus-color: var(--button-red-text-color);
    --button-focus-text-shadow: var(--button-red-text-shadow);
  }
  .red.buttons,
  .red.button.pressed,
  .red.button:active {
    --button-pressed-background-color: var(--button-red-pressed);
    --button-pressed-color: var(--button-red-text-color);
    --button-pressed-text-shadow: var(--button-red-text-shadow);
  }
  .red.buttons .active.button,
  .red.buttons .active.button.pressed,
  .red.buttons .active.button:active,
  .red.active.button,
  .red.button .active.button.pressed,
  .red.button .active.button:active {
    background-color: var(--button-red-active);
    color: var(--button-red-text-color);
    text-shadow: var(--button-red-text-shadow);
  }
  .orange.buttons,
  .orange.button {
    --button-text-color: var(--button-orange-text-color);
    --button-text-shadow: var(--button-orange-text-shadow);
    --button-background: var(--button-orange) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .orange.buttons,
  .orange.button:hover {
    --button-hover-color: var(--button-orange-text-color);
    --button-hover-text-shadow: var(--button-orange-text-shadow);
    --button-hover-background-color: var(--button-orange-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .orange.buttons,
  .orange.button:focus {
    --button-focus-background-color: var(--button-orange-focus);
    --button-focus-color: var(--button-orange-text-color);
    --button-focus-text-shadow: var(--button-orange-text-shadow);
  }
  .orange.buttons,
  .orange.button.pressed,
  .orange.button:active {
    --button-pressed-background-color: var(--button-orange-pressed);
    --button-pressed-color: var(--button-orange-text-color);
    --button-pressed-text-shadow: var(--button-orange-text-shadow);
  }
  .orange.buttons .active.button,
  .orange.buttons .active.button.pressed,
  .orange.buttons .active.button:active,
  .orange.active.button,
  .orange.button .active.button.pressed,
  .orange.button .active.button:active {
    background-color: var(--button-orange-active);
    color: var(--button-orange-text-color);
    text-shadow: var(--button-orange-text-shadow);
  }
  .yellow.buttons,
  .yellow.button {
    --button-text-color: var(--button-yellow-text-color);
    --button-text-shadow: var(--button-yellow-text-shadow);
    --button-background: var(--button-yellow) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .yellow.buttons,
  .yellow.button:hover {
    --button-hover-color: var(--button-yellow-text-color);
    --button-hover-text-shadow: var(--button-yellow-text-shadow);
    --button-hover-background-color: var(--button-yellow-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .yellow.buttons,
  .yellow.button:focus {
    --button-focus-background-color: var(--button-yellow-focus);
    --button-focus-color: var(--button-yellow-text-color);
    --button-focus-text-shadow: var(--button-yellow-text-shadow);
  }
  .yellow.buttons,
  .yellow.button.pressed,
  .yellow.button:active {
    --button-pressed-background-color: var(--button-yellow-pressed);
    --button-pressed-color: var(--button-yellow-text-color);
    --button-pressed-text-shadow: var(--button-yellow-text-shadow);
  }
  .yellow.buttons .active.button,
  .yellow.buttons .active.button.pressed,
  .yellow.buttons .active.button:active,
  .yellow.active.button,
  .yellow.button .active.button.pressed,
  .yellow.button .active.button:active {
    background-color: var(--button-yellow-active);
    color: var(--button-yellow-text-color);
    text-shadow: var(--button-yellow-text-shadow);
  }
  .olive.buttons,
  .olive.button {
    --button-text-color: var(--button-olive-text-color);
    --button-text-shadow: var(--button-olive-text-shadow);
    --button-background: var(--button-olive) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .olive.buttons,
  .olive.button:hover {
    --button-hover-color: var(--button-olive-text-color);
    --button-hover-text-shadow: var(--button-olive-text-shadow);
    --button-hover-background-color: var(--button-olive-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .olive.buttons,
  .olive.button:focus {
    --button-focus-background-color: var(--button-olive-focus);
    --button-focus-color: var(--button-olive-text-color);
    --button-focus-text-shadow: var(--button-olive-text-shadow);
  }
  .olive.buttons,
  .olive.button.pressed,
  .olive.button:active {
    --button-pressed-background-color: var(--button-olive-pressed);
    --button-pressed-color: var(--button-olive-text-color);
    --button-pressed-text-shadow: var(--button-olive-text-shadow);
  }
  .olive.buttons .active.button,
  .olive.buttons .active.button.pressed,
  .olive.buttons .active.button:active,
  .olive.active.button,
  .olive.button .active.button.pressed,
  .olive.button .active.button:active {
    background-color: var(--button-olive-active);
    color: var(--button-olive-text-color);
    text-shadow: var(--button-olive-text-shadow);
  }
  .green.buttons,
  .green.button {
    --button-text-color: var(--button-green-text-color);
    --button-text-shadow: var(--button-green-text-shadow);
    --button-background: var(--button-green) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .green.buttons,
  .green.button:hover {
    --button-hover-color: var(--button-green-text-color);
    --button-hover-text-shadow: var(--button-green-text-shadow);
    --button-hover-background-color: var(--button-green-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .green.buttons,
  .green.button:focus {
    --button-focus-background-color: var(--button-green-focus);
    --button-focus-color: var(--button-green-text-color);
    --button-focus-text-shadow: var(--button-green-text-shadow);
  }
  .green.buttons,
  .green.button.pressed,
  .green.button:active {
    --button-pressed-background-color: var(--button-green-pressed);
    --button-pressed-color: var(--button-green-text-color);
    --button-pressed-text-shadow: var(--button-green-text-shadow);
  }
  .green.buttons .active.button,
  .green.buttons .active.button.pressed,
  .green.buttons .active.button:active,
  .green.active.button,
  .green.button .active.button.pressed,
  .green.button .active.button:active {
    background-color: var(--button-green-active);
    color: var(--button-green-text-color);
    text-shadow: var(--button-green-text-shadow);
  }
  .teal.buttons,
  .teal.button {
    --button-text-color: var(--button-teal-text-color);
    --button-text-shadow: var(--button-teal-text-shadow);
    --button-background: var(--button-teal) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .teal.buttons,
  .teal.button:hover {
    --button-hover-color: var(--button-teal-text-color);
    --button-hover-text-shadow: var(--button-teal-text-shadow);
    --button-hover-background-color: var(--button-teal-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .teal.buttons,
  .teal.button:focus {
    --button-focus-background-color: var(--button-teal-focus);
    --button-focus-color: var(--button-teal-text-color);
    --button-focus-text-shadow: var(--button-teal-text-shadow);
  }
  .teal.buttons,
  .teal.button.pressed,
  .teal.button:active {
    --button-pressed-background-color: var(--button-teal-pressed);
    --button-pressed-color: var(--button-teal-text-color);
    --button-pressed-text-shadow: var(--button-teal-text-shadow);
  }
  .teal.buttons .active.button,
  .teal.buttons .active.button.pressed,
  .teal.buttons .active.button:active,
  .teal.active.button,
  .teal.button .active.button.pressed,
  .teal.button .active.button:active {
    background-color: var(--button-teal-active);
    color: var(--button-teal-text-color);
    text-shadow: var(--button-teal-text-shadow);
  }
  .blue.buttons,
  .blue.button {
    --button-text-color: var(--button-blue-text-color);
    --button-text-shadow: var(--button-blue-text-shadow);
    --button-background: var(--button-blue) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .blue.buttons,
  .blue.button:hover {
    --button-hover-color: var(--button-blue-text-color);
    --button-hover-text-shadow: var(--button-blue-text-shadow);
    --button-hover-background-color: var(--button-blue-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .blue.buttons,
  .blue.button:focus {
    --button-focus-background-color: var(--button-blue-focus);
    --button-focus-color: var(--button-blue-text-color);
    --button-focus-text-shadow: var(--button-blue-text-shadow);
  }
  .blue.buttons,
  .blue.button.pressed,
  .blue.button:active {
    --button-pressed-background-color: var(--button-blue-pressed);
    --button-pressed-color: var(--button-blue-text-color);
    --button-pressed-text-shadow: var(--button-blue-text-shadow);
  }
  .blue.buttons .active.button,
  .blue.buttons .active.button.pressed,
  .blue.buttons .active.button:active,
  .blue.active.button,
  .blue.button .active.button.pressed,
  .blue.button .active.button:active {
    background-color: var(--button-blue-active);
    color: var(--button-blue-text-color);
    text-shadow: var(--button-blue-text-shadow);
  }
  .violet.buttons,
  .violet.button {
    --button-text-color: var(--button-violet-text-color);
    --button-text-shadow: var(--button-violet-text-shadow);
    --button-background: var(--button-violet) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .violet.buttons,
  .violet.button:hover {
    --button-hover-color: var(--button-violet-text-color);
    --button-hover-text-shadow: var(--button-violet-text-shadow);
    --button-hover-background-color: var(--button-violet-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .violet.buttons,
  .violet.button:focus {
    --button-focus-background-color: var(--button-violet-focus);
    --button-focus-color: var(--button-violet-text-color);
    --button-focus-text-shadow: var(--button-violet-text-shadow);
  }
  .violet.buttons,
  .violet.button.pressed,
  .violet.button:active {
    --button-pressed-background-color: var(--button-violet-pressed);
    --button-pressed-color: var(--button-violet-text-color);
    --button-pressed-text-shadow: var(--button-violet-text-shadow);
  }
  .violet.buttons .active.button,
  .violet.buttons .active.button.pressed,
  .violet.buttons .active.button:active,
  .violet.active.button,
  .violet.button .active.button.pressed,
  .violet.button .active.button:active {
    background-color: var(--button-violet-active);
    color: var(--button-violet-text-color);
    text-shadow: var(--button-violet-text-shadow);
  }
  .purple.buttons,
  .purple.button {
    --button-text-color: var(--button-purple-text-color);
    --button-text-shadow: var(--button-purple-text-shadow);
    --button-background: var(--button-purple) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .purple.buttons,
  .purple.button:hover {
    --button-hover-color: var(--button-purple-text-color);
    --button-hover-text-shadow: var(--button-purple-text-shadow);
    --button-hover-background-color: var(--button-purple-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .purple.buttons,
  .purple.button:focus {
    --button-focus-background-color: var(--button-purple-focus);
    --button-focus-color: var(--button-purple-text-color);
    --button-focus-text-shadow: var(--button-purple-text-shadow);
  }
  .purple.buttons,
  .purple.button.pressed,
  .purple.button:active {
    --button-pressed-background-color: var(--button-purple-pressed);
    --button-pressed-color: var(--button-purple-text-color);
    --button-pressed-text-shadow: var(--button-purple-text-shadow);
  }
  .purple.buttons .active.button,
  .purple.buttons .active.button.pressed,
  .purple.buttons .active.button:active,
  .purple.active.button,
  .purple.button .active.button.pressed,
  .purple.button .active.button:active {
    background-color: var(--button-purple-active);
    color: var(--button-purple-text-color);
    text-shadow: var(--button-purple-text-shadow);
  }
  .pink.buttons,
  .pink.button {
    --button-text-color: var(--button-pink-text-color);
    --button-text-shadow: var(--button-pink-text-shadow);
    --button-background: var(--button-pink) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .pink.buttons,
  .pink.button:hover {
    --button-hover-color: var(--button-pink-text-color);
    --button-hover-text-shadow: var(--button-pink-text-shadow);
    --button-hover-background-color: var(--button-pink-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .pink.buttons,
  .pink.button:focus {
    --button-focus-background-color: var(--button-pink-focus);
    --button-focus-color: var(--button-pink-text-color);
    --button-focus-text-shadow: var(--button-pink-text-shadow);
  }
  .pink.buttons,
  .pink.button.pressed,
  .pink.button:active {
    --button-pressed-background-color: var(--button-pink-pressed);
    --button-pressed-color: var(--button-pink-text-color);
    --button-pressed-text-shadow: var(--button-pink-text-shadow);
  }
  .pink.buttons .active.button,
  .pink.buttons .active.button.pressed,
  .pink.buttons .active.button:active,
  .pink.active.button,
  .pink.button .active.button.pressed,
  .pink.button .active.button:active {
    background-color: var(--button-pink-active);
    color: var(--button-pink-text-color);
    text-shadow: var(--button-pink-text-shadow);
  }
  .brown.buttons,
  .brown.button {
    --button-text-color: var(--button-brown-text-color);
    --button-text-shadow: var(--button-brown-text-shadow);
    --button-background: var(--button-brown) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .brown.buttons,
  .brown.button:hover {
    --button-hover-color: var(--button-brown-text-color);
    --button-hover-text-shadow: var(--button-brown-text-shadow);
    --button-hover-background-color: var(--button-brown-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .brown.buttons,
  .brown.button:focus {
    --button-focus-background-color: var(--button-brown-focus);
    --button-focus-color: var(--button-brown-text-color);
    --button-focus-text-shadow: var(--button-brown-text-shadow);
  }
  .brown.buttons,
  .brown.button.pressed,
  .brown.button:active {
    --button-pressed-background-color: var(--button-brown-pressed);
    --button-pressed-color: var(--button-brown-text-color);
    --button-pressed-text-shadow: var(--button-brown-text-shadow);
  }
  .brown.buttons .active.button,
  .brown.buttons .active.button.pressed,
  .brown.buttons .active.button:active,
  .brown.active.button,
  .brown.button .active.button.pressed,
  .brown.button .active.button:active {
    background-color: var(--button-brown-active);
    color: var(--button-brown-text-color);
    text-shadow: var(--button-brown-text-shadow);
  }
  .grey.buttons,
  .grey.button {
    --button-text-color: var(--button-grey-text-color);
    --button-text-shadow: var(--button-grey-text-shadow);
    --button-background: var(--button-grey) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .grey.buttons,
  .grey.button:hover {
    --button-hover-color: var(--button-grey-text-color);
    --button-hover-text-shadow: var(--button-grey-text-shadow);
    --button-hover-background-color: var(--button-grey-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .grey.buttons,
  .grey.button:focus {
    --button-focus-background-color: var(--button-grey-focus);
    --button-focus-color: var(--button-grey-text-color);
    --button-focus-text-shadow: var(--button-grey-text-shadow);
  }
  .grey.buttons,
  .grey.button.pressed,
  .grey.button:active {
    --button-pressed-background-color: var(--button-grey-pressed);
    --button-pressed-color: var(--button-grey-text-color);
    --button-pressed-text-shadow: var(--button-grey-text-shadow);
  }
  .grey.buttons .active.button,
  .grey.buttons .active.button.pressed,
  .grey.buttons .active.button:active,
  .grey.active.button,
  .grey.button .active.button.pressed,
  .grey.button .active.button:active {
    background-color: var(--button-grey-active);
    color: var(--button-grey-text-color);
    text-shadow: var(--button-grey-text-shadow);
  }
  .black.buttons,
  .black.button {
    --button-text-color: var(--button-black-text-color);
    --button-text-shadow: var(--button-black-text-shadow);
    --button-background: var(--button-black) var(--button-colored-background-image);
    --button-box-shadow: var(--button-colored-box-shadow);
  }
  .black.buttons,
  .black.button:hover {
    --button-hover-color: var(--button-black-text-color);
    --button-hover-text-shadow: var(--button-black-text-shadow);
    --button-hover-background-color: var(--button-black-hover);
    --button-hover-box-shadow: var(--button-colored-box-shadow);
  }
  .black.buttons,
  .black.button:focus {
    --button-focus-background-color: var(--button-black-focus);
    --button-focus-color: var(--button-black-text-color);
    --button-focus-text-shadow: var(--button-black-text-shadow);
  }
  .black.buttons,
  .black.button.pressed,
  .black.button:active {
    --button-pressed-background-color: var(--button-black-pressed);
    --button-pressed-color: var(--button-black-text-color);
    --button-pressed-text-shadow: var(--button-black-text-shadow);
  }
  .black.buttons .active.button,
  .black.buttons .active.button.pressed,
  .black.buttons .active.button:active,
  .black.active.button,
  .black.button .active.button.pressed,
  .black.button .active.button:active {
    background-color: var(--button-black-active);
    color: var(--button-black-text-color);
    text-shadow: var(--button-black-text-shadow);
  }
}

/* src/components/button/css/definition/variations/compact.css */
@layer button.definition.variations.compact {
  .compact.buttons .button,
  .compact.button {
    padding: var(--button-compact-vertical-padding) var(--button-compact-horizontal-padding);
  }
  .compact.icon.buttons .button,
  .compact.icon.button {
    padding: var(--button-compact-icon-padding);
  }
  .very-compact.buttons .button,
  .very-compact.button {
    padding: var(--button-very-compact-vertical-padding) var(--button-very-compact-horizontal-padding);
  }
  .very-compact.icon.buttons .button,
  .very-compact.icon.button {
    padding: var(--button-very-compact-icon-padding);
  }
}

/* src/components/button/css/definition/variations/floated.css */
@layer button.definition.variations.floated {
  .left-floated.buttons,
  .left-floated.button {
    float: left;
    margin-left: 0em;
    margin-right: var(--button-floated-margin);
  }
  .right-floated.buttons,
  .right-floated.button {
    float: right;
    margin-right: 0em;
    margin-left: var(--button-floated-margin);
  }
}

/* src/components/button/css/definition/variations/fluid.css */
@layer button.definition.variations.fluid {
  .fluid.buttons,
  .fluid.button {
    width: 100%;
  }
  .fluid.button {
    display: block;
  }
  .two.buttons {
    width: 100%;
  }
  .two.buttons > .button {
    width: 50%;
  }
  .three.buttons {
    width: 100%;
  }
  .three.buttons > .button {
    width: 33.333%;
  }
  .four.buttons {
    width: 100%;
  }
  .four.buttons > .button {
    width: 25%;
  }
  .five.buttons {
    width: 100%;
  }
  .five.buttons > .button {
    width: 20%;
  }
  .six.buttons {
    width: 100%;
  }
  .six.buttons > .button {
    width: 16.666%;
  }
  .seven.buttons {
    width: 100%;
  }
  .seven.buttons > .button {
    width: 14.285%;
  }
  .eight.buttons {
    width: 100%;
  }
  .eight.buttons > .button {
    width: 12.500%;
  }
  .nine.buttons {
    width: 100%;
  }
  .nine.buttons > .button {
    width: 11.11%;
  }
  .ten.buttons {
    width: 100%;
  }
  .ten.buttons > .button {
    width: 10%;
  }
  .eleven.buttons {
    width: 100%;
  }
  .eleven.buttons > .button {
    width: 9.09%;
  }
  .twelve.buttons {
    width: 100%;
  }
  .twelve.buttons > .button {
    width: 8.3333%;
  }
  .fluid.vertical.buttons,
  .fluid.vertical.buttons > .button {
    display: flex;
    width: auto;
  }
  .two.vertical.buttons > .button {
    height: 50%;
  }
  .three.vertical.buttons > .button {
    height: 33.333%;
  }
  .four.vertical.buttons > .button {
    height: 25%;
  }
  .five.vertical.buttons > .button {
    height: 20%;
  }
  .six.vertical.buttons > .button {
    height: 16.666%;
  }
  .seven.vertical.buttons > .button {
    height: 14.285%;
  }
  .eight.vertical.buttons > .button {
    height: 12.500%;
  }
  .nine.vertical.buttons > .button {
    height: 11.11%;
  }
  .ten.vertical.buttons > .button {
    height: 10%;
  }
  .eleven.vertical.buttons > .button {
    height: 9.09%;
  }
  .twelve.vertical.buttons > .button {
    height: 8.3333%;
  }
}

/* src/components/button/css/definition/variations/negative.css */
@layer button.definition.variations.negative {
  .negative.buttons .button,
  .negative.button {
    background-color: var(--button-negative-color);
    color: var(--button-negative-text-color);
    text-shadow: var(--button-negative-text-shadow);
    background-image: var(--button-colored-background-image);
  }
  .negative.button {
    box-shadow: var(--button-negative-box-shadow);
  }
  .negative.buttons .button:hover,
  .negative.button:hover {
    background-color: var(--button-negative-color-hover);
    color: var(--button-negative-text-color);
    text-shadow: var(--button-negative-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .negative.buttons .button:focus,
  .negative.button:focus {
    background-color: var(--button-negative-color-focus);
    color: var(--button-negative-text-color);
    text-shadow: var(--button-negative-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .negative.buttons .button.pressed,
  .negative.button.pressed,
  .negative.buttons .button:active,
  .negative.button:active {
    background-color: var(--button-negative-color-down);
    color: var(--button-negative-text-color);
    text-shadow: var(--button-negative-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .negative.buttons .active.button,
  .negative.buttons .active.button:active,
  .negative.active.button,
  .negative.button .active.button:active {
    background-color: var(--button-negative-color-active);
    color: var(--button-negative-text-color);
    text-shadow: var(--button-negative-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
  .subtle-negative.buttons .button,
  .subtle-negative.button {
    background-color: var(--button-subtle-negative-color);
    color: var(--button-subtle-negative-text-color);
    text-shadow: var(--button-subtle-negative-text-shadow);
    background-image: var(--button-subtle-negative-background-image);
  }
  .subtle-negative.button {
    box-shadow: var(--button-subtle-negative-box-shadow);
  }
  .subtle-negative.buttons .button:hover,
  .subtle-negative.button:hover {
    background-color: var(--button-subtle-negative-color-hover);
    color: var(--button-subtle-negative-text-color);
    text-shadow: var(--button-subtle-negative-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .subtle-negative.buttons .button:focus,
  .subtle-negative.button:focus {
    background-color: var(--button-subtle-negative-color-focus);
    color: var(--button-subtle-negative-text-color);
    text-shadow: var(--button-subtle-negative-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .subtle-negative.buttons .button.pressed,
  .subtle-negative.button.pressed,
  .subtle-negative.buttons .button:active,
  .subtle-negative.button:active {
    background-color: var(--button-subtle-negative-color-down);
    color: var(--button-subtle-negative-text-color);
    text-shadow: var(--button-subtle-negative-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .subtle-negative.buttons .active.button,
  .subtle-negative.buttons .active.button:active,
  .subtle-negative.active.button,
  .subtle-negative.button .active.button:active {
    background-color: var(--button-subtle-negative-color-active);
    background-image: var(--button-subtle-negative-background-image);
    color: var(--button-subtle-negative-text-color);
    text-shadow: var(--button-subtle-negative-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
  .subtle-negative.buttons .button > .icon,
  .subtle-negative.button > .icon {
    color: var(--button-subtle-negative-text-color);
  }
}

/* src/components/button/css/definition/variations/positive.css */
@layer button.definition.variations.positive {
  .positive.buttons .button,
  .positive.button {
    background-color: var(--button-positive-color);
    color: var(--button-positive-text-color);
    text-shadow: var(--button-positive-text-shadow);
    background-image: var(--button-positive-background-image);
  }
  .positive.button {
    box-shadow: var(--button-positive-box-shadow);
  }
  .positive.buttons .button:hover,
  .positive.button:hover {
    background-color: var(--button-positive-color-hover);
    color: var(--button-positive-text-color);
    text-shadow: var(--button-positive-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .positive.buttons .button:focus,
  .positive.button:focus {
    background-color: var(--button-positive-color-focus);
    color: var(--button-positive-text-color);
    text-shadow: var(--button-positive-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .positive.buttons .button.pressed,
  .positive.button.pressed,
  .positive.buttons .button:active,
  .positive.button:active {
    background-color: var(--button-positive-color-down);
    color: var(--button-positive-text-color);
    text-shadow: var(--button-positive-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .positive.buttons .active.button,
  .positive.buttons .active.button:active,
  .positive.active.button,
  .positive.button .active.button:active {
    background-color: var(--button-positive-color-active);
    color: var(--button-positive-text-color);
    text-shadow: var(--button-positive-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
  .subtle-positive.buttons .button,
  .subtle-positive.button {
    background-color: var(--button-subtle-positive-color);
    color: var(--button-subtle-positive-text-color);
    text-shadow: var(--button-subtle-positive-text-shadow);
    background-image: var(--button-subtle-positive-background-image);
  }
  .subtle-positive.button {
    box-shadow: var(--button-subtle-positive-box-shadow);
  }
  .subtle-positive.buttons .button:hover,
  .subtle-positive.button:hover {
    background-color: var(--button-subtle-positive-color-hover);
    color: var(--button-subtle-positive-text-color);
    text-shadow: var(--button-subtle-positive-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .subtle-positive.buttons .button:focus,
  .subtle-positive.button:focus {
    background-color: var(--button-subtle-positive-color-focus);
    color: var(--button-subtle-positive-text-color);
    text-shadow: var(--button-subtle-positive-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .subtle-positive.buttons .button.pressed,
  .subtle-positive.button.pressed,
  .subtle-positive.buttons .button:active,
  .subtle-positive.button:active {
    background-color: var(--button-subtle-positive-color-down);
    color: var(--button-subtle-positive-text-color);
    text-shadow: var(--button-subtle-positive-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .subtle-positive.buttons .active.button,
  .subtle-positive.active.button,
  .subtle-positive.buttons .active.button:active,
  .subtle-positive.button .active.button:active {
    background-color: var(--button-subtle-positive-color-active);
    background-image: var(--button-subtle-positive-background-image);
    color: var(--button-subtle-positive-text-color);
    text-shadow: var(--button-subtle-positive-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
  .subtle-positive.buttons .button > .icon,
  .subtle-positive.button > .icon {
    color: var(--button-subtle-positive-text-color);
  }
}

/* src/components/button/css/definition/variations/warning.css */
@layer button.definition.variations.warning {
  .warning.buttons .button,
  .warning.button {
    background-color: var(--button-warning-color);
    color: var(--button-warning-text-color);
    text-shadow: var(--button-warning-text-shadow);
    background-image: var(--button-colored-background-image);
  }
  .warning.button {
    box-shadow: var(--button-warning-box-shadow);
  }
  .warning.buttons .button:hover,
  .warning.button:hover {
    background-color: var(--button-warning-color-hover);
    color: var(--button-warning-text-color);
    text-shadow: var(--button-warning-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .warning.buttons .button:focus,
  .warning.button:focus {
    background-color: var(--button-warning-color-focus);
    color: var(--button-warning-text-color);
    text-shadow: var(--button-warning-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .warning.buttons .button:active,
  .warning.button:active {
    background-color: var(--button-warning-color-down);
    color: var(--button-warning-text-color);
    text-shadow: var(--button-warning-text-shadow);
  }
  .warning.buttons .active.button,
  .warning.buttons .active.button:active,
  .warning.active.button,
  .warning.button .active.button:active {
    background-color: var(--button-warning-color-active);
    color: var(--button-warning-text-color);
    text-shadow: var(--button-warning-text-shadow);
  }
  .subtle-warning.buttons .button,
  .subtle-warning.button {
    background-color: var(--button-subtle-warning-color);
    color: var(--button-subtle-warning-text-color);
    text-shadow: var(--button-subtle-warning-text-shadow);
    background-image: var(--button-subtle-warning-background-image);
  }
  .subtle-warning.button {
    box-shadow: var(--button-subtle-warning-box-shadow);
  }
  .subtle-warning.buttons .button:hover,
  .subtle-warning.button:hover {
    background-color: var(--button-subtle-warning-color-hover);
    color: var(--button-subtle-warning-text-color);
    text-shadow: var(--button-subtle-warning-text-shadow);
    box-shadow: var(--button-hover-box-shadow);
  }
  .subtle-warning.buttons .button:focus,
  .subtle-warning.button:focus {
    background-color: var(--button-subtle-warning-color-focus);
    color: var(--button-subtle-warning-text-color);
    text-shadow: var(--button-subtle-warning-text-shadow);
    box-shadow: var(--button-focus-box-shadow);
  }
  .subtle-warning.buttons .button:active,
  .subtle-warning.button:active {
    background-color: var(--button-subtle-warning-color-down);
    color: var(--button-subtle-warning-text-color);
    text-shadow: var(--button-subtle-warning-text-shadow);
    box-shadow: var(--button-pressed-box-shadow);
  }
  .subtle-warning.buttons .active.button,
  .subtle-warning.buttons .active.button:active,
  .subtle-warning.active.button,
  .subtle-warning.button .active.button:active {
    background-color: var(--button-subtle-warning-color-active);
    background-image: var(--button-subtle-warning-background-image);
    color: var(--button-subtle-warning-text-color);
    text-shadow: var(--button-subtle-warning-text-shadow);
    box-shadow: var(--button-active-box-shadow);
  }
  .subtle-warning.buttons .button > .icon,
  .subtle-warning.button > .icon {
    color: var(--button-subtle-warning-text-color);
  }
}

/* src/components/button/css/definition/variations/info.css */
@layer button.definition.variations.info {
  .info.buttons .button,
  .info.button {
    background-color: var(--button-info-color);
    color: var(--button-info-text-color);
    text-shadow: var(--button-info-text-shadow);
    background-image: var(--button-colored-background-image);
  }
  .info.button {
    box-shadow: var(--button-info-box-shadow);
  }
  .info.buttons .button:hover,
  .info.button:hover {
    background-color: var(--button-info-color-hover);
    color: var(--button-info-text-color);
    text-shadow: var(--button-info-text-shadow);
  }
  .info.buttons .button:focus,
  .info.button:focus {
    background-color: var(--button-info-color-focus);
    color: var(--button-info-text-color);
    text-shadow: var(--button-info-text-shadow);
  }
  .info.buttons .button.pressed,
  .info.button.pressed,
  .info.buttons .button:active,
  .info.button:active {
    background-color: var(--button-info-color-down);
    color: var(--button-info-text-color);
    text-shadow: var(--button-info-text-shadow);
  }
  .info.buttons .active.button,
  .info.buttons .active.button:active,
  .info.active.button,
  .info.button .active.button:active {
    background-color: var(--button-info-color-active);
    color: var(--button-info-text-color);
    text-shadow: var(--button-info-text-shadow);
  }
  .subtle-info.buttons .button,
  .subtle-info.button {
    background-color: var(--button-subtle-info-color);
    color: var(--button-subtle-info-text-color);
    text-shadow: var(--button-subtle-info-text-shadow);
    background-image: var(--button-subtle-info-background-image);
  }
  .subtle-info.button {
    box-shadow: var(--button-subtle-info-box-shadow);
  }
  .subtle-info.buttons .button:hover,
  .subtle-info.button:hover {
    background-color: var(--button-subtle-info-color-hover);
    color: var(--button-subtle-info-text-color);
    text-shadow: var(--button-subtle-info-text-shadow);
  }
  .subtle-info.buttons .button:focus,
  .subtle-info.button:focus {
    background-color: var(--button-subtle-info-color-focus);
    color: var(--button-subtle-info-text-color);
    text-shadow: var(--button-subtle-info-text-shadow);
  }
  .subtle-info.buttons .button.pressed,
  .subtle-info.button.pressed,
  .subtle-info.buttons .button:active,
  .subtle-info.button:active {
    background-color: var(--button-subtle-info-color-down);
    color: var(--button-subtle-info-text-color);
    text-shadow: var(--button-subtle-info-text-shadow);
  }
  .subtle-info.buttons .active.button,
  .subtle-info.buttons .active.button:active,
  .subtle-info.active.button,
  .subtle-info.button .active.button:active {
    background-color: var(--button-subtle-info-color-active);
    background-image: var(--button-subtle-info-background-image);
    color: var(--button-subtle-info-text-color);
    text-shadow: var(--button-subtle-info-text-shadow);
  }
  .subtle-info.buttons .button > .icon,
  .subtle-info.button > .icon {
    color: var(--button-subtle-info-text-color);
  }
}

/* src/components/button/css/definition/variations/sizing.css */
@layer button.definition.variations.sizing {
  .mini.button {
    font-size: var(--button-mini);
  }
  .tiny.button {
    font-size: var(--button-tiny);
  }
  .small.button {
    font-size: var(--button-small);
  }
  :host {
    font-size: var(--button-medium);
  }
  .large.button {
    font-size: var(--button-large);
  }
  .big.button {
    font-size: var(--button-big);
  }
  .huge.button {
    font-size: var(--button-huge);
  }
  .massive.button {
    font-size: var(--button-massive);
  }
  .mini.buttons {
    --button-medium: var(--button-mini);
  }
  .tiny.buttons {
    --button-medium: var(--button-tiny);
  }
  .small.buttons {
    --button-medium: var(--button-small);
  }
  .large.buttons {
    --button-medium: var(--button-large);
  }
  .big.buttons {
    --button-medium: var(--button-big);
  }
  .huge.buttons {
    --button-medium: var(--button-huge);
  }
  .massive.buttons {
    --button-medium: var(--button-massive);
  }
}

/* src/components/button/css/definition/variations/social.css */
@layer button.definition.variations.social {
  .social.button .icon {
    opacity: 1;
  }
  .facebook.button {
    background-color: var(--facebook-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    background-image: var(--button-colored-background-image);
    box-shadow: var(--button-colored-box-shadow);
  }
  .facebook.button:hover {
    background-color: var(--facebook-hover-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .facebook.button:active {
    background-color: var(--facebook-down-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .twitter.button {
    background-color: var(--twitter-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    background-image: var(--button-colored-background-image);
    box-shadow: var(--button-colored-box-shadow);
  }
  .twitter.button:hover {
    background-color: var(--twitter-hover-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .twitter.button:active {
    background-color: var(--twitter-down-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .linkedin.button {
    background-color: var(--linked-in-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .linkedin.button:hover {
    background-color: var(--linked-in-hover-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .linkedin.button:active {
    background-color: var(--linked-in-down-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .youtube.button {
    background-color: var(--youtube-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    background-image: var(--button-colored-background-image);
    box-shadow: var(--button-colored-box-shadow);
  }
  .youtube.button:hover {
    background-color: var(--youtube-hover-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .youtube.button:active {
    background-color: var(--youtube-down-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .instagram.button {
    background-color: var(--instagram-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    background-image: var(--button-instagram-background-image);
    box-shadow: var(--button-colored-box-shadow);
  }
  .instagram.button:hover {
    background-color: var(--instagram-hover-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .instagram.button:active {
    background-color: var(--instagram-down-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .pinterest.button {
    background-color: var(--pinterest-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
    background-image: var(--button-colored-background-image);
    box-shadow: var(--button-colored-box-shadow);
  }
  .pinterest.button:hover {
    background-color: var(--pinterest-hover-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
  .pinterest.button:active {
    background-color: var(--pinterest-down-color);
    color: var(--button-inverted-text-color);
    text-shadow: var(--button-inverted-text-shadow);
  }
}

/* src/components/button/css/definition/variations/vertical.css */
@layer button.definition.variations.vertical {
  .vertical.buttons {
    display: inline-flex;
    flex-direction: column;
  }
  .vertical.buttons .button {
    display: block;
    float: none;
    width: 100%;
    margin: var(--vertical-group-offset);
    box-shadow: var(--vertical-box-shadow);
    border-radius: 0em;
  }
  .vertical.buttons .button:first-child {
    border-top-left-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
  }
  .vertical.buttons .button:last-child {
    margin-bottom: 0px;
    border-bottom-left-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
  }
  .vertical.buttons .button:only-child {
    border-radius: var(--border-radius);
  }
}

/* src/components/button/css/definition/button-definition.css */

/* src/components/button/css/theme/content/button-variables.css */
@layer button.theme.content.button {
  :host {
    --button-vertical-align: baseline;
    --button-vertical-margin: 0em;
    --button-horizontal-margin: var(--3px);
    --button-background-color: oklch(0.98 0 0 / 1);
    --button-background-image: var(--subtle-gradient);
    --button-background: var(--button-background-color) var(--button-background-image);
    --button-line-height: 1em;
    --button-vertical-padding: var(--input-vertical-padding);
    --button-horizontal-padding: var(--relative-19px);
    --button-padding: var(--button-vertical-padding) var(--button-horizontal-padding);
    --button-text-transform: none;
    --button-tap-color: transparent;
    --button-font-family: var(--page-font);
    --button-font-weight: var(--bold);
    --button-text-color: var(--black-80);
    --button-inverted-text-color: var(--white-80);
    --button-text-shadow: none;
    --button-inverted-text-shadow: var(--button-text-shadow);
    --button-border-radius: var(--border-radius);
    --button-border: none;
    --button-border-color: var(--black-border-color);
    --button-border-width: 1px;
    --button-sharpen-box-shadow: 0px -1px 0px 0px rgba(0, 0, 0, 0.05) inset;
    --button-border-box-shadow: 0px 0px 0px var(--button-border-width) var(--button-border-color) inset;
    --button-shadow-box-shadow: var(--subtle-shadow);
    --button-box-shadow:
      var(--button-sharpen-box-shadow),
      var(--button-border-box-shadow),
      var(--button-shadow-box-shadow) ;
    --button-transition-duration: var(--duration);
    --button-transition-easing: var(--easing);
    --button-transition:
      opacity var(--button-transition-duration) var(--button-transition-easing),
      background-color var(--button-transition-duration) var(--button-transition-easing),
      color var(--button-transition-duration) var(--button-transition-easing),
      box-shadow var(--button-transition-duration) var(--button-transition-easing),
      background var(--button-transition-duration) var(--button-transition-easing) ;
    --button-will-change: initial;
  }
}

/* src/components/button/css/theme/content/icon-variables.css */
@layer button.theme.content.icon {
  :host {
    --button-icon-opacity: 0.4;
  }
}

/* src/components/button/css/theme/content/label-variables.css */
@layer button.theme.content.label {
  :host {
    --labeled-label-font-size: var(--medium);
    --labeled-label-align: center;
    --labeled-label-padding: "";
    --labeled-label-font-size: var(--relative-medium);
    --labeled-label-border-color: var(--border-color);
    --labeled-label-border-offset: -var(--border-box-shadow-width);
    --labeled-tag-label-size: 1.85em;
    --labeled-icon-margin: 0em;
    --labeled-icon-width: 1em + calc(var(--vertical-padding) * 2);
    --labeled-icon-background-color: rgba(0, 0, 0, 0.05);
    --labeled-icon-padding: calc(var(--horizontal-padding) + var(--labeled-icon-width));
    --labeled-icon-border: transparent;
    --labeled-icon-color: "";
    --labeled-icon-left-shadow: -1px 0px 0px 0px var(--labeled-icon-border) inset;
    --labeled-icon-right-shadow: 1px 0px 0px 0px var(--labeled-icon-border) inset;
  }
}

/* src/components/button/css/theme/content/or-variables.css */
@layer button.theme.content.or {
  :host {
    --button-or-text: "or";
    --button-or-gap: 0.3em;
    --button-or-height: calc(var(--button-vertical-padding) * 2) + 1em;
    --button-or-z-index: 3;
    --button-or-circle-distance-to-edge: var(--button-vertical-padding);
    --button-or-circle-size: calc(var(--button-or-height) - var(--button-or-circle-distance-to-edge));
    --button-or-line-height: var(--button-or-circle-size);
    --button-or-box-shadow: var(--button-border-box-shadow), var(--button-shadow-box-shadow);
    --button-or-vertical-offset: calc(var(--button-or-circle-size) / 2 * -1);
    --button-or-horizontal-offset: calc(var(--button-or-circle-size) / 2 * -1 );
    --button-or-background-color: var(--white);
    --button-or-text-shadow: var(--button-text-shadow);
    --button-or-text-style: var(--normal);
    --button-or-text-weight: var(--bold);
    --button-or-text-color: var(--light-text-color);
    --button-or-spacer-height: var(--button-vertical-padding);
    --button-or-spacer-color: transparent;
  }
}

/* src/components/button/css/theme/plural/buttons-variables.css */
@layer button.theme.plural {
  :host {
    --button-group-box-shadow: none;
    --button-group-button-box-shadow: var(--button-box-shadow);
    --button-vertical-box-shadow: none;
    --button-group-button-offset: 0px 0px 0px 0px;
    --button-vertical-group-offset: 0px 0px 0px 0px;
  }
}

/* src/components/button/css/theme/types/emphasis-variables.css */
@layer button.theme.types.emphasis {
  :host {
    --button-primary-color: var(--primary-color);
    --button-primary-background-image: var(--button-colored-background-image);
    --button-primary-box-shadow: var(--button-colored-box-shadow);
    --button-primary-text-color: var(--button-inverted-text-color);
    --button-primary-text-shadow: var(--button-inverted-text-shadow);
    --button-secondary-color: var(--secondary-color);
    --button-secondary-background-image: var(--button-colored-background-image);
    --button-secondary-box-shadow: var(--button-colored-box-shadow);
    --button-secondary-text-color: var(--button-inverted-text-color);
    --button-secondary-text-shadow: var(--button-inverted-text-shadow);
    --button-primary-color-hover: oklch(from var(--button-primary-color) calc(l + var(--hover-lightness)) c h);
    --button-secondary-color-hover: oklch(from var(--button-secondary-color) calc(l + var(--hover-lightness)) c h);
    --button-primary-color-focus: oklch(from var(--button-primary-color) calc(l + var(--focus-lightness)) c h);
    --button-secondary-color-focus: oklch(from var(--button-secondary-color) calc(l + var(--focus-lightness)) c h);
    --button-primary-color-down: oklch(from var(--button-primary-color) calc(l + var(--down-lightness)) c h);
    --button-secondary-color-down: oklch(from var(--button-secondary-color) calc(l + var(--down-lightness)) c h);
    --button-primary-color-active: oklch(from var(--button-primary-color) calc(l + var(--active-lightness)) c h);
    --button-secondary-color-active: oklch(from var(--button-secondary-color) calc(l + var(--active-lightness)) c h);
    --button-light-primary-text-color: var(--button-inverted-text-color);
    --button-light-secondary-text-color: var(--button-inverted-text-color);
  }
}

/* src/components/button/css/theme/types/icon-variables.css */
@layer button.theme.types.icon {
  ui-button {
  }
}

/* src/components/button/css/theme/types/labeled-variables.css */
@layer button.theme.types.labeled {
  ui-button {
  }
}

/* src/components/button/css/theme/types/labeled-icon-variables.css */
@layer button.theme.types.labeled-icon {
  ui-button {
  }
}

/* src/components/button/css/theme/types/toggle-variables.css */
@layer button.theme.types.toggle {
  :host {
    --button-toggle-active-background: #CFF3D8;
    --button-toggle-active-color: #22592D;
    --button-toggle-active-text-shadow: var(--button-text-shadow);
    --button-toggle-active-hover-background: #CFFFD8;
    --button-toggle-active-hover-color: #22592D;
  }
}

/* src/components/button/css/theme/types/animated-variables.css */
@layer button.theme.types.animated {
  :host {
    --button-animated-vertical-align: middle;
    --button-animated-z-index: 1;
    --button-animation-duration: 0.3s;
    --button-animation-easing: ease;
    --button-fade-scale-high: 1.5;
    --button-fade-scale-low: 0.75;
  }
}

/* src/components/button/css/theme/types/transparent-variables.css */
@layer button.theme.types.transparent {
  :host {
    --button-transparent-background-image: linear-gradient(rgba(255, 255, 255, 0.05), rgba(0, 0, 0, 0.08));
    --button-transparent-background-color: rgba(0, 0, 0, 0.03);
    --button-transparent-text-color: var(--button-text-color);
    --button-transparent-box-shadow: var(--button-box-shadow);
    --button-transparent-hover-background-image: linear-gradient(rgba(255, 255, 255, 0.08), rgba(0, 0, 0, 0.1));
    --button-transparent-hover-background-color: var(--subtle-transparent-white);
    --button-transparent-hover-text-color: var(--button-hover-color);
    --button-transparent-hover-box-shadow: var(--button-hover-box-shadow);
    --button-transparent-pressed-background-image: var(--button-transparent-hover-background-image);
    --button-transparent-pressed-background-color: var(--transparent-white);
    --button-transparent-pressed-text-color: var(--button-pressed-color);
    --button-transparent-pressed-box-shadow: var(--button-pressed-box-shadow);
    --button-transparent-active-background-image: var(--button-background-image);
    --button-transparent-active-background-color: rgba(0, 0, 0, 0.02);
    --button-transparent-active-text-color: var(--button-green);
    --button-transparent-active-box-shadow: var(--button-box-shadow);
    --button-transparent-inverted-background-image: linear-gradient(rgba(255, 255, 255, 0.05), rgba(0, 0, 0, 0.08));
    --button-transparent-inverted-background-color: rgba(255, 255, 255, 0.03);
    --button-transparent-inverted-text-color: var(--button-inverted-text-color);
    --button-transparent-inverted-box-shadow: var(--button-box-shadow);
    --button-transparent-inverted-hover-background-image: var(--button-hover-background-image);
    --button-transparent-inverted-hover-background-color: var(--subtle-transparent-white);
    --button-transparent-inverted-hover-text-color: var(--button-inverted-text-color);
    --button-transparent-inverted-hover-box-shadow: var(--button-hover-box-shadow);
    --button-transparent-inverted-pressed-background-image: var(--button-pressed-background-image);
    --button-transparent-inverted-pressed-background-color: var(--transparent-white);
    --button-transparent-inverted-pressed-text-color: var(--button-inverted-text-color);
    --button-transparent-inverted-pressed-box-shadow: var(--button-pressed-box-shadow);
    --button-transparent-inverted-active-background-image: var(--button-background-image);
    --button-transparent-inverted-active-background-color: var(--subtle-transparent-white);
    --button-transparent-inverted-active-text-color: #FFFFFF;
    --button-transparent-inverted-active-box-shadow: var(--button-box-shadow);
  }
}

/* src/components/button/css/theme/states/hover-variables.css */
@layer button.theme.states.hover {
  :host {
    --button-hover-background-color: #FFFFFF;
    --button-hover-background-image: var(--button-background-image);
    --button-hover-box-shadow:
      0 -1px 0 0 rgba(0, 0, 0, 0.05) inset,
      0 0 0 1px rgba(0, 0, 0, 0.13) inset,
      0 1px 3px rgba(0, 0, 0, 0.25) ;
    --button-hover-color: var(--black-90);
    --button-hover-icon-opacity: 0.85;
  }
}

/* src/components/button/css/theme/states/focus-variables.css */
@layer button.theme.states.focus {
  :host {
    --button-focus-background-color: var(--button-hover-background-color);
    --button-focus-background-image: var(--button-hover-background-image);
    --button-focus-box-shadow: var(--button-hover-box-shadow);
    --button-focus-color: var(--button-hover-color);
    --button-focus-icon-opacity: 0.85;
  }
}

/* src/components/button/css/theme/states/pressed-variables.css */
@layer button.theme.states.pressed {
  :host {
    --button-pressed-background-color: var(--button-background-color);
    --button-pressed-background-image: var(--button-background-image);
    --button-pressed-color: var(--black-90);
    --button-pressed-shadow-box-shadow: var(--inset-shadow);
    --button-pressed-box-shadow:
      var(--button-sharpen-box-shadow),
      var(--button-border-box-shadow),
      var(--button-pressed-shadow-box-shadow) ;
  }
}

/* src/components/button/css/theme/states/active-variables.css */
@layer button.theme.states.active {
  :host {
    --button-active-background-color: #DFDFDF;
    --button-active-background-image: var(--button-background-image);
    --button-active-color: var(--black-90);
    --button-active-shadow-box-shadow: var(--subtle-inset-shadow);
    --button-active-box-shadow:
      var(--button-sharpen-box-shadow),
      var(--button-border-box-shadow),
      var(--button-active-shadow-box-shadow) ;
    --button-active-hover-background-color: #DADADA;
    --button-active-hover-background-image: var(--button-active-background-image);
    --button-active-hover-color: var(--button-active-color);
    --button-active-hover-box-shadow: var(--button-active-box-shadow);
    --button-active-down-background-color: var(--button-active-background-color);
    --button-active-down-background-image: var(--button-active-background-image);
    --button-active-down-color: var(--button-active-color);
    --button-active-down-box-shadow: var(--button-active-box-shadow);
  }
}

/* src/components/button/css/theme/states/disabled-variables.css */
@layer button.theme.states.disabled {
  :host {
    --button-disabled-cursor: not-allowed;
    --button-disabled-opacity: 0.4;
    --button-disabled-background-color: #FFFFFF;
    --button-disabled-background-image: var(--button-background-image);
    --button-disabled-border-box-shadow: 0px 0px 0px var(--button-border-width) rgba(0, 0, 0, 0.1) inset;
    --button-disabled-shadow-box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.04);
    --button-disabled-color: var(--black-20);
    --button-disabled-box-shadow:
      var(--button-sharpen-box-shadow),
      var(--button-disabled-border-box-shadow),
      var(--button-disabled-shadow-box-shadow) ;
    --button-clickable-disabled-cursor: not-allowed;
  }
}

/* src/components/button/css/theme/states/loading-variables.css */
@layer button.theme.states.loading {
  :host {
    --button-loading-icon-duration: 2s;
    --button-loading-opacity: 1;
    --button-loading-transition: opacity var(--button-transition-duration) var(--button-transition-easing) ;
  }
}

/* src/components/button/css/theme/variations/attached-variables.css */
@layer button.theme.variations.attached {
  :host {
    --button-attached-offset: -1px;
    --button-attached-border-shadow: 0px 0px 0px 1px var(--button-border-color);
    --button-attached-box-shadow: var(--button-attached-border-shadow), var(--button-shadow-box-shadow) ;
    --button-attached-horizontal-padding: var(--relative-12px);
    --button-attached-z-index: 2;
    --button-attached-pressed-box-shadow: 0 2px 2px rgba(0, 0, 0, 0.08) inset, var(--button-attached-box-shadow) ;
  }
}

/* src/components/button/css/theme/variations/basic-variables.css */
@layer button.theme.variations.basic {
  :host {
    --button-basic-border-radius: var(--button-border-radius);
    --button-basic-border-size: 1px;
    --button-basic-text-color: var(--button-text-color);
    --button-basic-colored-border-size: 1px;
    --button-basic-background: transparent none;
    --button-basic-font-weight: var(--button-font-weight);
    --button-basic-border: 1px solid var(--button-border-color);
    --button-basic-box-shadow: 0px 0px 0px var(--button-basic-border-size) var(--button-border-color) inset;
    --button-basic-loading-color: var(--button-off-white);
    --button-basic-text-transform: none;
    --button-basic-hover-background: #FFFFFF;
    --button-basic-hover-text-color: var(--button-hover-color);
    --button-basic-hover-box-shadow: 0px 0px 0px var(--button-basic-border-size) var(--selected-border-color) inset, 0px 0px 0px 0px var(--button-border-color) inset ;
    --button-basic-focus-background: var(--button-basic-hover-background);
    --button-basic-focus-text-color: var(--button-basic-hover-text-color);
    --button-basic-focus-box-shadow: var(--button-basic-hover-box-shadow);
    --button-basic-down-background: #F8F8F8;
    --button-basic-down-text-color: var(--button-pressed-text-color);
    --button-basic-down-box-shadow: 0px 0px 0px var(--button-basic-border-size) rgba(0, 0, 0, 0.15) inset, 0px 1px 4px 0px var(--button-border-color) inset ;
    --button-basic-active-background: var(--button-transparent-black);
    --button-basic-active-box-shadow: "";
    --button-basic-active-text-color: var(--button-selected-text-color);
    --button-basic-inverted-background: transparent;
    --button-basic-inverted-focus-background: transparent;
    --button-basic-inverted-down-background: var(--button-transparent-white);
    --button-basic-inverted-active-background: var(--button-transparent-white);
    --button-basic-inverted-box-shadow: 0px 0px 0px var(--button-inverted-border-size) rgba(255, 255, 255, 0.5) inset;
    --button-basic-inverted-hover-box-shadow: 0px 0px 0px var(--button-inverted-border-size) rgba(255, 255, 255, 1) inset;
    --button-basic-inverted-focus-box-shadow: 0px 0px 0px var(--button-inverted-border-size) rgba(255, 255, 255, 1) inset;
    --button-basic-inverted-down-box-shadow: 0px 0px 0px var(--button-inverted-border-size) rgba(255, 255, 255, 0.9) inset;
    --button-basic-inverted-active-box-shadow: 0px 0px 0px var(--button-inverted-border-size) rgba(255, 255, 255, 0.7) inset;
    --button-basic-inverted-color: var(--button-dark-white);
    --button-basic-inverted-hover-color: var(--button-dark-white-hover);
    --button-basic-inverted-down-color: var(--button-dark-white-active);
    --button-basic-inverted-active-color: var(--button-inverted-text-color);
    --button-basic-group-border: var(--button-basic-border-size) solid var(--button-border-color);
    --button-basic-group-box-shadow: none;
  }
}

/* src/components/button/css/theme/variations/circular-variables.css */
@layer button.theme.variations.circular;

/* src/components/button/css/theme/variations/colored-variables.css */
@layer button.theme.variations.colored {
  :host {
    --button-colored-background-image: var(--button-background-image);
    --button-colored-box-shadow:
      0 -1px 0 0 rgba(0, 0, 0, 0.05) inset,
      0 0 0 1px rgba(0, 0, 0, 0.13) inset,
      0 1px 3px rgba(0, 0, 0, 0.15) ;
    --button-inverted-text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
    --button-red: var(--red);
    --button-orange: var(--orange);
    --button-yellow: var(--yellow);
    --button-olive: var(--olive);
    --button-green: var(--green);
    --button-teal: var(--teal);
    --button-blue: var(--blue);
    --button-violet: var(--violet);
    --button-purple: var(--purple);
    --button-pink: var(--pink);
    --button-brown: var(--brown);
    --button-grey: var(--grey);
    --button-black: var(--black);
    --button-colored-hover-lightness: 0.05;
    --button-colored-hover-hue: 2;
    --button-red-hover: oklch(from var(--button-red) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-orange-hover: oklch(from var(--button-orange) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-yellow-hover: oklch(from var(--button-yellow) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-olive-hover: oklch(from var(--button-olive) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-green-hover: oklch(from var(--button-green) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-teal-hover: oklch(from var(--button-teal) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-blue-hover: oklch(from var(--button-blue) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-violet-hover: oklch(from var(--button-violet) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-purple-hover: oklch(from var(--button-purple) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-pink-hover: oklch(from var(--button-pink) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-brown-hover: oklch(from var(--button-brown) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-grey-hover: oklch(from var(--button-grey) calc(l + var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-black-hover: oklch(from var(--button-black) calc(l - var(--button-colored-hover-lightness)) c calc(h + var(--button-colored-hover-hue)));
    --button-colored-focus-lightness: 0.08;
    --button-colored-focus-hue: 2;
    --button-red-focus: oklch(from var(--button-red) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-orange-focus: oklch(from var(--button-orange) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-yellow-focus: oklch(from var(--button-yellow) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-olive-focus: oklch(from var(--button-olive) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-green-focus: oklch(from var(--button-green) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-teal-focus: oklch(from var(--button-teal) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-blue-focus: oklch(from var(--button-blue) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-violet-focus: oklch(from var(--button-violet) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-purple-focus: oklch(from var(--button-purple) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-pink-focus: oklch(from var(--button-pink) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-brown-focus: oklch(from var(--button-brown) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-grey-focus: oklch(from var(--button-grey) calc(l + var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-black-focus: oklch(from var(--button-black) calc(l - var(--button-colored-focus-lightness)) c calc(h + var(--button-colored-focus-hue)));
    --button-colored-pressed-lightness: -0.02;
    --button-colored-pressed-hue: 2;
    --button-red-pressed: oklch(from var(--button-red) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-orange-pressed: oklch(from var(--button-orange) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-yellow-pressed: oklch(from var(--button-yellow) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-olive-pressed: oklch(from var(--button-olive) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-green-pressed: oklch(from var(--button-green) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-teal-pressed: oklch(from var(--button-teal) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-blue-pressed: oklch(from var(--button-blue) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-violet-pressed: oklch(from var(--button-violet) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-purple-pressed: oklch(from var(--button-purple) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-pink-pressed: oklch(from var(--button-pink) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-brown-pressed: oklch(from var(--button-brown) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-grey-pressed: oklch(from var(--button-grey) calc(l + var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-black-pressed: oklch(from var(--button-black) calc(l - var(--button-colored-pressed-lightness)) c calc(h + var(--button-colored-pressed-hue)));
    --button-brown-text-color: var(--button-inverted-text-color);
    --button-brown-text-shadow: var(--button-inverted-text-shadow);
    --button-red-text-color: var(--button-inverted-text-color);
    --button-red-text-shadow: var(--button-inverted-text-shadow);
    --button-orange-text-color: var(--button-inverted-text-color);
    --button-orange-text-shadow: var(--button-inverted-text-shadow);
    --button-green-text-color: var(--button-inverted-text-color);
    --button-green-text-shadow: var(--button-inverted-text-shadow);
    --button-blue-text-color: var(--button-inverted-text-color);
    --button-blue-text-shadow: var(--button-inverted-text-shadow);
    --button-violet-text-color: var(--button-inverted-text-color);
    --button-violet-text-shadow: var(--button-inverted-text-shadow);
    --button-purple-text-color: var(--button-inverted-text-color);
    --button-purple-text-shadow: var(--button-inverted-text-shadow);
    --button-pink-text-color: var(--button-inverted-text-color);
    --button-pink-text-shadow: var(--button-inverted-text-shadow);
    --button-black-text-color: var(--button-inverted-text-color);
    --button-black-text-shadow: var(--button-inverted-text-shadow);
    --button-olive-text-color: var(--button-inverted-text-color);
    --button-olive-text-shadow: var(--button-inverted-text-shadow);
    --button-yellow-text-color: var(--button-inverted-text-color);
    --button-yellow-text-shadow: var(--button-inverted-text-shadow);
    --button-teal-text-color: var(--button-inverted-text-color);
    --button-teal-text-shadow: var(--button-inverted-text-shadow);
    --button-grey-text-color: var(--button-inverted-text-color);
    --button-grey-text-shadow: var(--button-inverted-text-shadow);
    --button-light-brown-text-color: var(--button-inverted-text-color);
    --button-light-brown-text-shadow: var(--button-inverted-text-shadow);
    --button-light-red-text-color: var(--button-inverted-text-color);
    --button-light-red-text-shadow: var(--button-inverted-text-shadow);
    --button-light-orange-text-color: var(--button-inverted-text-color);
    --button-light-orange-text-shadow: var(--button-inverted-text-shadow);
    --button-light-green-text-color: var(--button-inverted-text-color);
    --button-light-green-text-shadow: var(--button-inverted-text-shadow);
    --button-light-blue-text-color: var(--button-inverted-text-color);
    --button-light-blue-text-shadow: var(--button-inverted-text-shadow);
    --button-light-violet-text-color: var(--button-inverted-text-color);
    --button-light-violet-text-shadow: var(--button-inverted-text-shadow);
    --button-light-purple-text-color: var(--button-inverted-text-color);
    --button-light-purple-text-shadow: var(--button-inverted-text-shadow);
    --button-light-pink-text-color: var(--button-inverted-text-color);
    --button-light-pink-text-shadow: var(--button-inverted-text-shadow);
    --button-light-black-text-color: var(--button-inverted-text-color);
    --button-light-black-text-shadow: var(--button-inverted-text-shadow);
    --button-light-olive-text-color: var(--button-text-color);
    --button-light-olive-text-shadow: var(--button-text-shadow);
    --button-light-yellow-text-color: var(--button-text-color);
    --button-light-yellow-text-shadow: var(--button-text-shadow);
    --button-light-teal-text-color: var(--button-text-color);
    --button-light-teal-text-shadow: var(--button-text-shadow);
    --button-light-grey-text-color: var(--button-text-color);
    --button-light-grey-text-shadow: var(--button-text-shadow);
  }
}

/* src/components/button/css/theme/variations/compact-variables.css */
@layer button.theme.variations.compact {
  :host {
    --button-compact-vertical-padding: var(--6px);
    --button-compact-horizontal-padding: var(--8px);
    --button-compact-icon-padding: var(--button-compact-vertical-padding);
    --button-very-compact-reduction-factor: 0.4;
    --button-very-compact-vertical-padding: var(--5px);
    --button-very-compact-horizontal-padding: var(--5px);
    --button-very-compact-icon-padding: var(--button-very-compact-vertical-padding);
  }
}

/* src/components/button/css/theme/variations/floated-variables.css */
@layer button.theme.variations.floated {
  :host {
    --button-floated-margin: 0.25em;
  }
}

/* src/components/button/css/theme/variations/fluid-variables.css */
@layer button.theme.variations.fluid {
  ui-button {
  }
}

/* src/components/button/css/theme/variations/negative-variables.css */
@layer button.theme.variations.negative {
  :host {
    --button-negative-color: var(--negative-color);
    --button-negative-background-image: var(--button-colored-background-image);
    --button-negative-text-color: var(--button-inverted-text-color);
    --button-negative-text-shadow: var(--button-inverted-text-shadow);
    --button-negative-box-shadow: var(--button-colored-box-shadow);
    --button-negative-color-hover: oklch(from var(--button-negative-color) calc(l + var(--hover-lightness)) c h);
    --button-negative-color-focus: oklch(from var(--button-negative-color) calc(l + var(--focus-lightness)) c h);
    --button-negative-color-down: oklch(from var(--button-negative-color) calc(l + var(--down-lightness)) c h);
    --button-negative-color-active: oklch(from var(--button-negative-color) calc(l + var(--active-lightness)) c h);
    --button-subtle-negative-color: #FFFAFA;
    --button-subtle-negative-background-image: var(--button-colored-background-image);
    --button-subtle-negative-text-color: rgba(145, 50, 50, 0.9);
    --button-subtle-negative-text-shadow: var(--button-text-shadow);
    --button-subtle-negative-box-shadow: var(--button-box-shadow);
    --button-subtle-negative-color-hover: #FFEAEA;
    --button-subtle-negative-color-focus: #FFEAEA;
    --button-subtle-negative-color-down: #FFEAEA;
    --button-subtle-negative-color-active: #F1FFF7;
  }
}

/* src/components/button/css/theme/variations/warning-variables.css */
@layer button.theme.variations.warning {
  :host {
    --button-warning-color: var(--warning-color);
    --button-warning-background-image: var(--button-colored-background-image);
    --button-warning-text-color: var(--button-inverted-text-color);
    --button-warning-text-shadow: var(--button-inverted-text-shadow);
    --button-warning-box-shadow: var(--button-colored-box-shadow);
    --button-warning-color-hover: oklch(from var(--button-warning-color) calc(l + var(--hover-lightness)) c h);
    --button-warning-color-focus: oklch(from var(--button-warning-color) calc(l + var(--focus-lightness)) c h);
    --button-warning-color-down: oklch(from var(--button-warning-color) calc(l + var(--down-lightness)) c h);
    --button-warning-color-active: oklch(from var(--button-warning-color) calc(l + var(--active-lightness)) c h);
    --button-subtle-warning-color: #FFFDF5;
    --button-subtle-warning-background-image: var(--button-colored-background-image);
    --button-subtle-warning-text-color: rgba(135, 105, 23, 0.9);
    --button-subtle-warning-text-shadow: var(--button-text-shadow);
    --button-subtle-warning-box-shadow: var(--button-box-shadow);
    --button-subtle-warning-color-hover: #FFF5DD;
    --button-subtle-warning-color-focus: #FFF5DD;
    --button-subtle-warning-color-down: #FFF5DD;
    --button-subtle-warning-color-active: #FFFDEA;
  }
}

/* src/components/button/css/theme/variations/info-variables.css */
@layer button.theme.variations.info {
  :host {
    --button-info-color: var(--info-color);
    --button-info-background-image: var(--button-colored-background-image);
    --button-info-text-color: var(--button-inverted-text-color);
    --button-info-text-shadow: var(--button-inverted-text-shadow);
    --button-info-box-shadow: var(--button-colored-box-shadow);
    --button-info-color-hover: oklch(from var(--button-info-color) calc(l + var(--hover-lightness)) c h);
    --button-info-color-focus: oklch(from var(--button-info-color) calc(l + var(--focus-lightness)) c h);
    --button-info-color-down: oklch(from var(--button-info-color) calc(l + var(--down-lightness)) c h);
    --button-info-color-active: oklch(from var(--button-info-color) calc(l + var(--active-lightness)) c h);
    --button-subtle-info-color: #F8FEFF;
    --button-subtle-info-background-image: var(--button-colored-background-image);
    --button-subtle-info-text-color: rgba(23, 94, 135, 0.9);
    --button-subtle-info-text-shadow: var(--button-text-shadow);
    --button-subtle-info-box-shadow: var(--button-box-shadow);
    --button-subtle-info-color-hover: #DEFBFF;
    --button-subtle-info-color-focus: #DEFBFF;
    --button-subtle-info-color-down: #DEFBFF;
    --button-subtle-info-color-active: #E4FBFF;
  }
}

/* src/components/button/css/theme/variations/positive-variables.css */
@layer button.theme.variations.positive {
  :host {
    --button-positive-color: var(--positive-color);
    --button-positive-background-image: var(--button-colored-background-image);
    --button-positive-text-color: var(--button-inverted-text-color);
    --button-positive-text-shadow: var(--button-inverted-text-shadow);
    --button-positive-box-shadow: var(--button-colored-box-shadow);
    --button-positive-color-hover: oklch(from var(--positive-color) calc(l + var(--hover-lightness)) c h);
    --button-positive-color-focus: oklch(from var(--positive-color) calc(l + var(--focus-lightness)) c h);
    --button-positive-color-down: oklch(from var(--positive-color) calc(l + var(--down-lightness)) c h);
    --button-positive-color-active: oklch(from var(--positive-color) calc(l + var(--active-lightness)) c h);
    --button-subtle-positive-color: #F3FFF6;
    --button-subtle-positive-background-image: var(--button-colored-background-image);
    --button-subtle-positive-text-color: rgba(38, 127, 81, 0.9);
    --button-subtle-positive-text-shadow: var(--button-text-shadow);
    --button-subtle-positive-box-shadow: var(--button-box-shadow);
    --button-subtle-positive-color-hover: #EAFFEA;
    --button-subtle-positive-color-focus: #EAFFEA;
    --button-subtle-positive-color-down: #EAFFEA;
    --button-subtle-positive-color-active: #F1FFF7;
  }
}

/* src/components/button/css/theme/variations/sizing-variables.css */
@layer button.theme.variations.sizing {
  :host {
    --button-mini: var(--mini);
    --button-tiny: var(--tiny);
    --button-small: var(--small);
    --button-medium: inherit;
    --button-large: var(--large);
    --button-big: var(--big);
    --button-huge: var(--huge);
    --button-massive: var(--massive);
  }
}

/* src/components/button/css/theme/variations/social-variables.css */
@layer button.theme.variations.social {
  :host {
    --button-instagram-background-image: var(--instagram-gradient);
    --facebook-hover-color: oklch(from var(--facebook-color) calc(l - 0.05) c calc(h + 10));
    --twitter-hover-color: oklch(from var(--twitter-color) calc(l - 0.05) c calc(h + 10));
    --linked-in-hover-color: oklch(from var(--linked-in-color) calc(l - 0.05) c calc(h + 10));
    --youtube-hover-color: oklch(from var(--youtube-color) calc(l - 0.05) c calc(h + 10));
    --instagram-hover-color: oklch(from var(--instagram-color) calc(l - 0.05) c calc(h + 10));
    --pinterest-hover-color: oklch(from var(--pinterest-color) calc(l - 0.05) c calc(h + 10));
    --facebook-down-color: oklch(from var(--facebook-color) calc(l - 0.1) c h);
    --twitter-down-color: oklch(from var(--twitter-color) calc(l - 0.1) c h);
    --linked-in-down-color: oklch(from var(--linked-in-color) calc(l - 0.1) c h);
    --youtube-down-color: oklch(from var(--youtube-color) calc(l - 0.1) c h);
    --instagram-down-color: oklch(from var(--instagram-color) calc(l - 0.1) c h);
    --pinterest-down-color: oklch(from var(--pinterest-color) calc(l - 0.1) c h);
    --facebook-focus-color: oklch(from var(--facebook-color) calc(l - 0.08) c calc(h + 15));
    --twitter-focus-color: oklch(from var(--twitter-color) calc(l - 0.08) c calc(h + 15));
    --linked-in-focus-color: oklch(from var(--linked-in-color) calc(l - 0.08) c calc(h + 15));
    --youtube-focus-color: oklch(from var(--youtube-color) calc(l - 0.08) c calc(h + 15));
    --instagram-focus-color: oklch(from var(--instagram-color) calc(l - 0.08) c calc(h + 15));
    --pinterest-focus-color: oklch(from var(--pinterest-color) calc(l - 0.08) c calc(h + 15));
  }
}

/* src/components/button/css/theme/variations/vertical-variables.css */
@layer button.theme.variations.vertical {
  ui-button {
  }
}

/* src/components/button/css/theme/button-theme.css */

/* src/components/button/css/button.css */
`;var Tt=({el:t,self:e,settings:r,data:a,$:i})=>({isIconBefore(){return r.icon&&!r.iconAfter},isIconAfter(){return r.icon&&r.iconAfter},isSubmitKey(o){return w({13:"Space",32:"Enter"},String(o))},performAction(){let o=["submit","reset"];if(A(r.type,o)){let n=e.getForm();n&&i(n).trigger(r.type)}},getForm(){return i(t).closest("form").el()},isDisabled(){return r.state=="disabled"}}),Lt={"touchstart .button"({event:t,self:e,$:r}){r(this).addClass("pressed")},"touchend .button"({event:t,self:e,$:r}){r(this).removeClass("pressed")},"click .button"({event:t,self:e,$:r}){e.performAction(),r(this).blur()},"keydown .button"({event:t,self:e,$:r}){let a=r(this);e.isSubmitKey(t.keyCode)&&(a.addClass("pressed"),e.performAction(),t.preventDefault()),t.key=="Escape"&&a.blur()},"keyup .button"({event:t,self:e,$:r}){let a=r(this);e.isSubmitKey(t.keyCode)&&a.removeClass("pressed")}},S=St({tagName:"ui-button",componentSpec:g,template:F,css:h,createComponent:Tt,events:Lt});import{defineComponent as Ot}from"@semantic-ui/component";var T=`/*-------------------
      Or Buttons
--------------------*/
:host {
  align-self: center;
}
.or {
  position: relative;
  width: var(--button-or-gap);
  height: var(--button-or-height);
  z-index: var(--button-or-z-index);
}
.or .shape {
  position: absolute;
  text-align: center;
  border-radius: var(--circular-radius);

  top: 50%;
  left: 50%;
  background-color: var(--button-or-background-color);
  text-shadow: var(--button-or-text-shadow);

  margin-top: var(--button-or-vertical-offset);
  margin-left: var(--button-or-horizontal-offset);

  width: var(--button-or-circle-size);
  height: var(--button-or-circle-size);

  line-height: var(--button-or-line-height);
  color: var(--button-or-text-color);

  font-style: var(--button-or-text-style);
  font-weight: var(--button-or-text-weight);

  box-shadow: var(--button-or-box-shadow);
}

`;var L=`<div class="{{ui}} or" part="or">
  <div class="shape"><slot>or</slot></div>
</div>
`;var Et=Ot({template:L,css:T});import{defineComponent as Vt}from"@semantic-ui/component";var I=`<div class="{{ui}} buttons">
  {{>slot}}
</div>
`;var _=`ui-buttons ui-button::part(button) {
  flex: 1 0 auto;
  border-radius: 0em;
  margin: var(--button-group-button-offset);
}
ui-buttons > ui-button:first-child::part(button) {
  border-left: none;
  margin-left: 0em;
  border-top-left-radius: var(--button-border-radius);
  border-bottom-left-radius: var(--button-border-radius);
}
ui-buttons > ui-button:last-child::part(button) {
  border-top-right-radius: var(--button-border-radius);
  border-bottom-right-radius: var(--button-border-radius);
}
`;var O=Vt({tagName:"ui-buttons",singularTag:"ui-button",plural:!0,delegateFocus:!0,componentSpec:g,template:I,css:h,pageCSS:_});import{defineComponent as Ut}from"@semantic-ui/component";var E={tagName:"ui-card",content:["icon","header","description","subheader","image"],contentAttributes:["icon","header","description","subheader","image"],variations:["fluid","link","horizontal"],states:["hover","focused","disabled"],settings:["href"],attributes:["icon","header","description","subheader","image","hover","focused","disabled","fluid","link","horizontal","href"],optionAttributes:{disabled:"disabled","clickable-disabled":"disabled"},propertyTypes:{icon:"string",header:"string",description:"string",subheader:"string",image:"string",hover:"boolean",focused:"boolean",disabled:"string",fluid:"boolean",link:"boolean",horizontal:"boolean",href:"string"},allowedValues:{disabled:["disabled","clickable-disabled"]},attributeClasses:["icon","disabled"]};var H=`{#if href}
  <a class="{ui}card" href="{href}">
    {> content}
  </a>
{else}
  <div class="{ui}card" part="card">
    {> content}
  </div>
{/if}

{#snippet content}
  {#if horizontal}
    {>image}
    {>icon}
    <div class="content">
      {>header}
      {>subheader}
      {>description}
      {> slot}
    </div>
  {else}
    {>image}
    <div class="content">
      {>icon}
      {>header}
      {>subheader}
      {>description}
      {> slot}
    </div>
  {/if}
{/snippet}

{#snippet icon}
  <div class="icon" part="icon">
    {#if icon}
      <ui-icon icon={icon}></ui-icon>
    {/if}
    {> slot icon}
  </div>
{/snippet}

{#snippet header}
  <div class="header" part="header">
    {header}
    {> slot header}
  </div>
{/snippet}

{#snippet subheader}
  <div class="subheader" part="subheader">
    {subheader}
    {> slot subheader}
  </div>
{/snippet}

{#snippet image}
  <div class="image" part="image">
    {#if image}
      <img src="{image}" part="image-img">
    {/if}
    {> slot image}
  </div>
{/snippet}

{#snippet description}
  <div class="description" part="description">
    {description}
    {> slot description}
  </div>
{/snippet}

{#snippet meta}
  <div class="meta" part="meta">
    {#each value in meta}
      <span>{value}</span>
    {/each}
    {> slot meta}
  </div>
{/snippet}
`;var b=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/card/css/definition/content/card.css */
@layer card.definition.content.card {
  :host {
    display: inline-block;
    text-align: var(--card-text-align);
    margin: var(--card-margin);
  }
  .card {
    display: flex;
    flex-direction: var(--card-flex-direction);
    gap: var(--card-gap);
    text-decoration: none;
    border-radius: var(--card-border-radius);
    border: var(--card-border);
    transition: var(--card-transition);
    box-shadow: var(--card-box-shadow);
    background: var(--card-background);
    padding: var(--card-padding);
    width: var(--card-width);
  }
  .card > :first-child {
    border-radius: inherit;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
  .card > :last-child {
    border-radius: inherit;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }
}

/* src/components/card/css/definition/content/description.css */
@layer card.definition.content.description {
  ::slotted(.description),
  .description {
    color: var(--card-description-color);
    font-size: var(--card-description-font-size);
    transition: var(--card-description-transition);
    line-height: var(--card-description-line-height);
  }
}

/* src/components/card/css/definition/content/header.css */
@layer card.definition.content.header {
  ::slotted(.header),
  .header {
    color: var(--card-header-color);
    font-size: var(--card-header-font-size);
    font-weight: var(--card-header-font-weight);
    transition: var(--card-header-transition);
  }
}

/* src/components/card/css/definition/content/subheader.css */
@layer card.definition.content.subheader {
  ::slotted(.subheader),
  .subheader {
    color: var(--card-subheader-color);
    font-size: var(--card-subheader-font-size);
    font-weight: var(--card-subheader-font-weight);
    transition: var(--card-subheader-transition);
  }
}

/* src/components/card/css/definition/content/image.css */
@layer card.definition.content.image {
  .image {
    overflow: hidden;
    margin: var(--card-reverse-padding) var(--card-reverse-padding) 1em;
  }
  ::slotted(.image),
  ::slotted(ui-image),
  .image img {
    display: block;
    width: var(--card-image-width);
    max-width: var(--card-image-max-width);
    object-fit: contain;
  }
}

/* src/components/card/css/definition/content/icon.css */
@layer card.definition.content.icon {
  ::slotted(ui-icon),
  ::slotted(.icon),
  .icon ui-icon {
    font-size: var(--card-icon-font-size);
    margin: var(--card-icon-margin);
    color: var(--card-icon-color);
  }
}

/* src/components/card/css/definition/content/meta.css */
@layer card.definition.content.meta {
  ::slotted(.meta),
  .meta {
    margin-top: var(--card-meta-margin);
    padding-top: var(--card-meta-spacing);
    border-top: var(--card-meta-border);
    display: flex;
    gap: var(--card-meta-gap);
  }
  .meta > * {
    color: var(--card-meta-text-color);
    font-weight: bold;
  }
}

/* src/components/card/css/definition/states/disabled.css */
@layer card.definition.states.disabled {
  .disabled {
    pointer-events: none;
    opacity: var(--disabled-opacity);
  }
  .clickable-disabled {
    pointer-events: allowed;
  }
}

/* src/components/card/css/definition/plural/cards.css */
@layer card.definition.plural {
  :host(ui-cards) {
    display: block;
    container: host / inline-size;
    margin: var(--cards-margin);
  }
  .component {
    container: component / inline-size;
  }
  .cards {
    display: grid;
    gap: var(--cards-gap);
    grid-auto-rows: 1fr;
    width: 100%;
  }
  ::slotted(ui-card) {
    display: contents;
    margin: 0;
  }
}

/* src/components/card/css/definition/variations/basic.css */
@layer card.definition.variations.basic {
  .basic.card {
    background: var(--card-basic-background);
    box-shadow: var(--card-basic-box-shadow);
    border: var(--card-basic-border);
  }
}

/* src/components/card/css/definition/variations/count.css */
@layer card.definition.variations.count {
  .cards.one {
    grid-template-columns: 1fr;
  }
  .cards.two {
    grid-template-columns: repeat(2, 1fr);
  }
  .cards.three {
    grid-template-columns: repeat(3, 1fr);
  }
  .cards.four {
    grid-template-columns: repeat(4, 1fr);
  }
  .cards.five {
    grid-template-columns: repeat(5, 1fr);
  }
  .cards.six {
    grid-template-columns: repeat(6, 1fr);
  }
  .cards.seven {
    grid-template-columns: repeat(7, 1fr);
  }
  .cards.eight {
    grid-template-columns: repeat(8, 1fr);
  }
  .cards ::slotted(*) {
    --card-width: none;
  }
}

/* src/components/card/css/definition/variations/fluid.css */
@layer card.definition.variations.fluid {
  :host([fluid]),
  .fluid.card {
    --card-width: auto;
    --card-image-max-width: none;
  }
}

/* src/components/card/css/definition/variations/horizontal.css */
@layer card.definition.variations.horizontal {
  .horizontal {
    flex-direction: var(--card-horizontal-flex-direction);
    gap: var(--card-horizontal-gap);
    text-align: left;
  }
  .horizontal ::slotted(.image),
  .horizontal ::slotted(ui-image),
  .horizontal .image {
    margin: var(--card-reverse-padding);
    max-width: var(--card-horizontal-image-max-width);
  }
  .horizontal ::slotted(ui-icon),
  .horizontal ::slotted(.icon),
  .horizontal .icon ui-icon {
    font-size: var(--card-horizontal-icon-font-size);
    margin: var(--card-horizontal-icon-margin);
  }
  .horizontal ::slotted(.header),
  .horizontal .header {
    font-size: var(--card-horizontal-header-size);
  }
  .horizontal :first-child {
    border-radius: inherit;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }
  .horizontal :last-child {
    border-radius: inherit;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}

/* src/components/card/css/definition/variations/link.css */
@layer card.definition.variations.link {
  .link.card,
  a.card {
    cursor: pointer;
    color: inherit;
  }
  .link.card:hover,
  a.card:hover {
    background: var(--card-link-hover-background);
    box-shadow: var(--card-link-hover-box-shadow);
    border: var(--card-link-hover-border);
  }
  .link.card:hover ::slotted(.header),
  .link.card:hover .header,
  a.card:hover ::slotted(.header),
  a.card:hover .header {
    color: var(--card-link-hover-header-color);
  }
  .link.card:hover ::slotted(ui-icon),
  .link.card:hover ::slotted(.icon),
  .link.card:hover .icon ui-icon,
  a.card:hover ::slotted(ui-icon),
  a.card:hover ::slotted(.icon),
  a.card:hover .icon ui-icon {
    color: var(--card-link-hover-icon-color);
  }
}

/* src/components/card/css/definition/variations/spaced.css */
@layer card.definition.variations.spaced {
  .cards.spaced {
    gap: var(--cards-spaced-gap);
  }
  .cards.very-spaced {
    gap: var(--cards-very-spaced-gap);
  }
}

/* src/components/card/css/definition/variations/doubling.css */
@layer card.definition.variations.doubling {
  @container component (max-width: var(--card-doubling-breakpoint)) {
    .doubling.cards {
    }
  }
}

/* src/components/card/css/definition/variations/stackable.css */
@layer card.definition.variations.stackable {
  .component {
    --card-stackable-comparison: max(calc(100cqi - var(--card-stackable-breakpoint)), 0px);
    width: --card-stackable-comparison;
  }
  @container component style(--card-stackable-comparison: 0) {
    .stackable.cards {
      display: flex;
      flex-direction: column;
    }
  }
}

/* src/components/card/css/definition/card-definition.css */

/* src/components/card/css/theme/content/card-variables.css */
@layer card.theme.content.card {
  :host {
    --card-margin: 0px 5px 5px 0px;
    --card-text-align: center;
    --card-padding: var(--spacing);
    --card-reverse-padding: calc(var(--spacing) * -1);
    --card-flex-direction: column;
    --card-border-radius: var(--border-radius);
    --card-transition: var(--transition);
    --card-background: var(--ui-background-emphasis);
    --card-box-shadow: 0px 0px 5px var(--standard-5);
    --card-text-align: center;
    --card-border: var(--internal-border);
    --card-gap: 0;
    --card-width: 290px;
  }
}

/* src/components/card/css/theme/content/description-variables.css */
@layer card.theme.content.description {
  :host {
    --card-description-font-size: var(--relative-15px);
    --card-description-color: var(--standard-60);
    --card-description-line-height: inherit;
    --card-description-transition: var(--transition);
  }
}

/* src/components/card/css/theme/content/header-variables.css */
@layer card.theme.content.header {
  :host {
    --card-header-font-size: var(--relative-20px);
    --card-header-font-weight: var(--bold);
    --card-header-transition: var(--transition);
    --card-header-color: var(--standard-100);
  }
}

/* src/components/card/css/theme/content/subheader-variables.css */
@layer card.theme.content.subheader {
  :host {
    --card-subheader-font-size: var(--relative-16px);
    --card-subheader-font-weight: var(--bold);
    --card-subheader-transition: var(--transition);
    --card-subheader-color: var(--standard-80);
  }
}

/* src/components/card/css/theme/content/image-variables.css */
@layer card.theme.content.image {
  :host {
    --card-image-margin: -1.5em -1.5em 1.5em;
    --card-image-width: 100%;
    --card-image-max-width: 100%;
  }
}

/* src/components/card/css/theme/content/icon-variables.css */
@layer card.theme.content.icon {
  :host {
    --card-icon-font-size: var(--relative-32px);
    --card-icon-color: var(--standard-40);
    --card-icon-margin: 0 0 var(--compact-spacing) 0;
  }
}

/* src/components/card/css/theme/content/meta-variables.css */
@layer card.theme.content.meta {
  :host {
    --card-meta-margin: var(--compact-spacing) 0 0;
    --card-meta-padding: var(--compact-spacing) 0 0;
    --card-meta-border: var(--border);
    --card-meta-gap: var(--compact-spacing);
    --card-meta-text-color: var(--standard-90);
  }
}

/* src/components/card/css/theme/plural/cards-variables.css */
@layer card.theme.plural {
  :host {
    --cards-gap: var(--spacing);
    --cards-margin: var(--vertical-spacing);
  }
}

/* src/components/card/css/theme/variations/basic-variables.css */
@layer card.theme.variations.basic {
  :host {
    --card-basic-background: transparent;
    --card-basic-box-shadow: var(--floating-shadow);
    --card-basic-border: var(--card-border);
  }
}

/* src/components/card/css/theme/variations/count-variables.css */
@layer card.theme.variations.count;

/* src/components/card/css/theme/variations/fluid-variables.css */
@layer card.theme.variations.fluid {
  :host {
  }
}

/* src/components/card/css/theme/variations/horizontal-variables.css */
@layer card.theme.variations.horizontal {
  :host {
    --card-horizontal-flex-direction: row;
    --card-horizontal-gap: var(--padding);
    --card-horizontal-image-max-width: 125px;
    --card-horizontal-icon-size: var(--massive);
    --card-horizontal-icon-margin: 0 0 0 var(--spacing);
    --card-horizontal-header-size: var(--large);
    --card-horizontal-icon-font-size: var(--massive);
  }
}

/* src/components/card/css/theme/variations/link-variables.css */
@layer card.theme.variations.link {
  :host {
    --card-link-hover-background: oklch(0.98 0.01 227.13);
    --card-link-hover-box-shadow: 0px 0px 5px var(--standard-5);
    --card-link-hover-border: 1px solid var(--primary-text-color);
    --card-link-hover-header-color: var(--primary-text-color);
    --card-link-hover-icon-color: var(--primary-text-color);
  }
  @container style(--dark-mode: true) {
    .card {
      --card-link-hover-background: oklch(0.17 0.04 225.68);
      --card-link-hover-box-shadow: oklch(0.58 0.14 233.34 / 0.25) 0px 0px 7px 2px;
      --card-link-hover-border: 1px solid var(--primary-text-color);
    }
  }
}

/* src/components/card/css/theme/variations/spaced-variables.css */
@layer card.theme.variations.spaced {
  :host {
    --cards-spaced-gap: 2rem;
    --cards-very-spaced-gap: 3rem;
  }
}

/* src/components/card/css/theme/variations/doubling-variables.css */
@layer card.theme.variations.doubling {
  :host {
  }
}

/* src/components/card/css/theme/variations/stackable-variables.css */
@layer card.theme.variations.stackable {
  @property --card-stackable-comparison { syntax: "<length>"; inherits: true; initial-value: 1px; }
  :host {
    --card-stackable-breakpoint: var(--largest-mobile-screen);
  }
}

/* src/components/card/css/theme/card-theme.css */

/* src/components/card/css/card.css */
`;var D=`/* CSS Properties must be declared in global scope */
@property --card-stackable-comparison {
  syntax: "<length>";
  inherits: true;
  initial-value: 1px;
}
`;var Pt=({$:t})=>({}),V=Ut({tagName:"ui-card",componentSpec:E,template:H,css:b,pageCSS:D,createComponent:Pt});import{defineComponent as $t}from"@semantic-ui/component";var R={tagName:"ui-cards",variations:["doubling","stackable","spaced","count"],attributes:["doubling","stackable","spaced","count"],optionAttributes:{spaced:"spaced","very-spaced":"spaced",two:"count",three:"count",four:"count",five:"count",six:"count"},propertyTypes:{doubling:"boolean",stackable:"boolean",spaced:"string",count:"string"},allowedValues:{spaced:["spaced","very-spaced"],count:["two","three","four","five","six"]}};var N=`<div class="component">
  <div class="{{ui}}cards" part="cards">
    {{>slot}}
  </div>
</div>
`;var Y=$t({tagName:"ui-cards",singularTag:"ui-card",plural:!0,delegateFocus:!0,componentSpec:R,template:N,css:b});import{defineComponent as Xt}from"@semantic-ui/component";var q={tagName:"ui-icon",content:["icon"],contentAttributes:["icon"],variations:["link","fitted","colored","size","spin","inverted"],states:["disabled","loading"],settings:["href","target"],attributes:["icon","disabled","loading","link","fitted","colored","size","spin","inverted","href","target"],optionAttributes:{airplay:"icon","alert-circle":"icon","alert-octagon":"icon","alert-triangle":"icon","align-center":"icon","align-justify":"icon","align-left":"icon","align-right":"icon",anchor:"icon",aperture:"icon",archive:"icon","arrow-down":"icon","arrow-down-circle":"icon","arrow-down-left":"icon","arrow-down-right":"icon","arrow-left":"icon","arrow-left-circle":"icon","arrow-right":"icon","arrow-right-circle":"icon","arrow-up":"icon","arrow-up-circle":"icon","arrow-up-left":"icon","arrow-up-right":"icon","at-sign":"icon",award:"icon","bar-chart":"icon","bar-chart-2":"icon",battery:"icon","battery-charging":"icon",bell:"icon","bell-off":"icon",bluetooth:"icon",bold:"icon",book:"icon","book-open":"icon",bookmark:"icon",box:"icon",briefcase:"icon",calendar:"icon",camera:"icon","camera-off":"icon",cast:"icon",check:"icon","check-circle":"icon","check-square":"icon","chevron-down":"icon","chevron-left":"icon","chevron-right":"icon","chevron-up":"icon","chevrons-down":"icon","chevrons-left":"icon","chevrons-right":"icon","chevrons-up":"icon",chrome:"icon",circle:"icon",clipboard:"icon",clock:"icon",cloud:"icon","cloud-drizzle":"icon","cloud-lightning":"icon","cloud-off":"icon","cloud-rain":"icon","cloud-snow":"icon",code:"icon",codepen:"icon",codesandbox:"icon",coffee:"icon",columns:"icon",command:"icon",compass:"icon",copy:"icon","corner-down-left":"icon","corner-down-right":"icon","corner-left-down":"icon","corner-left-up":"icon","corner-right-down":"icon","corner-right-up":"icon","corner-up-left":"icon","corner-up-right":"icon",cpu:"icon","credit-card":"icon",crop:"icon",crosshair:"icon",currentColor:"icon",database:"icon",delete:"icon",disc:"icon",divide:"icon","divide-circle":"icon","divide-square":"icon","dollar-sign":"icon",download:"icon","download-cloud":"icon",dribbble:"icon",droplet:"icon",edit:"icon","edit-2":"icon","edit-3":"icon","external-link":"icon",eye:"icon","eye-off":"icon",facebook:"icon","fast-forward":"icon",feather:"icon",figma:"icon",file:"icon","file-minus":"icon","file-plus":"icon","file-text":"icon",film:"icon",filter:"icon",flag:"icon",folder:"icon","folder-minus":"icon","folder-plus":"icon",framer:"icon",frown:"icon",github:"icon",gitlab:"icon",globe:"icon",grid:"icon","hard-drive":"icon",hash:"icon",headphones:"icon",heart:"icon","help-circle":"icon",hexagon:"icon",home:"icon",image:"icon",inbox:"icon",info:"icon",instagram:"icon",italic:"icon",key:"icon",layers:"icon",layout:"icon","life-buoy":"icon",linkify:"icon","linkify-2":"icon",linkedin:"icon",list:"icon",loader:"icon",lock:"icon","log-in":"icon","log-out":"icon",mail:"icon",map:"icon","map-pin":"icon",maximize:"icon","maximize-2":"icon",meh:"icon",menu:"icon","message-circle":"icon","message-square":"icon",mic:"icon","mic-off":"icon",minimize:"icon","minimize-2":"icon",minus:"icon","minus-circle":"icon","minus-square":"icon",monitor:"icon",moon:"icon","more-horizontal":"icon","more-vertical":"icon","mouse-pointer":"icon",move:"icon",music:"icon",navigation:"icon","navigation-2":"icon",octagon:"icon",package:"icon",paperclip:"icon",pause:"icon","pause-circle":"icon","pen-tool":"icon",percent:"icon",phone:"icon","phone-call":"icon","phone-forwarded":"icon","phone-incoming":"icon","phone-missed":"icon","phone-off":"icon","phone-outgoing":"icon","pie-chart":"icon",play:"icon","play-circle":"icon",plus:"icon","plus-circle":"icon","plus-square":"icon",pocket:"icon",power:"icon",printer:"icon",radio:"icon","refresh-ccw":"icon","refresh-cw":"icon",repeat:"icon",rewind:"icon","rotate-ccw":"icon","rotate-cw":"icon",rss:"icon",save:"icon",scissors:"icon",search:"icon",send:"icon",server:"icon",settings:"icon",share:"icon","share-2":"icon",shield:"icon","shield-off":"icon","shopping-bag":"icon","shopping-cart":"icon",shuffle:"icon",sidebar:"icon","skip-back":"icon","skip-forward":"icon",slack:"icon",slash:"icon",sliders:"icon",smartphone:"icon",smile:"icon",speaker:"icon",square:"icon",star:"icon","stop-circle":"icon",sun:"icon",sunrise:"icon",sunset:"icon",table:"icon",tablet:"icon",tag:"icon",target:"icon",terminal:"icon",thermometer:"icon","thumbs-down":"icon","thumbs-up":"icon","toggle-left":"icon","toggle-right":"icon",tool:"icon",trash:"icon","trash-2":"icon",trello:"icon","trending-down":"icon","trending-up":"icon",triangle:"icon",truck:"icon",tv:"icon",twitch:"icon",twitter:"icon",type:"icon",umbrella:"icon",underline:"icon",unlock:"icon",upload:"icon","upload-cloud":"icon",user:"icon","user-check":"icon","user-minus":"icon","user-plus":"icon","user-x":"icon",users:"icon",video:"icon","video-off":"icon",voicemail:"icon",volume:"icon","volume-1":"icon","volume-2":"icon","volume-x":"icon",watch:"icon",wifi:"icon","wifi-off":"icon",wind:"icon",x:"icon","x-circle":"icon","x-octagon":"icon","x-square":"icon",youtube:"icon",zap:"icon","zap-off":"icon","zoom-in":"icon","zoom-out":"icon",red:"colored",orange:"colored",yellow:"colored",olive:"colored",green:"colored",teal:"colored",blue:"colored",violet:"colored",purple:"colored",pink:"colored",brown:"colored",grey:"colored",black:"colored",mini:"size",tiny:"size",small:"size",medium:"size",large:"size",big:"size",huge:"size",massive:"size"},propertyTypes:{icon:"string",disabled:"boolean",loading:"boolean",link:"boolean",fitted:"boolean",colored:"string",size:"string",spin:"boolean",inverted:"boolean",href:"string",target:"string"},allowedValues:{icon:["airplay","alert-circle","alert-octagon","alert-triangle","align-center","align-justify","align-left","align-right","anchor","aperture","archive","arrow-down","arrow-down-circle","arrow-down-left","arrow-down-right","arrow-left","arrow-left-circle","arrow-right","arrow-right-circle","arrow-up","arrow-up-circle","arrow-up-left","arrow-up-right","at-sign","award","bar-chart","bar-chart-2","battery","battery-charging","bell","bell-off","bluetooth","bold","book","book-open","bookmark","box","briefcase","calendar","camera","camera-off","cast","check","check-circle","check-square","chevron-down","chevron-left","chevron-right","chevron-up","chevrons-down","chevrons-left","chevrons-right","chevrons-up","chrome","circle","clipboard","clock","cloud","cloud-drizzle","cloud-lightning","cloud-off","cloud-rain","cloud-snow","code","codepen","codesandbox","coffee","columns","command","compass","copy","corner-down-left","corner-down-right","corner-left-down","corner-left-up","corner-right-down","corner-right-up","corner-up-left","corner-up-right","cpu","credit-card","crop","crosshair","currentColor","database","delete","disc","divide","divide-circle","divide-square","dollar-sign","download","download-cloud","dribbble","droplet","edit","edit-2","edit-3","external-link","eye","eye-off","facebook","fast-forward","feather","figma","file","file-minus","file-plus","file-text","film","filter","flag","folder","folder-minus","folder-plus","framer","frown","github","gitlab","globe","grid","hard-drive","hash","headphones","heart","help-circle","hexagon","home","image","inbox","info","instagram","italic","key","layers","layout","life-buoy","linkify","linkify-2","linkedin","list","loader","lock","log-in","log-out","mail","map","map-pin","maximize","maximize-2","meh","menu","message-circle","message-square","mic","mic-off","minimize","minimize-2","minus","minus-circle","minus-square","monitor","moon","more-horizontal","more-vertical","mouse-pointer","move","music","navigation","navigation-2","octagon","package","paperclip","pause","pause-circle","pen-tool","percent","phone","phone-call","phone-forwarded","phone-incoming","phone-missed","phone-off","phone-outgoing","pie-chart","play","play-circle","plus","plus-circle","plus-square","pocket","power","printer","radio","refresh-ccw","refresh-cw","repeat","rewind","rotate-ccw","rotate-cw","rss","save","scissors","search","send","server","settings","share","share-2","shield","shield-off","shopping-bag","shopping-cart","shuffle","sidebar","skip-back","skip-forward","slack","slash","sliders","smartphone","smile","speaker","square","star","stop-circle","sun","sunrise","sunset","table","tablet","tag","target","terminal","thermometer","thumbs-down","thumbs-up","toggle-left","toggle-right","tool","trash","trash-2","trello","trending-down","trending-up","triangle","truck","tv","twitch","twitter","type","umbrella","underline","unlock","upload","upload-cloud","user","user-check","user-minus","user-plus","user-x","users","video","video-off","voicemail","volume","volume-1","volume-2","volume-x","watch","wifi","wifi-off","wind","x","x-circle","x-octagon","x-square","youtube","zap","zap-off","zoom-in","zoom-out"],colored:["red","orange","yellow","olive","green","teal","blue","violet","purple","pink","brown","grey","black"],size:["mini","tiny","small","medium","large","big","huge","massive"]}};var U=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/icon/css/definition/content/icon.css */
@layer icon.definition.singular {
  :host {
    display: inline-block;
    height: 1em;
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    text-align: center;
    margin: 0em var(--icon-distance-from-text) 0em 0em;
    font-size: inherit;
    vertical-align: text-top;
  }
  .icon {
    display: inherit;
    vertical-align: top;
    opacity: var(--icon-opacity);
    width: var(--icon-width);
    height: var(--icon-height);
    background-color: currentColor;
    -webkit-mask-image: linear-gradient(transparent, transparent);
    mask-image: linear-gradient(transparent, transparent);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-size: 100% 100%;
    backface-visibility: hidden;
    fill: currentColor;
    speak: none;
  }
  .icon.activity {
    -webkit-mask-image: var(--icon-activity-svg);
    mask-image: var(--icon-activity-svg);
  }
  .icon.airplay {
    -webkit-mask-image: var(--icon-airplay-svg);
    mask-image: var(--icon-airplay-svg);
  }
  .icon.alert-circle {
    -webkit-mask-image: var(--icon-alert-circle-svg);
    mask-image: var(--icon-alert-circle-svg);
  }
  .icon.alert-octagon {
    -webkit-mask-image: var(--icon-alert-octagon-svg);
    mask-image: var(--icon-alert-octagon-svg);
  }
  .icon.alert-triangle {
    -webkit-mask-image: var(--icon-alert-triangle-svg);
    mask-image: var(--icon-alert-triangle-svg);
  }
  .icon.align-center {
    -webkit-mask-image: var(--icon-align-center-svg);
    mask-image: var(--icon-align-center-svg);
  }
  .icon.align-justify {
    -webkit-mask-image: var(--icon-align-justify-svg);
    mask-image: var(--icon-align-justify-svg);
  }
  .icon.align-left {
    -webkit-mask-image: var(--icon-align-left-svg);
    mask-image: var(--icon-align-left-svg);
  }
  .icon.align-right {
    -webkit-mask-image: var(--icon-align-right-svg);
    mask-image: var(--icon-align-right-svg);
  }
  .icon.anchor {
    -webkit-mask-image: var(--icon-anchor-svg);
    mask-image: var(--icon-anchor-svg);
  }
  .icon.aperture {
    -webkit-mask-image: var(--icon-aperture-svg);
    mask-image: var(--icon-aperture-svg);
  }
  .icon.archive {
    -webkit-mask-image: var(--icon-archive-svg);
    mask-image: var(--icon-archive-svg);
  }
  .icon.arrow-down-circle {
    -webkit-mask-image: var(--icon-arrow-down-circle-svg);
    mask-image: var(--icon-arrow-down-circle-svg);
  }
  .icon.arrow-down-left {
    -webkit-mask-image: var(--icon-arrow-down-left-svg);
    mask-image: var(--icon-arrow-down-left-svg);
  }
  .icon.arrow-down-right {
    -webkit-mask-image: var(--icon-arrow-down-right-svg);
    mask-image: var(--icon-arrow-down-right-svg);
  }
  .icon.arrow-down {
    -webkit-mask-image: var(--icon-arrow-down-svg);
    mask-image: var(--icon-arrow-down-svg);
  }
  .icon.arrow-left-circle {
    -webkit-mask-image: var(--icon-arrow-left-circle-svg);
    mask-image: var(--icon-arrow-left-circle-svg);
  }
  .icon.arrow-left {
    -webkit-mask-image: var(--icon-arrow-left-svg);
    mask-image: var(--icon-arrow-left-svg);
  }
  .icon.arrow-right-circle {
    -webkit-mask-image: var(--icon-arrow-right-circle-svg);
    mask-image: var(--icon-arrow-right-circle-svg);
  }
  .icon.arrow-right {
    -webkit-mask-image: var(--icon-arrow-right-svg);
    mask-image: var(--icon-arrow-right-svg);
  }
  .icon.arrow-up-circle {
    -webkit-mask-image: var(--icon-arrow-up-circle-svg);
    mask-image: var(--icon-arrow-up-circle-svg);
  }
  .icon.arrow-up-left {
    -webkit-mask-image: var(--icon-arrow-up-left-svg);
    mask-image: var(--icon-arrow-up-left-svg);
  }
  .icon.arrow-up-right {
    -webkit-mask-image: var(--icon-arrow-up-right-svg);
    mask-image: var(--icon-arrow-up-right-svg);
  }
  .icon.arrow-up {
    -webkit-mask-image: var(--icon-arrow-up-svg);
    mask-image: var(--icon-arrow-up-svg);
  }
  .icon.at-sign {
    -webkit-mask-image: var(--icon-at-sign-svg);
    mask-image: var(--icon-at-sign-svg);
  }
  .icon.award {
    -webkit-mask-image: var(--icon-award-svg);
    mask-image: var(--icon-award-svg);
  }
  .icon.bar-chart-2 {
    -webkit-mask-image: var(--icon-bar-chart-2-svg);
    mask-image: var(--icon-bar-chart-2-svg);
  }
  .icon.bar-chart {
    -webkit-mask-image: var(--icon-bar-chart-svg);
    mask-image: var(--icon-bar-chart-svg);
  }
  .icon.battery-charging {
    -webkit-mask-image: var(--icon-battery-charging-svg);
    mask-image: var(--icon-battery-charging-svg);
  }
  .icon.battery {
    -webkit-mask-image: var(--icon-battery-svg);
    mask-image: var(--icon-battery-svg);
  }
  .icon.bell-off {
    -webkit-mask-image: var(--icon-bell-off-svg);
    mask-image: var(--icon-bell-off-svg);
  }
  .icon.bell {
    -webkit-mask-image: var(--icon-bell-svg);
    mask-image: var(--icon-bell-svg);
  }
  .icon.bluetooth {
    -webkit-mask-image: var(--icon-bluetooth-svg);
    mask-image: var(--icon-bluetooth-svg);
  }
  .icon.bold {
    -webkit-mask-image: var(--icon-bold-svg);
    mask-image: var(--icon-bold-svg);
  }
  .icon.bookmark {
    -webkit-mask-image: var(--icon-bookmark-svg);
    mask-image: var(--icon-bookmark-svg);
  }
  .icon.book-open {
    -webkit-mask-image: var(--icon-book-open-svg);
    mask-image: var(--icon-book-open-svg);
  }
  .icon.book {
    -webkit-mask-image: var(--icon-book-svg);
    mask-image: var(--icon-book-svg);
  }
  .icon.box {
    -webkit-mask-image: var(--icon-box-svg);
    mask-image: var(--icon-box-svg);
  }
  .icon.briefcase {
    -webkit-mask-image: var(--icon-briefcase-svg);
    mask-image: var(--icon-briefcase-svg);
  }
  .icon.calendar {
    -webkit-mask-image: var(--icon-calendar-svg);
    mask-image: var(--icon-calendar-svg);
  }
  .icon.camera-off {
    -webkit-mask-image: var(--icon-camera-off-svg);
    mask-image: var(--icon-camera-off-svg);
  }
  .icon.camera {
    -webkit-mask-image: var(--icon-camera-svg);
    mask-image: var(--icon-camera-svg);
  }
  .icon.cast {
    -webkit-mask-image: var(--icon-cast-svg);
    mask-image: var(--icon-cast-svg);
  }
  .icon.check-circle {
    -webkit-mask-image: var(--icon-check-circle-svg);
    mask-image: var(--icon-check-circle-svg);
  }
  .icon.check-square {
    -webkit-mask-image: var(--icon-check-square-svg);
    mask-image: var(--icon-check-square-svg);
  }
  .icon.check {
    -webkit-mask-image: var(--icon-check-svg);
    mask-image: var(--icon-check-svg);
  }
  .icon.chevron-down {
    -webkit-mask-image: var(--icon-chevron-down-svg);
    mask-image: var(--icon-chevron-down-svg);
  }
  .icon.chevron-left {
    -webkit-mask-image: var(--icon-chevron-left-svg);
    mask-image: var(--icon-chevron-left-svg);
  }
  .icon.chevron-right {
    -webkit-mask-image: var(--icon-chevron-right-svg);
    mask-image: var(--icon-chevron-right-svg);
  }
  .icon.chevrons-down {
    -webkit-mask-image: var(--icon-chevrons-down-svg);
    mask-image: var(--icon-chevrons-down-svg);
  }
  .icon.chevrons-left {
    -webkit-mask-image: var(--icon-chevrons-left-svg);
    mask-image: var(--icon-chevrons-left-svg);
  }
  .icon.chevrons-right {
    -webkit-mask-image: var(--icon-chevrons-right-svg);
    mask-image: var(--icon-chevrons-right-svg);
  }
  .icon.chevrons-up {
    -webkit-mask-image: var(--icon-chevrons-up-svg);
    mask-image: var(--icon-chevrons-up-svg);
  }
  .icon.chevron-up {
    -webkit-mask-image: var(--icon-chevron-up-svg);
    mask-image: var(--icon-chevron-up-svg);
  }
  .icon.chrome {
    -webkit-mask-image: var(--icon-chrome-svg);
    mask-image: var(--icon-chrome-svg);
  }
  .icon.circle {
    -webkit-mask-image: var(--icon-circle-svg);
    mask-image: var(--icon-circle-svg);
  }
  .icon.clipboard {
    -webkit-mask-image: var(--icon-clipboard-svg);
    mask-image: var(--icon-clipboard-svg);
  }
  .icon.clock {
    -webkit-mask-image: var(--icon-clock-svg);
    mask-image: var(--icon-clock-svg);
  }
  .icon.cloud-drizzle {
    -webkit-mask-image: var(--icon-cloud-drizzle-svg);
    mask-image: var(--icon-cloud-drizzle-svg);
  }
  .icon.cloud-lightning {
    -webkit-mask-image: var(--icon-cloud-lightning-svg);
    mask-image: var(--icon-cloud-lightning-svg);
  }
  .icon.cloud-off {
    -webkit-mask-image: var(--icon-cloud-off-svg);
    mask-image: var(--icon-cloud-off-svg);
  }
  .icon.cloud-rain {
    -webkit-mask-image: var(--icon-cloud-rain-svg);
    mask-image: var(--icon-cloud-rain-svg);
  }
  .icon.cloud-snow {
    -webkit-mask-image: var(--icon-cloud-snow-svg);
    mask-image: var(--icon-cloud-snow-svg);
  }
  .icon.cloud {
    -webkit-mask-image: var(--icon-cloud-svg);
    mask-image: var(--icon-cloud-svg);
  }
  .icon.codepen {
    -webkit-mask-image: var(--icon-codepen-svg);
    mask-image: var(--icon-codepen-svg);
  }
  .icon.codesandbox {
    -webkit-mask-image: var(--icon-codesandbox-svg);
    mask-image: var(--icon-codesandbox-svg);
  }
  .icon.code {
    -webkit-mask-image: var(--icon-code-svg);
    mask-image: var(--icon-code-svg);
  }
  .icon.coffee {
    -webkit-mask-image: var(--icon-coffee-svg);
    mask-image: var(--icon-coffee-svg);
  }
  .icon.columns {
    -webkit-mask-image: var(--icon-columns-svg);
    mask-image: var(--icon-columns-svg);
  }
  .icon.command {
    -webkit-mask-image: var(--icon-command-svg);
    mask-image: var(--icon-command-svg);
  }
  .icon.compass {
    -webkit-mask-image: var(--icon-compass-svg);
    mask-image: var(--icon-compass-svg);
  }
  .icon.copy {
    -webkit-mask-image: var(--icon-copy-svg);
    mask-image: var(--icon-copy-svg);
  }
  .icon.corner-down-left {
    -webkit-mask-image: var(--icon-corner-down-left-svg);
    mask-image: var(--icon-corner-down-left-svg);
  }
  .icon.corner-down-right {
    -webkit-mask-image: var(--icon-corner-down-right-svg);
    mask-image: var(--icon-corner-down-right-svg);
  }
  .icon.corner-left-down {
    -webkit-mask-image: var(--icon-corner-left-down-svg);
    mask-image: var(--icon-corner-left-down-svg);
  }
  .icon.corner-left-up {
    -webkit-mask-image: var(--icon-corner-left-up-svg);
    mask-image: var(--icon-corner-left-up-svg);
  }
  .icon.corner-right-down {
    -webkit-mask-image: var(--icon-corner-right-down-svg);
    mask-image: var(--icon-corner-right-down-svg);
  }
  .icon.corner-right-up {
    -webkit-mask-image: var(--icon-corner-right-up-svg);
    mask-image: var(--icon-corner-right-up-svg);
  }
  .icon.corner-up-left {
    -webkit-mask-image: var(--icon-corner-up-left-svg);
    mask-image: var(--icon-corner-up-left-svg);
  }
  .icon.corner-up-right {
    -webkit-mask-image: var(--icon-corner-up-right-svg);
    mask-image: var(--icon-corner-up-right-svg);
  }
  .icon.cpu {
    -webkit-mask-image: var(--icon-cpu-svg);
    mask-image: var(--icon-cpu-svg);
  }
  .icon.credit-card {
    -webkit-mask-image: var(--icon-credit-card-svg);
    mask-image: var(--icon-credit-card-svg);
  }
  .icon.crop {
    -webkit-mask-image: var(--icon-crop-svg);
    mask-image: var(--icon-crop-svg);
  }
  .icon.crosshair {
    -webkit-mask-image: var(--icon-crosshair-svg);
    mask-image: var(--icon-crosshair-svg);
  }
  .icon.database {
    -webkit-mask-image: var(--icon-database-svg);
    mask-image: var(--icon-database-svg);
  }
  .icon.delete {
    -webkit-mask-image: var(--icon-delete-svg);
    mask-image: var(--icon-delete-svg);
  }
  .icon.disc {
    -webkit-mask-image: var(--icon-disc-svg);
    mask-image: var(--icon-disc-svg);
  }
  .icon.divide-circle {
    -webkit-mask-image: var(--icon-divide-circle-svg);
    mask-image: var(--icon-divide-circle-svg);
  }
  .icon.divide-square {
    -webkit-mask-image: var(--icon-divide-square-svg);
    mask-image: var(--icon-divide-square-svg);
  }
  .icon.divide {
    -webkit-mask-image: var(--icon-divide-svg);
    mask-image: var(--icon-divide-svg);
  }
  .icon.dollar-sign {
    -webkit-mask-image: var(--icon-dollar-sign-svg);
    mask-image: var(--icon-dollar-sign-svg);
  }
  .icon.download-cloud {
    -webkit-mask-image: var(--icon-download-cloud-svg);
    mask-image: var(--icon-download-cloud-svg);
  }
  .icon.download {
    -webkit-mask-image: var(--icon-download-svg);
    mask-image: var(--icon-download-svg);
  }
  .icon.dribbble {
    -webkit-mask-image: var(--icon-dribbble-svg);
    mask-image: var(--icon-dribbble-svg);
  }
  .icon.droplet {
    -webkit-mask-image: var(--icon-droplet-svg);
    mask-image: var(--icon-droplet-svg);
  }
  .icon.edit-2 {
    -webkit-mask-image: var(--icon-edit-2-svg);
    mask-image: var(--icon-edit-2-svg);
  }
  .icon.edit-3 {
    -webkit-mask-image: var(--icon-edit-3-svg);
    mask-image: var(--icon-edit-3-svg);
  }
  .icon.edit {
    -webkit-mask-image: var(--icon-edit-svg);
    mask-image: var(--icon-edit-svg);
  }
  .icon.external-link {
    -webkit-mask-image: var(--icon-external-link-svg);
    mask-image: var(--icon-external-link-svg);
  }
  .icon.eye-off {
    -webkit-mask-image: var(--icon-eye-off-svg);
    mask-image: var(--icon-eye-off-svg);
  }
  .icon.eye {
    -webkit-mask-image: var(--icon-eye-svg);
    mask-image: var(--icon-eye-svg);
  }
  .icon.facebook {
    -webkit-mask-image: var(--icon-facebook-svg);
    mask-image: var(--icon-facebook-svg);
  }
  .icon.fast-forward {
    -webkit-mask-image: var(--icon-fast-forward-svg);
    mask-image: var(--icon-fast-forward-svg);
  }
  .icon.feather {
    -webkit-mask-image: var(--icon-feather-svg);
    mask-image: var(--icon-feather-svg);
  }
  .icon.figma {
    -webkit-mask-image: var(--icon-figma-svg);
    mask-image: var(--icon-figma-svg);
  }
  .icon.file-minus {
    -webkit-mask-image: var(--icon-file-minus-svg);
    mask-image: var(--icon-file-minus-svg);
  }
  .icon.file-plus {
    -webkit-mask-image: var(--icon-file-plus-svg);
    mask-image: var(--icon-file-plus-svg);
  }
  .icon.file {
    -webkit-mask-image: var(--icon-file-svg);
    mask-image: var(--icon-file-svg);
  }
  .icon.file-text {
    -webkit-mask-image: var(--icon-file-text-svg);
    mask-image: var(--icon-file-text-svg);
  }
  .icon.film {
    -webkit-mask-image: var(--icon-film-svg);
    mask-image: var(--icon-film-svg);
  }
  .icon.filter {
    -webkit-mask-image: var(--icon-filter-svg);
    mask-image: var(--icon-filter-svg);
  }
  .icon.flag {
    -webkit-mask-image: var(--icon-flag-svg);
    mask-image: var(--icon-flag-svg);
  }
  .icon.folder-minus {
    -webkit-mask-image: var(--icon-folder-minus-svg);
    mask-image: var(--icon-folder-minus-svg);
  }
  .icon.folder-plus {
    -webkit-mask-image: var(--icon-folder-plus-svg);
    mask-image: var(--icon-folder-plus-svg);
  }
  .icon.folder {
    -webkit-mask-image: var(--icon-folder-svg);
    mask-image: var(--icon-folder-svg);
  }
  .icon.framer {
    -webkit-mask-image: var(--icon-framer-svg);
    mask-image: var(--icon-framer-svg);
  }
  .icon.frown {
    -webkit-mask-image: var(--icon-frown-svg);
    mask-image: var(--icon-frown-svg);
  }
  .icon.gift {
    -webkit-mask-image: var(--icon-gift-svg);
    mask-image: var(--icon-gift-svg);
  }
  .icon.git-branch {
    -webkit-mask-image: var(--icon-git-branch-svg);
    mask-image: var(--icon-git-branch-svg);
  }
  .icon.git-commit {
    -webkit-mask-image: var(--icon-git-commit-svg);
    mask-image: var(--icon-git-commit-svg);
  }
  .icon.github {
    -webkit-mask-image: var(--icon-github-svg);
    mask-image: var(--icon-github-svg);
  }
  .icon.gitlab {
    -webkit-mask-image: var(--icon-gitlab-svg);
    mask-image: var(--icon-gitlab-svg);
  }
  .icon.git-merge {
    -webkit-mask-image: var(--icon-git-merge-svg);
    mask-image: var(--icon-git-merge-svg);
  }
  .icon.git-pull-request {
    -webkit-mask-image: var(--icon-git-pull-request-svg);
    mask-image: var(--icon-git-pull-request-svg);
  }
  .icon.globe {
    -webkit-mask-image: var(--icon-globe-svg);
    mask-image: var(--icon-globe-svg);
  }
  .icon.grid {
    -webkit-mask-image: var(--icon-grid-svg);
    mask-image: var(--icon-grid-svg);
  }
  .icon.hard-drive {
    -webkit-mask-image: var(--icon-hard-drive-svg);
    mask-image: var(--icon-hard-drive-svg);
  }
  .icon.hash {
    -webkit-mask-image: var(--icon-hash-svg);
    mask-image: var(--icon-hash-svg);
  }
  .icon.headphones {
    -webkit-mask-image: var(--icon-headphones-svg);
    mask-image: var(--icon-headphones-svg);
  }
  .icon.heart {
    -webkit-mask-image: var(--icon-heart-svg);
    mask-image: var(--icon-heart-svg);
  }
  .icon.help-circle {
    -webkit-mask-image: var(--icon-help-circle-svg);
    mask-image: var(--icon-help-circle-svg);
  }
  .icon.hexagon {
    -webkit-mask-image: var(--icon-hexagon-svg);
    mask-image: var(--icon-hexagon-svg);
  }
  .icon.home {
    -webkit-mask-image: var(--icon-home-svg);
    mask-image: var(--icon-home-svg);
  }
  .icon.image {
    -webkit-mask-image: var(--icon-image-svg);
    mask-image: var(--icon-image-svg);
  }
  .icon.inbox {
    -webkit-mask-image: var(--icon-inbox-svg);
    mask-image: var(--icon-inbox-svg);
  }
  .icon.info {
    -webkit-mask-image: var(--icon-info-svg);
    mask-image: var(--icon-info-svg);
  }
  .icon.instagram {
    -webkit-mask-image: var(--icon-instagram-svg);
    mask-image: var(--icon-instagram-svg);
  }
  .icon.italic {
    -webkit-mask-image: var(--icon-italic-svg);
    mask-image: var(--icon-italic-svg);
  }
  .icon.key {
    -webkit-mask-image: var(--icon-key-svg);
    mask-image: var(--icon-key-svg);
  }
  .icon.layers {
    -webkit-mask-image: var(--icon-layers-svg);
    mask-image: var(--icon-layers-svg);
  }
  .icon.layout {
    -webkit-mask-image: var(--icon-layout-svg);
    mask-image: var(--icon-layout-svg);
  }
  .icon.life-buoy {
    -webkit-mask-image: var(--icon-life-buoy-svg);
    mask-image: var(--icon-life-buoy-svg);
  }
  .icon.linkify-2 {
    -webkit-mask-image: var(--icon-linkify-2-svg);
    mask-image: var(--icon-linkify-2-svg);
  }
  .icon.linkedin {
    -webkit-mask-image: var(--icon-linkedin-svg);
    mask-image: var(--icon-linkedin-svg);
  }
  .icon.linkify {
    -webkit-mask-image: var(--icon-linkify-svg);
    mask-image: var(--icon-linkify-svg);
  }
  .icon.list {
    -webkit-mask-image: var(--icon-list-svg);
    mask-image: var(--icon-list-svg);
  }
  .icon.loader {
    -webkit-mask-image: var(--icon-loader-svg);
    mask-image: var(--icon-loader-svg);
  }
  .icon.lock {
    -webkit-mask-image: var(--icon-lock-svg);
    mask-image: var(--icon-lock-svg);
  }
  .icon.log-in {
    -webkit-mask-image: var(--icon-log-in-svg);
    mask-image: var(--icon-log-in-svg);
  }
  .icon.log-out {
    -webkit-mask-image: var(--icon-log-out-svg);
    mask-image: var(--icon-log-out-svg);
  }
  .icon.mail {
    -webkit-mask-image: var(--icon-mail-svg);
    mask-image: var(--icon-mail-svg);
  }
  .icon.map-pin {
    -webkit-mask-image: var(--icon-map-pin-svg);
    mask-image: var(--icon-map-pin-svg);
  }
  .icon.map {
    -webkit-mask-image: var(--icon-map-svg);
    mask-image: var(--icon-map-svg);
  }
  .icon.maximize-2 {
    -webkit-mask-image: var(--icon-maximize-2-svg);
    mask-image: var(--icon-maximize-2-svg);
  }
  .icon.maximize {
    -webkit-mask-image: var(--icon-maximize-svg);
    mask-image: var(--icon-maximize-svg);
  }
  .icon.meh {
    -webkit-mask-image: var(--icon-meh-svg);
    mask-image: var(--icon-meh-svg);
  }
  .icon.menu {
    -webkit-mask-image: var(--icon-menu-svg);
    mask-image: var(--icon-menu-svg);
  }
  .icon.message-circle {
    -webkit-mask-image: var(--icon-message-circle-svg);
    mask-image: var(--icon-message-circle-svg);
  }
  .icon.message-square {
    -webkit-mask-image: var(--icon-message-square-svg);
    mask-image: var(--icon-message-square-svg);
  }
  .icon.mic-off {
    -webkit-mask-image: var(--icon-mic-off-svg);
    mask-image: var(--icon-mic-off-svg);
  }
  .icon.mic {
    -webkit-mask-image: var(--icon-mic-svg);
    mask-image: var(--icon-mic-svg);
  }
  .icon.minimize-2 {
    -webkit-mask-image: var(--icon-minimize-2-svg);
    mask-image: var(--icon-minimize-2-svg);
  }
  .icon.minimize {
    -webkit-mask-image: var(--icon-minimize-svg);
    mask-image: var(--icon-minimize-svg);
  }
  .icon.minus-circle {
    -webkit-mask-image: var(--icon-minus-circle-svg);
    mask-image: var(--icon-minus-circle-svg);
  }
  .icon.minus-square {
    -webkit-mask-image: var(--icon-minus-square-svg);
    mask-image: var(--icon-minus-square-svg);
  }
  .icon.minus {
    -webkit-mask-image: var(--icon-minus-svg);
    mask-image: var(--icon-minus-svg);
  }
  .icon.monitor {
    -webkit-mask-image: var(--icon-monitor-svg);
    mask-image: var(--icon-monitor-svg);
  }
  .icon.moon {
    -webkit-mask-image: var(--icon-moon-svg);
    mask-image: var(--icon-moon-svg);
  }
  .icon.more-horizontal {
    -webkit-mask-image: var(--icon-more-horizontal-svg);
    mask-image: var(--icon-more-horizontal-svg);
  }
  .icon.more-vertical {
    -webkit-mask-image: var(--icon-more-vertical-svg);
    mask-image: var(--icon-more-vertical-svg);
  }
  .icon.mouse-pointer {
    -webkit-mask-image: var(--icon-mouse-pointer-svg);
    mask-image: var(--icon-mouse-pointer-svg);
  }
  .icon.move {
    -webkit-mask-image: var(--icon-move-svg);
    mask-image: var(--icon-move-svg);
  }
  .icon.music {
    -webkit-mask-image: var(--icon-music-svg);
    mask-image: var(--icon-music-svg);
  }
  .icon.navigation-2 {
    -webkit-mask-image: var(--icon-navigation-2-svg);
    mask-image: var(--icon-navigation-2-svg);
  }
  .icon.navigation {
    -webkit-mask-image: var(--icon-navigation-svg);
    mask-image: var(--icon-navigation-svg);
  }
  .icon.octagon {
    -webkit-mask-image: var(--icon-octagon-svg);
    mask-image: var(--icon-octagon-svg);
  }
  .icon.package {
    -webkit-mask-image: var(--icon-package-svg);
    mask-image: var(--icon-package-svg);
  }
  .icon.paperclip {
    -webkit-mask-image: var(--icon-paperclip-svg);
    mask-image: var(--icon-paperclip-svg);
  }
  .icon.pause-circle {
    -webkit-mask-image: var(--icon-pause-circle-svg);
    mask-image: var(--icon-pause-circle-svg);
  }
  .icon.pause {
    -webkit-mask-image: var(--icon-pause-svg);
    mask-image: var(--icon-pause-svg);
  }
  .icon.pen-tool {
    -webkit-mask-image: var(--icon-pen-tool-svg);
    mask-image: var(--icon-pen-tool-svg);
  }
  .icon.percent {
    -webkit-mask-image: var(--icon-percent-svg);
    mask-image: var(--icon-percent-svg);
  }
  .icon.phone-call {
    -webkit-mask-image: var(--icon-phone-call-svg);
    mask-image: var(--icon-phone-call-svg);
  }
  .icon.phone-forwarded {
    -webkit-mask-image: var(--icon-phone-forwarded-svg);
    mask-image: var(--icon-phone-forwarded-svg);
  }
  .icon.phone-incoming {
    -webkit-mask-image: var(--icon-phone-incoming-svg);
    mask-image: var(--icon-phone-incoming-svg);
  }
  .icon.phone-missed {
    -webkit-mask-image: var(--icon-phone-missed-svg);
    mask-image: var(--icon-phone-missed-svg);
  }
  .icon.phone-off {
    -webkit-mask-image: var(--icon-phone-off-svg);
    mask-image: var(--icon-phone-off-svg);
  }
  .icon.phone-outgoing {
    -webkit-mask-image: var(--icon-phone-outgoing-svg);
    mask-image: var(--icon-phone-outgoing-svg);
  }
  .icon.phone {
    -webkit-mask-image: var(--icon-phone-svg);
    mask-image: var(--icon-phone-svg);
  }
  .icon.pie-chart {
    -webkit-mask-image: var(--icon-pie-chart-svg);
    mask-image: var(--icon-pie-chart-svg);
  }
  .icon.play-circle {
    -webkit-mask-image: var(--icon-play-circle-svg);
    mask-image: var(--icon-play-circle-svg);
  }
  .icon.play {
    -webkit-mask-image: var(--icon-play-svg);
    mask-image: var(--icon-play-svg);
  }
  .icon.plus-circle {
    -webkit-mask-image: var(--icon-plus-circle-svg);
    mask-image: var(--icon-plus-circle-svg);
  }
  .icon.plus-square {
    -webkit-mask-image: var(--icon-plus-square-svg);
    mask-image: var(--icon-plus-square-svg);
  }
  .icon.plus {
    -webkit-mask-image: var(--icon-plus-svg);
    mask-image: var(--icon-plus-svg);
  }
  .icon.pocket {
    -webkit-mask-image: var(--icon-pocket-svg);
    mask-image: var(--icon-pocket-svg);
  }
  .icon.power {
    -webkit-mask-image: var(--icon-power-svg);
    mask-image: var(--icon-power-svg);
  }
  .icon.printer {
    -webkit-mask-image: var(--icon-printer-svg);
    mask-image: var(--icon-printer-svg);
  }
  .icon.radio {
    -webkit-mask-image: var(--icon-radio-svg);
    mask-image: var(--icon-radio-svg);
  }
  .icon.refresh-ccw {
    -webkit-mask-image: var(--icon-refresh-ccw-svg);
    mask-image: var(--icon-refresh-ccw-svg);
  }
  .icon.refresh-cw {
    -webkit-mask-image: var(--icon-refresh-cw-svg);
    mask-image: var(--icon-refresh-cw-svg);
  }
  .icon.repeat {
    -webkit-mask-image: var(--icon-repeat-svg);
    mask-image: var(--icon-repeat-svg);
  }
  .icon.rewind {
    -webkit-mask-image: var(--icon-rewind-svg);
    mask-image: var(--icon-rewind-svg);
  }
  .icon.rotate-ccw {
    -webkit-mask-image: var(--icon-rotate-ccw-svg);
    mask-image: var(--icon-rotate-ccw-svg);
  }
  .icon.rotate-cw {
    -webkit-mask-image: var(--icon-rotate-cw-svg);
    mask-image: var(--icon-rotate-cw-svg);
  }
  .icon.rss {
    -webkit-mask-image: var(--icon-rss-svg);
    mask-image: var(--icon-rss-svg);
  }
  .icon.save {
    -webkit-mask-image: var(--icon-save-svg);
    mask-image: var(--icon-save-svg);
  }
  .icon.scissors {
    -webkit-mask-image: var(--icon-scissors-svg);
    mask-image: var(--icon-scissors-svg);
  }
  .icon.search {
    -webkit-mask-image: var(--icon-search-svg);
    mask-image: var(--icon-search-svg);
  }
  .icon.send {
    -webkit-mask-image: var(--icon-send-svg);
    mask-image: var(--icon-send-svg);
  }
  .icon.server {
    -webkit-mask-image: var(--icon-server-svg);
    mask-image: var(--icon-server-svg);
  }
  .icon.settings {
    -webkit-mask-image: var(--icon-settings-svg);
    mask-image: var(--icon-settings-svg);
  }
  .icon.share-2 {
    -webkit-mask-image: var(--icon-share-2-svg);
    mask-image: var(--icon-share-2-svg);
  }
  .icon.share {
    -webkit-mask-image: var(--icon-share-svg);
    mask-image: var(--icon-share-svg);
  }
  .icon.shield-off {
    -webkit-mask-image: var(--icon-shield-off-svg);
    mask-image: var(--icon-shield-off-svg);
  }
  .icon.shield {
    -webkit-mask-image: var(--icon-shield-svg);
    mask-image: var(--icon-shield-svg);
  }
  .icon.shopping-bag {
    -webkit-mask-image: var(--icon-shopping-bag-svg);
    mask-image: var(--icon-shopping-bag-svg);
  }
  .icon.shopping-cart {
    -webkit-mask-image: var(--icon-shopping-cart-svg);
    mask-image: var(--icon-shopping-cart-svg);
  }
  .icon.shuffle {
    -webkit-mask-image: var(--icon-shuffle-svg);
    mask-image: var(--icon-shuffle-svg);
  }
  .icon.sidebar {
    -webkit-mask-image: var(--icon-sidebar-svg);
    mask-image: var(--icon-sidebar-svg);
  }
  .icon.skip-back {
    -webkit-mask-image: var(--icon-skip-back-svg);
    mask-image: var(--icon-skip-back-svg);
  }
  .icon.skip-forward {
    -webkit-mask-image: var(--icon-skip-forward-svg);
    mask-image: var(--icon-skip-forward-svg);
  }
  .icon.slack {
    -webkit-mask-image: var(--icon-slack-svg);
    mask-image: var(--icon-slack-svg);
  }
  .icon.slash {
    -webkit-mask-image: var(--icon-slash-svg);
    mask-image: var(--icon-slash-svg);
  }
  .icon.sliders {
    -webkit-mask-image: var(--icon-sliders-svg);
    mask-image: var(--icon-sliders-svg);
  }
  .icon.smartphone {
    -webkit-mask-image: var(--icon-smartphone-svg);
    mask-image: var(--icon-smartphone-svg);
  }
  .icon.smile {
    -webkit-mask-image: var(--icon-smile-svg);
    mask-image: var(--icon-smile-svg);
  }
  .icon.speaker {
    -webkit-mask-image: var(--icon-speaker-svg);
    mask-image: var(--icon-speaker-svg);
  }
  .icon.square {
    -webkit-mask-image: var(--icon-square-svg);
    mask-image: var(--icon-square-svg);
  }
  .icon.star {
    -webkit-mask-image: var(--icon-star-svg);
    mask-image: var(--icon-star-svg);
  }
  .icon.stop-circle {
    -webkit-mask-image: var(--icon-stop-circle-svg);
    mask-image: var(--icon-stop-circle-svg);
  }
  .icon.sunrise {
    -webkit-mask-image: var(--icon-sunrise-svg);
    mask-image: var(--icon-sunrise-svg);
  }
  .icon.sunset {
    -webkit-mask-image: var(--icon-sunset-svg);
    mask-image: var(--icon-sunset-svg);
  }
  .icon.sun {
    -webkit-mask-image: var(--icon-sun-svg);
    mask-image: var(--icon-sun-svg);
  }
  .icon.table {
    -webkit-mask-image: var(--icon-table-svg);
    mask-image: var(--icon-table-svg);
  }
  .icon.tablet {
    -webkit-mask-image: var(--icon-tablet-svg);
    mask-image: var(--icon-tablet-svg);
  }
  .icon.tag {
    -webkit-mask-image: var(--icon-tag-svg);
    mask-image: var(--icon-tag-svg);
  }
  .icon.target {
    -webkit-mask-image: var(--icon-target-svg);
    mask-image: var(--icon-target-svg);
  }
  .icon.terminal {
    -webkit-mask-image: var(--icon-terminal-svg);
    mask-image: var(--icon-terminal-svg);
  }
  .icon.thermometer {
    -webkit-mask-image: var(--icon-thermometer-svg);
    mask-image: var(--icon-thermometer-svg);
  }
  .icon.thumbs-down {
    -webkit-mask-image: var(--icon-thumbs-down-svg);
    mask-image: var(--icon-thumbs-down-svg);
  }
  .icon.thumbs-up {
    -webkit-mask-image: var(--icon-thumbs-up-svg);
    mask-image: var(--icon-thumbs-up-svg);
  }
  .icon.toggle-left {
    -webkit-mask-image: var(--icon-toggle-left-svg);
    mask-image: var(--icon-toggle-left-svg);
  }
  .icon.toggle-right {
    -webkit-mask-image: var(--icon-toggle-right-svg);
    mask-image: var(--icon-toggle-right-svg);
  }
  .icon.tool {
    -webkit-mask-image: var(--icon-tool-svg);
    mask-image: var(--icon-tool-svg);
  }
  .icon.trash-2 {
    -webkit-mask-image: var(--icon-trash-2-svg);
    mask-image: var(--icon-trash-2-svg);
  }
  .icon.trash {
    -webkit-mask-image: var(--icon-trash-svg);
    mask-image: var(--icon-trash-svg);
  }
  .icon.trello {
    -webkit-mask-image: var(--icon-trello-svg);
    mask-image: var(--icon-trello-svg);
  }
  .icon.trending-down {
    -webkit-mask-image: var(--icon-trending-down-svg);
    mask-image: var(--icon-trending-down-svg);
  }
  .icon.trending-up {
    -webkit-mask-image: var(--icon-trending-up-svg);
    mask-image: var(--icon-trending-up-svg);
  }
  .icon.triangle {
    -webkit-mask-image: var(--icon-triangle-svg);
    mask-image: var(--icon-triangle-svg);
  }
  .icon.truck {
    -webkit-mask-image: var(--icon-truck-svg);
    mask-image: var(--icon-truck-svg);
  }
  .icon.tv {
    -webkit-mask-image: var(--icon-tv-svg);
    mask-image: var(--icon-tv-svg);
  }
  .icon.twitch {
    -webkit-mask-image: var(--icon-twitch-svg);
    mask-image: var(--icon-twitch-svg);
  }
  .icon.twitter {
    -webkit-mask-image: var(--icon-twitter-svg);
    mask-image: var(--icon-twitter-svg);
  }
  .icon.type {
    -webkit-mask-image: var(--icon-type-svg);
    mask-image: var(--icon-type-svg);
  }
  .icon.umbrella {
    -webkit-mask-image: var(--icon-umbrella-svg);
    mask-image: var(--icon-umbrella-svg);
  }
  .icon.underline {
    -webkit-mask-image: var(--icon-underline-svg);
    mask-image: var(--icon-underline-svg);
  }
  .icon.unlock {
    -webkit-mask-image: var(--icon-unlock-svg);
    mask-image: var(--icon-unlock-svg);
  }
  .icon.upload-cloud {
    -webkit-mask-image: var(--icon-upload-cloud-svg);
    mask-image: var(--icon-upload-cloud-svg);
  }
  .icon.upload {
    -webkit-mask-image: var(--icon-upload-svg);
    mask-image: var(--icon-upload-svg);
  }
  .icon.user-check {
    -webkit-mask-image: var(--icon-user-check-svg);
    mask-image: var(--icon-user-check-svg);
  }
  .icon.user-minus {
    -webkit-mask-image: var(--icon-user-minus-svg);
    mask-image: var(--icon-user-minus-svg);
  }
  .icon.user-plus {
    -webkit-mask-image: var(--icon-user-plus-svg);
    mask-image: var(--icon-user-plus-svg);
  }
  .icon.users {
    -webkit-mask-image: var(--icon-users-svg);
    mask-image: var(--icon-users-svg);
  }
  .icon.user {
    -webkit-mask-image: var(--icon-user-svg);
    mask-image: var(--icon-user-svg);
  }
  .icon.user-x {
    -webkit-mask-image: var(--icon-user-x-svg);
    mask-image: var(--icon-user-x-svg);
  }
  .icon.video-off {
    -webkit-mask-image: var(--icon-video-off-svg);
    mask-image: var(--icon-video-off-svg);
  }
  .icon.video {
    -webkit-mask-image: var(--icon-video-svg);
    mask-image: var(--icon-video-svg);
  }
  .icon.voicemail {
    -webkit-mask-image: var(--icon-voicemail-svg);
    mask-image: var(--icon-voicemail-svg);
  }
  .icon.volume-1 {
    -webkit-mask-image: var(--icon-volume-1-svg);
    mask-image: var(--icon-volume-1-svg);
  }
  .icon.volume-2 {
    -webkit-mask-image: var(--icon-volume-2-svg);
    mask-image: var(--icon-volume-2-svg);
  }
  .icon.volume {
    -webkit-mask-image: var(--icon-volume-svg);
    mask-image: var(--icon-volume-svg);
  }
  .icon.volume-x {
    -webkit-mask-image: var(--icon-volume-x-svg);
    mask-image: var(--icon-volume-x-svg);
  }
  .icon.watch {
    -webkit-mask-image: var(--icon-watch-svg);
    mask-image: var(--icon-watch-svg);
  }
  .icon.wifi-off {
    -webkit-mask-image: var(--icon-wifi-off-svg);
    mask-image: var(--icon-wifi-off-svg);
  }
  .icon.wifi {
    -webkit-mask-image: var(--icon-wifi-svg);
    mask-image: var(--icon-wifi-svg);
  }
  .icon.wind {
    -webkit-mask-image: var(--icon-wind-svg);
    mask-image: var(--icon-wind-svg);
  }
  .icon.x-circle {
    -webkit-mask-image: var(--icon-x-circle-svg);
    mask-image: var(--icon-x-circle-svg);
  }
  .icon.x-octagon {
    -webkit-mask-image: var(--icon-x-octagon-svg);
    mask-image: var(--icon-x-octagon-svg);
  }
  .icon.x-square {
    -webkit-mask-image: var(--icon-x-square-svg);
    mask-image: var(--icon-x-square-svg);
  }
  .icon.x {
    -webkit-mask-image: var(--icon-x-svg);
    mask-image: var(--icon-x-svg);
  }
  .icon.youtube {
    -webkit-mask-image: var(--icon-youtube-svg);
    mask-image: var(--icon-youtube-svg);
  }
  .icon.zap-off {
    -webkit-mask-image: var(--icon-zap-off-svg);
    mask-image: var(--icon-zap-off-svg);
  }
  .icon.zap {
    -webkit-mask-image: var(--icon-zap-svg);
    mask-image: var(--icon-zap-svg);
  }
  .icon.zoom-in {
    -webkit-mask-image: var(--icon-zoom-in-svg);
    mask-image: var(--icon-zoom-in-svg);
  }
  .icon.zoom-out {
    -webkit-mask-image: var(--icon-zoom-out-svg);
    mask-image: var(--icon-zoom-out-svg);
  }
}

/* src/components/icon/css/definition/group/icons.css */
@layer icon.definition.plural;

/* src/components/icon/css/definition/states/disabled.css */
@layer icon.definition.states.disabled {
  .disabled.icon {
    cursor: default !important;
    opacity: var(--icon-disabled-opacity) !important;
  }
}

/* src/components/icon/css/definition/states/loading.css */
@layer icon.definition.states.loading;

/* src/components/icon/css/definition/variations/circular.css */
@layer icon.definition.variations.circular {
  i.circular.icon {
    border-radius: 500em !important;
    line-height: 1 !important;
    padding: var(--circular-padding) !important;
    box-shadow: var(--circular-shadow);
    width: var(--circular-size) !important;
    height: var(--circular-size) !important;
  }
  i.circular.inverted.icon {
    border: none;
    box-shadow: none;
  }
}

/* src/components/icon/css/definition/variations/colored.css */
@layer icon.definition.variations.colored {
  .red.icon {
    color: var(--icon-red);
  }
  .orange.icon {
    color: var(--icon-orange);
  }
  .yellow.icon {
    color: var(--icon-yellow);
  }
  .olive.icon {
    color: var(--icon-olive);
  }
  .green.icon {
    color: var(--icon-green);
  }
  .teal.icon {
    color: var(--icon-teal);
  }
  .blue.icon {
    color: var(--icon-blue);
  }
  .violet.icon {
    color: var(--icon-violet);
  }
  .purple.icon {
    color: var(--icon-purple);
  }
  .pink.icon {
    color: var(--icon-pink);
  }
  .brown.icon {
    color: var(--icon-brown);
  }
  .grey.icon {
    color: var(--icon-grey);
  }
  .black.icon {
    color: var(--icon-black);
  }
}

/* src/components/icon/css/definition/variations/fitted.css */
@layer icon.definition.variations.fitted {
  :host([fitted]) {
    margin: 0rem;
  }
}

/* src/components/icon/css/definition/variations/link.css */
@layer icon.definition.variations.links {
  .hitbox {
    display: inline-block;
    cursor: pointer;
    box-sizing: border-box;
    margin: calc(var(--icon-hitbox-area) * -1);
    padding: var(--icon-hitbox-area);
    color: var(--icon-link-color);
  }
  .hitbox:hover {
    color: var(--icon-link-hover-color);
  }
  .link.icon,
  .link.icons {
    cursor: pointer;
    opacity: var(--icon-link-opacity);
    color: var(--icon-link-color);
    transition: var(--icon-link-transition);
  }
  .link.icon:hover,
  .link.icons:hover {
    opacity: var(--icon-link-hover-opacity);
    color: var(--icon-link-hover-color);
  }
}

/* src/components/icon/css/definition/variations/sizing.css */
@layer icon.definition.variations.sizing {
  .mini.icons .icon,
  .mini.icon {
    font-size: var(--icon-mini);
  }
  .tiny.icons .icon,
  .tiny.icon {
    font-size: var(--icon-tiny);
  }
  .small.icons .icon,
  .small.icon {
    font-size: var(--icon-small);
  }
  .icons .icon,
  .icon {
  }
  .large.icons .icon,
  .large.icon {
    font-size: var(--icon-large);
  }
  .big.icons .icon,
  .big.icon {
    font-size: var(--icon-big);
  }
  .huge.icons .icon,
  .huge.icon {
    font-size: var(--icon-huge);
  }
  .massive.icons .icon,
  .massive.icon {
    font-size: var(--icon-massive);
  }
}

/* src/components/icon/css/definition/icon-definition.css */

/* src/components/icon/css/theme/content/icon-variables.css */
@layer icon.theme.content.icon {
  :host {
    --icon-width: 1em;
    --icon-height: 1em;
    --icon-opacity: 1;
    --icon-distance-from-text: var(--relative-3px);
  }
}

/* src/components/icon/css/theme/group/icons-variables.css */
@layer icon.theme.plural {
  ui-icon {
  }
}

/* src/components/icon/css/theme/states/disabled-variables.css */
@layer icon.theme.states.disabled {
  :host {
    --icon-disabled-opacity: 0.2;
  }
}

/* src/components/icon/css/theme/states/loading-variables.css */
@layer icon.theme.states.loading {
  :host {
  }
}

/* src/components/icon/css/theme/variations/link-variables.css */
@layer icon.theme.variations.link {
  :host {
    --icon-link-opacity: 0.6;
    --icon-link-color: inherit;
    --icon-link-transition: opacity var(--duration) var(--easing), color var(--duration) var(--easing) ;
    --icon-link-hover-opacity: 1;
    --icon-link-hover-color: inherit;
    --icon-hitbox-area: 5px;
  }
}

/* src/components/icon/css/theme/variations/colored-variables.css */
@layer icon.theme.variations.colored {
  :host {
    --icon-red: var(--red);
    --icon-orange: var(--orange);
    --icon-yellow: var(--yellow);
    --icon-olive: var(--olive);
    --icon-green: var(--green);
    --icon-teal: var(--teal);
    --icon-blue: var(--blue);
    --icon-violet: var(--violet);
    --icon-purple: var(--purple);
    --icon-pink: var(--pink);
    --icon-brown: var(--brown);
    --icon-grey: var(--grey);
    --icon-black: var(--black);
  }
}

/* src/components/icon/css/theme/variations/sizing-variables.css */
@layer icon.theme.variations.sizing {
  :host {
    --icon-mini: var(--10px);
    --icon-tiny: var(--11px);
    --icon-small: var(--13px);
    --icon-medium: var(--medium);
    --icon-large: var(--16px);
    --icon-big: var(--24px);
    --icon-huge: var(--32px);
    --icon-massive: var(--64px);
  }
}

/* src/components/icon/css/theme/overrides/feather-icons.css */
@layer icon.theme.overrides.feather {
  :host {
    --icon-activity-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><polyline points="22 12 18 12 15 21 9 3 6 12 2 12"></polyline></svg>');
    --icon-airplay-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-airplay"><path d="M5 17H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2h-1"></path><polygon points="12 15 17 21 7 21 12 15"></polygon></svg>');
    --icon-alert-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-alert-circle"><circle cx="12" cy="12" r="10"></circle><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12.01" y2="16"></line></svg>');
    --icon-alert-octagon-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-alert-octagon"><polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon><line x1="12" y1="8" x2="12" y2="12"></line><line x1="12" y1="16" x2="12.01" y2="16"></line></svg>');
    --icon-alert-triangle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-alert-triangle"><path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path><line x1="12" y1="9" x2="12" y2="13"></line><line x1="12" y1="17" x2="12.01" y2="17"></line></svg>');
    --icon-align-center-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-align-center"><line x1="18" y1="10" x2="6" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="18" y1="18" x2="6" y2="18"></line></svg>');
    --icon-align-justify-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-align-justify"><line x1="21" y1="10" x2="3" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="21" y1="18" x2="3" y2="18"></line></svg>');
    --icon-align-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-align-left"><line x1="17" y1="10" x2="3" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="17" y1="18" x2="3" y2="18"></line></svg>');
    --icon-align-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-align-right"><line x1="21" y1="10" x2="7" y2="10"></line><line x1="21" y1="6" x2="3" y2="6"></line><line x1="21" y1="14" x2="3" y2="14"></line><line x1="21" y1="18" x2="7" y2="18"></line></svg>');
    --icon-anchor-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-anchor"><circle cx="12" cy="5" r="3"></circle><line x1="12" y1="22" x2="12" y2="8"></line><path d="M5 12H2a10 10 0 0 0 20 0h-3"></path></svg>');
    --icon-aperture-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-aperture"><circle cx="12" cy="12" r="10"></circle><line x1="14.31" y1="8" x2="20.05" y2="17.94"></line><line x1="9.69" y1="8" x2="21.17" y2="8"></line><line x1="7.38" y1="12" x2="13.12" y2="2.06"></line><line x1="9.69" y1="16" x2="3.95" y2="6.06"></line><line x1="14.31" y1="16" x2="2.83" y2="16"></line><line x1="16.62" y1="12" x2="10.88" y2="21.94"></line></svg>');
    --icon-archive-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-archive"><polyline points="21 8 21 21 3 21 3 8"></polyline><rect x="1" y="3" width="22" height="5"></rect><line x1="10" y1="12" x2="14" y2="12"></line></svg>');
    --icon-arrow-down-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down-circle"><circle cx="12" cy="12" r="10"></circle><polyline points="8 12 12 16 16 12"></polyline><line x1="12" y1="8" x2="12" y2="16"></line></svg>');
    --icon-arrow-down-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down-left"><line x1="17" y1="7" x2="7" y2="17"></line><polyline points="17 17 7 17 7 7"></polyline></svg>');
    --icon-arrow-down-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down-right"><line x1="7" y1="7" x2="17" y2="17"></line><polyline points="17 7 17 17 7 17"></polyline></svg>');
    --icon-arrow-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg>');
    --icon-arrow-left-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left-circle"><circle cx="12" cy="12" r="10"></circle><polyline points="12 8 8 12 12 16"></polyline><line x1="16" y1="12" x2="8" y2="12"></line></svg>');
    --icon-arrow-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>');
    --icon-arrow-right-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right-circle"><circle cx="12" cy="12" r="10"></circle><polyline points="12 16 16 12 12 8"></polyline><line x1="8" y1="12" x2="16" y2="12"></line></svg>');
    --icon-arrow-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>');
    --icon-arrow-up-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up-circle"><circle cx="12" cy="12" r="10"></circle><polyline points="16 12 12 8 8 12"></polyline><line x1="12" y1="16" x2="12" y2="8"></line></svg>');
    --icon-arrow-up-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up-left"><line x1="17" y1="17" x2="7" y2="7"></line><polyline points="7 17 7 7 17 7"></polyline></svg>');
    --icon-arrow-up-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up-right"><line x1="7" y1="17" x2="17" y2="7"></line><polyline points="7 7 17 7 17 17"></polyline></svg>');
    --icon-arrow-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg>');
    --icon-at-sign-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-at-sign"><circle cx="12" cy="12" r="4"></circle><path d="M16 8v5a3 3 0 0 0 6 0v-1a10 10 0 1 0-3.92 7.94"></path></svg>');
    --icon-award-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-award"><circle cx="12" cy="8" r="7"></circle><polyline points="8.21 13.89 7 23 12 20 17 23 15.79 13.88"></polyline></svg>');
    --icon-bar-chart-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bar-chart-2"><line x1="18" y1="20" x2="18" y2="10"></line><line x1="12" y1="20" x2="12" y2="4"></line><line x1="6" y1="20" x2="6" y2="14"></line></svg>');
    --icon-bar-chart-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bar-chart"><line x1="12" y1="20" x2="12" y2="10"></line><line x1="18" y1="20" x2="18" y2="4"></line><line x1="6" y1="20" x2="6" y2="16"></line></svg>');
    --icon-battery-charging-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-battery-charging"><path d="M5 18H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3.19M15 6h2a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2h-3.19"></path><line x1="23" y1="13" x2="23" y2="11"></line><polyline points="11 6 7 12 13 12 9 18"></polyline></svg>');
    --icon-battery-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-battery"><rect x="1" y="6" width="18" height="12" rx="2" ry="2"></rect><line x1="23" y1="13" x2="23" y2="11"></line></svg>');
    --icon-bell-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bell-off"><path d="M13.73 21a2 2 0 0 1-3.46 0"></path><path d="M18.63 13A17.89 17.89 0 0 1 18 8"></path><path d="M6.26 6.26A5.86 5.86 0 0 0 6 8c0 7-3 9-3 9h14"></path><path d="M18 8a6 6 0 0 0-9.33-5"></path><line x1="1" y1="1" x2="23" y2="23"></line></svg>');
    --icon-bell-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bell"><path d="M18 8A6 6 0 0 0 6 8c0 7-3 9-3 9h18s-3-2-3-9"></path><path d="M13.73 21a2 2 0 0 1-3.46 0"></path></svg>');
    --icon-bluetooth-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bluetooth"><polyline points="6.5 6.5 17.5 17.5 12 23 12 1 17.5 6.5 6.5 17.5"></polyline></svg>');
    --icon-bold-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bold"><path d="M6 4h8a4 4 0 0 1 4 4 4 4 0 0 1-4 4H6z"></path><path d="M6 12h9a4 4 0 0 1 4 4 4 4 0 0 1-4 4H6z"></path></svg>');
    --icon-bookmark-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-bookmark"><path d="M19 21l-7-5-7 5V5a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2z"></path></svg>');
    --icon-book-open-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-book-open"><path d="M2 3h6a4 4 0 0 1 4 4v14a3 3 0 0 0-3-3H2z"></path><path d="M22 3h-6a4 4 0 0 0-4 4v14a3 3 0 0 1 3-3h7z"></path></svg>');
    --icon-book-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-book"><path d="M4 19.5A2.5 2.5 0 0 1 6.5 17H20"></path><path d="M6.5 2H20v20H6.5A2.5 2.5 0 0 1 4 19.5v-15A2.5 2.5 0 0 1 6.5 2z"></path></svg>');
    --icon-box-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-box"><path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line></svg>');
    --icon-briefcase-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-briefcase"><rect x="2" y="7" width="20" height="14" rx="2" ry="2"></rect><path d="M16 21V5a2 2 0 0 0-2-2h-4a2 2 0 0 0-2 2v16"></path></svg>');
    --icon-calendar-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg>');
    --icon-camera-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-camera-off"><line x1="1" y1="1" x2="23" y2="23"></line><path d="M21 21H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3m3-3h6l2 3h4a2 2 0 0 1 2 2v9.34m-7.72-2.06a4 4 0 1 1-5.56-5.56"></path></svg>');
    --icon-camera-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-camera"><path d="M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"></path><circle cx="12" cy="13" r="4"></circle></svg>');
    --icon-cast-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cast"><path d="M2 16.1A5 5 0 0 1 5.9 20M2 12.05A9 9 0 0 1 9.95 20M2 8V6a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2h-6"></path><line x1="2" y1="20" x2="2.01" y2="20"></line></svg>');
    --icon-check-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-check-circle"><path d="M22 11.08V12a10 10 0 1 1-5.93-9.14"></path><polyline points="22 4 12 14.01 9 11.01"></polyline></svg>');
    --icon-check-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-check-square"><polyline points="9 11 12 14 22 4"></polyline><path d="M21 12v7a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11"></path></svg>');
    --icon-check-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-check"><polyline points="20 6 9 17 4 12"></polyline></svg>');
    --icon-chevron-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-down"><polyline points="6 9 12 15 18 9"></polyline></svg>');
    --icon-chevron-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-left"><polyline points="15 18 9 12 15 6"></polyline></svg>');
    --icon-chevron-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right"><polyline points="9 18 15 12 9 6"></polyline></svg>');
    --icon-chevrons-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevrons-down"><polyline points="7 13 12 18 17 13"></polyline><polyline points="7 6 12 11 17 6"></polyline></svg>');
    --icon-chevrons-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevrons-left"><polyline points="11 17 6 12 11 7"></polyline><polyline points="18 17 13 12 18 7"></polyline></svg>');
    --icon-chevrons-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevrons-right"><polyline points="13 17 18 12 13 7"></polyline><polyline points="6 17 11 12 6 7"></polyline></svg>');
    --icon-chevrons-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevrons-up"><polyline points="17 11 12 6 7 11"></polyline><polyline points="17 18 12 13 7 18"></polyline></svg>');
    --icon-chevron-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-up"><polyline points="18 15 12 9 6 15"></polyline></svg>');
    --icon-chrome-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chrome"><circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="4"></circle><line x1="21.17" y1="8" x2="12" y2="8"></line><line x1="3.95" y1="6.06" x2="8.54" y2="14"></line><line x1="10.88" y1="21.94" x2="15.46" y2="14"></line></svg>');
    --icon-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-circle"><circle cx="12" cy="12" r="10"></circle></svg>');
    --icon-clipboard-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-clipboard"><path d="M16 4h2a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H6a2 2 0 0 1-2-2V6a2 2 0 0 1 2-2h2"></path><rect x="8" y="2" width="8" height="4" rx="1" ry="1"></rect></svg>');
    --icon-clock-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-clock"><circle cx="12" cy="12" r="10"></circle><polyline points="12 6 12 12 16 14"></polyline></svg>');
    --icon-cloud-drizzle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cloud-drizzle"><line x1="8" y1="19" x2="8" y2="21"></line><line x1="8" y1="13" x2="8" y2="15"></line><line x1="16" y1="19" x2="16" y2="21"></line><line x1="16" y1="13" x2="16" y2="15"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="12" y1="15" x2="12" y2="17"></line><path d="M20 16.58A5 5 0 0 0 18 7h-1.26A8 8 0 1 0 4 15.25"></path></svg>');
    --icon-cloud-lightning-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cloud-lightning"><path d="M19 16.9A5 5 0 0 0 18 7h-1.26a8 8 0 1 0-11.62 9"></path><polyline points="13 11 9 17 15 17 11 23"></polyline></svg>');
    --icon-cloud-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cloud-off"><path d="M22.61 16.95A5 5 0 0 0 18 10h-1.26a8 8 0 0 0-7.05-6M5 5a8 8 0 0 0 4 15h9a5 5 0 0 0 1.7-.3"></path><line x1="1" y1="1" x2="23" y2="23"></line></svg>');
    --icon-cloud-rain-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cloud-rain"><line x1="16" y1="13" x2="16" y2="21"></line><line x1="8" y1="13" x2="8" y2="21"></line><line x1="12" y1="15" x2="12" y2="23"></line><path d="M20 16.58A5 5 0 0 0 18 7h-1.26A8 8 0 1 0 4 15.25"></path></svg>');
    --icon-cloud-snow-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cloud-snow"><path d="M20 17.58A5 5 0 0 0 18 8h-1.26A8 8 0 1 0 4 16.25"></path><line x1="8" y1="16" x2="8.01" y2="16"></line><line x1="8" y1="20" x2="8.01" y2="20"></line><line x1="12" y1="18" x2="12.01" y2="18"></line><line x1="12" y1="22" x2="12.01" y2="22"></line><line x1="16" y1="16" x2="16.01" y2="16"></line><line x1="16" y1="20" x2="16.01" y2="20"></line></svg>');
    --icon-cloud-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cloud"><path d="M18 10h-1.26A8 8 0 1 0 9 20h9a5 5 0 0 0 0-10z"></path></svg>');
    --icon-codepen-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-codepen"><polygon points="12 2 22 8.5 22 15.5 12 22 2 15.5 2 8.5 12 2"></polygon><line x1="12" y1="22" x2="12" y2="15.5"></line><polyline points="22 8.5 12 15.5 2 8.5"></polyline><polyline points="2 15.5 12 8.5 22 15.5"></polyline><line x1="12" y1="2" x2="12" y2="8.5"></line></svg>');
    --icon-codesandbox-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-codesandbox"><path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="7.5 4.21 12 6.81 16.5 4.21"></polyline><polyline points="7.5 19.79 7.5 14.6 3 12"></polyline><polyline points="21 12 16.5 14.6 16.5 19.79"></polyline><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line></svg>');
    --icon-code-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-code"><polyline points="16 18 22 12 16 6"></polyline><polyline points="8 6 2 12 8 18"></polyline></svg>');
    --icon-coffee-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-coffee"><path d="M18 8h1a4 4 0 0 1 0 8h-1"></path><path d="M2 8h16v9a4 4 0 0 1-4 4H6a4 4 0 0 1-4-4V8z"></path><line x1="6" y1="1" x2="6" y2="4"></line><line x1="10" y1="1" x2="10" y2="4"></line><line x1="14" y1="1" x2="14" y2="4"></line></svg>');
    --icon-columns-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-columns"><path d="M12 3h7a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-7m0-18H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h7m0-18v18"></path></svg>');
    --icon-command-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-command"><path d="M18 3a3 3 0 0 0-3 3v12a3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3H6a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3V6a3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3h12a3 3 0 0 0 3-3 3 3 0 0 0-3-3z"></path></svg>');
    --icon-compass-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-compass"><circle cx="12" cy="12" r="10"></circle><polygon points="16.24 7.76 14.12 14.12 7.76 16.24 9.88 9.88 16.24 7.76"></polygon></svg>');
    --icon-copy-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-copy"><rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect><path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path></svg>');
    --icon-corner-down-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-down-left"><polyline points="9 10 4 15 9 20"></polyline><path d="M20 4v7a4 4 0 0 1-4 4H4"></path></svg>');
    --icon-corner-down-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-down-right"><polyline points="15 10 20 15 15 20"></polyline><path d="M4 4v7a4 4 0 0 0 4 4h12"></path></svg>');
    --icon-corner-left-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-left-down"><polyline points="14 15 9 20 4 15"></polyline><path d="M20 4h-7a4 4 0 0 0-4 4v12"></path></svg>');
    --icon-corner-left-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-left-up"><polyline points="14 9 9 4 4 9"></polyline><path d="M20 20h-7a4 4 0 0 1-4-4V4"></path></svg>');
    --icon-corner-right-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-right-down"><polyline points="10 15 15 20 20 15"></polyline><path d="M4 4h7a4 4 0 0 1 4 4v12"></path></svg>');
    --icon-corner-right-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-right-up"><polyline points="10 9 15 4 20 9"></polyline><path d="M4 20h7a4 4 0 0 0 4-4V4"></path></svg>');
    --icon-corner-up-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-up-left"><polyline points="9 14 4 9 9 4"></polyline><path d="M20 20v-7a4 4 0 0 0-4-4H4"></path></svg>');
    --icon-corner-up-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-corner-up-right"><polyline points="15 14 20 9 15 4"></polyline><path d="M4 20v-7a4 4 0 0 1 4-4h12"></path></svg>');
    --icon-cpu-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-cpu"><rect x="4" y="4" width="16" height="16" rx="2" ry="2"></rect><rect x="9" y="9" width="6" height="6"></rect><line x1="9" y1="1" x2="9" y2="4"></line><line x1="15" y1="1" x2="15" y2="4"></line><line x1="9" y1="20" x2="9" y2="23"></line><line x1="15" y1="20" x2="15" y2="23"></line><line x1="20" y1="9" x2="23" y2="9"></line><line x1="20" y1="14" x2="23" y2="14"></line><line x1="1" y1="9" x2="4" y2="9"></line><line x1="1" y1="14" x2="4" y2="14"></line></svg>');
    --icon-credit-card-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-credit-card"><rect x="1" y="4" width="22" height="16" rx="2" ry="2"></rect><line x1="1" y1="10" x2="23" y2="10"></line></svg>');
    --icon-crop-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-crop"><path d="M6.13 1L6 16a2 2 0 0 0 2 2h15"></path><path d="M1 6.13L16 6a2 2 0 0 1 2 2v15"></path></svg>');
    --icon-crosshair-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-crosshair"><circle cx="12" cy="12" r="10"></circle><line x1="22" y1="12" x2="18" y2="12"></line><line x1="6" y1="12" x2="2" y2="12"></line><line x1="12" y1="6" x2="12" y2="2"></line><line x1="12" y1="22" x2="12" y2="18"></line></svg>');
    --icon-database-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-database"><ellipse cx="12" cy="5" rx="9" ry="3"></ellipse><path d="M21 12c0 1.66-4 3-9 3s-9-1.34-9-3"></path><path d="M3 5v14c0 1.66 4 3 9 3s9-1.34 9-3V5"></path></svg>');
    --icon-delete-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-delete"><path d="M21 4H8l-7 8 7 8h13a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2z"></path><line x1="18" y1="9" x2="12" y2="15"></line><line x1="12" y1="9" x2="18" y2="15"></line></svg>');
    --icon-disc-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-disc"><circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="3"></circle></svg>');
    --icon-divide-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-divide-circle"><line x1="8" y1="12" x2="16" y2="12"></line><line x1="12" y1="16" x2="12" y2="16"></line><line x1="12" y1="8" x2="12" y2="8"></line><circle cx="12" cy="12" r="10"></circle></svg>');
    --icon-divide-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-divide-square"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="8" y1="12" x2="16" y2="12"></line><line x1="12" y1="16" x2="12" y2="16"></line><line x1="12" y1="8" x2="12" y2="8"></line></svg>');
    --icon-divide-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-divide"><circle cx="12" cy="6" r="2"></circle><line x1="5" y1="12" x2="19" y2="12"></line><circle cx="12" cy="18" r="2"></circle></svg>');
    --icon-dollar-sign-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-dollar-sign"><line x1="12" y1="1" x2="12" y2="23"></line><path d="M17 5H9.5a3.5 3.5 0 0 0 0 7h5a3.5 3.5 0 0 1 0 7H6"></path></svg>');
    --icon-download-cloud-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-download-cloud"><polyline points="8 17 12 21 16 17"></polyline><line x1="12" y1="12" x2="12" y2="21"></line><path d="M20.88 18.09A5 5 0 0 0 18 9h-1.26A8 8 0 1 0 3 16.29"></path></svg>');
    --icon-download-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-download"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="7 10 12 15 17 10"></polyline><line x1="12" y1="15" x2="12" y2="3"></line></svg>');
    --icon-dribbble-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-dribbble"><circle cx="12" cy="12" r="10"></circle><path d="M8.56 2.75c4.37 6.03 6.02 9.42 8.03 17.72m2.54-15.38c-3.72 4.35-8.94 5.66-16.88 5.85m19.5 1.9c-3.5-.93-6.63-.82-8.94 0-2.58.92-5.01 2.86-7.44 6.32"></path></svg>');
    --icon-droplet-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-droplet"><path d="M12 2.69l5.66 5.66a8 8 0 1 1-11.31 0z"></path></svg>');
    --icon-edit-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-2"><path d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z"></path></svg>');
    --icon-edit-3-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-3"><path d="M12 20h9"></path><path d="M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"></path></svg>');
    --icon-edit-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit"><path d="M11 4H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-7"></path><path d="M18.5 2.5a2.121 2.121 0 0 1 3 3L12 15l-4 1 1-4 9.5-9.5z"></path></svg>');
    --icon-external-link-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-external-link"><path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path><polyline points="15 3 21 3 21 9"></polyline><line x1="10" y1="14" x2="21" y2="3"></line></svg>');
    --icon-eye-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye-off"><path d="M17.94 17.94A10.07 10.07 0 0 1 12 20c-7 0-11-8-11-8a18.45 18.45 0 0 1 5.06-5.94M9.9 4.24A9.12 9.12 0 0 1 12 4c7 0 11 8 11 8a18.5 18.5 0 0 1-2.16 3.19m-6.72-1.07a3 3 0 1 1-4.24-4.24"></path><line x1="1" y1="1" x2="23" y2="23"></line></svg>');
    --icon-eye-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-eye"><path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path><circle cx="12" cy="12" r="3"></circle></svg>');
    --icon-facebook-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-facebook"><path d="M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"></path></svg>');
    --icon-fast-forward-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-fast-forward"><polygon points="13 19 22 12 13 5 13 19"></polygon><polygon points="2 19 11 12 2 5 2 19"></polygon></svg>');
    --icon-feather-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-feather"><path d="M20.24 12.24a6 6 0 0 0-8.49-8.49L5 10.5V19h8.5z"></path><line x1="16" y1="8" x2="2" y2="22"></line><line x1="17.5" y1="15" x2="9" y2="15"></line></svg>');
    --icon-figma-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-figma"><path d="M5 5.5A3.5 3.5 0 0 1 8.5 2H12v7H8.5A3.5 3.5 0 0 1 5 5.5z"></path><path d="M12 2h3.5a3.5 3.5 0 1 1 0 7H12V2z"></path><path d="M12 12.5a3.5 3.5 0 1 1 7 0 3.5 3.5 0 1 1-7 0z"></path><path d="M5 19.5A3.5 3.5 0 0 1 8.5 16H12v3.5a3.5 3.5 0 1 1-7 0z"></path><path d="M5 12.5A3.5 3.5 0 0 1 8.5 9H12v7H8.5A3.5 3.5 0 0 1 5 12.5z"></path></svg>');
    --icon-file-minus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file-minus"><path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="9" y1="15" x2="15" y2="15"></line></svg>');
    --icon-file-plus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file-plus"><path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="12" y1="18" x2="12" y2="12"></line><line x1="9" y1="15" x2="15" y2="15"></line></svg>');
    --icon-file-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file"><path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path><polyline points="13 2 13 9 20 9"></polyline></svg>');
    --icon-file-text-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file-text"><path d="M14 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V8z"></path><polyline points="14 2 14 8 20 8"></polyline><line x1="16" y1="13" x2="8" y2="13"></line><line x1="16" y1="17" x2="8" y2="17"></line><polyline points="10 9 9 9 8 9"></polyline></svg>');
    --icon-film-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-film"><rect x="2" y="2" width="20" height="20" rx="2.18" ry="2.18"></rect><line x1="7" y1="2" x2="7" y2="22"></line><line x1="17" y1="2" x2="17" y2="22"></line><line x1="2" y1="12" x2="22" y2="12"></line><line x1="2" y1="7" x2="7" y2="7"></line><line x1="2" y1="17" x2="7" y2="17"></line><line x1="17" y1="17" x2="22" y2="17"></line><line x1="17" y1="7" x2="22" y2="7"></line></svg>');
    --icon-filter-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-filter"><polygon points="22 3 2 3 10 12.46 10 19 14 21 14 12.46 22 3"></polygon></svg>');
    --icon-flag-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-flag"><path d="M4 15s1-1 4-1 5 2 8 2 4-1 4-1V3s-1 1-4 1-5-2-8-2-4 1-4 1z"></path><line x1="4" y1="22" x2="4" y2="15"></line></svg>');
    --icon-folder-minus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-folder-minus"><path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path><line x1="9" y1="14" x2="15" y2="14"></line></svg>');
    --icon-folder-plus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-folder-plus"><path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path><line x1="12" y1="11" x2="12" y2="17"></line><line x1="9" y1="14" x2="15" y2="14"></line></svg>');
    --icon-folder-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-folder"><path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path></svg>');
    --icon-framer-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-framer"><path d="M5 16V9h14V2H5l14 14h-7m-7 0l7 7v-7m-7 0h7"></path></svg>');
    --icon-frown-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-frown"><circle cx="12" cy="12" r="10"></circle><path d="M16 16s-1.5-2-4-2-4 2-4 2"></path><line x1="9" y1="9" x2="9.01" y2="9"></line><line x1="15" y1="9" x2="15.01" y2="9"></line></svg>');
    --icon-gift-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-gift"><polyline points="20 12 20 22 4 22 4 12"></polyline><rect x="2" y="7" width="20" height="5"></rect><line x1="12" y1="22" x2="12" y2="7"></line><path d="M12 7H7.5a2.5 2.5 0 0 1 0-5C11 2 12 7 12 7z"></path><path d="M12 7h4.5a2.5 2.5 0 0 0 0-5C13 2 12 7 12 7z"></path></svg>');
    --icon-git-branch-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-git-branch"><line x1="6" y1="3" x2="6" y2="15"></line><circle cx="18" cy="6" r="3"></circle><circle cx="6" cy="18" r="3"></circle><path d="M18 9a9 9 0 0 1-9 9"></path></svg>');
    --icon-git-commit-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-git-commit"><circle cx="12" cy="12" r="4"></circle><line x1="1.05" y1="12" x2="7" y2="12"></line><line x1="17.01" y1="12" x2="22.96" y2="12"></line></svg>');
    --icon-github-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-github"><path d="M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 0 0-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0 0 20 4.77 5.07 5.07 0 0 0 19.91 1S18.73.65 16 2.48a13.38 13.38 0 0 0-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 0 0 5 4.77a5.44 5.44 0 0 0-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 0 0 9 18.13V22"></path></svg>');
    --icon-gitlab-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-gitlab"><path d="M22.65 14.39L12 22.13 1.35 14.39a.84.84 0 0 1-.3-.94l1.22-3.78 2.44-7.51A.42.42 0 0 1 4.82 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.49h8.1l2.44-7.51A.42.42 0 0 1 18.6 2a.43.43 0 0 1 .58 0 .42.42 0 0 1 .11.18l2.44 7.51L23 13.45a.84.84 0 0 1-.35.94z"></path></svg>');
    --icon-git-merge-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-git-merge"><circle cx="18" cy="18" r="3"></circle><circle cx="6" cy="6" r="3"></circle><path d="M6 21V9a9 9 0 0 0 9 9"></path></svg>');
    --icon-git-pull-request-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-git-pull-request"><circle cx="18" cy="18" r="3"></circle><circle cx="6" cy="6" r="3"></circle><path d="M13 6h3a2 2 0 0 1 2 2v7"></path><line x1="6" y1="9" x2="6" y2="21"></line></svg>');
    --icon-globe-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-globe"><circle cx="12" cy="12" r="10"></circle><line x1="2" y1="12" x2="22" y2="12"></line><path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path></svg>');
    --icon-grid-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-grid"><rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect></svg>');
    --icon-hard-drive-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-hard-drive"><line x1="22" y1="12" x2="2" y2="12"></line><path d="M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z"></path><line x1="6" y1="16" x2="6.01" y2="16"></line><line x1="10" y1="16" x2="10.01" y2="16"></line></svg>');
    --icon-hash-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-hash"><line x1="4" y1="9" x2="20" y2="9"></line><line x1="4" y1="15" x2="20" y2="15"></line><line x1="10" y1="3" x2="8" y2="21"></line><line x1="16" y1="3" x2="14" y2="21"></line></svg>');
    --icon-headphones-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-headphones"><path d="M3 18v-6a9 9 0 0 1 18 0v6"></path><path d="M21 19a2 2 0 0 1-2 2h-1a2 2 0 0 1-2-2v-3a2 2 0 0 1 2-2h3zM3 19a2 2 0 0 0 2 2h1a2 2 0 0 0 2-2v-3a2 2 0 0 0-2-2H3z"></path></svg>');
    --icon-heart-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart"><path d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z"></path></svg>');
    --icon-help-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-help-circle"><circle cx="12" cy="12" r="10"></circle><path d="M9.09 9a3 3 0 0 1 5.83 1c0 2-3 3-3 3"></path><line x1="12" y1="17" x2="12.01" y2="17"></line></svg>');
    --icon-hexagon-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-hexagon"><path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path></svg>');
    --icon-home-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-home"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>');
    --icon-image-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-image"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><circle cx="8.5" cy="8.5" r="1.5"></circle><polyline points="21 15 16 10 5 21"></polyline></svg>');
    --icon-inbox-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-inbox"><polyline points="22 12 16 12 14 15 10 15 8 12 2 12"></polyline><path d="M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z"></path></svg>');
    --icon-info-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-info"><circle cx="12" cy="12" r="10"></circle><line x1="12" y1="16" x2="12" y2="12"></line><line x1="12" y1="8" x2="12.01" y2="8"></line></svg>');
    --icon-instagram-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-instagram"><rect x="2" y="2" width="20" height="20" rx="5" ry="5"></rect><path d="M16 11.37A4 4 0 1 1 12.63 8 4 4 0 0 1 16 11.37z"></path><line x1="17.5" y1="6.5" x2="17.51" y2="6.5"></line></svg>');
    --icon-italic-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-italic"><line x1="19" y1="4" x2="10" y2="4"></line><line x1="14" y1="20" x2="5" y2="20"></line><line x1="15" y1="4" x2="9" y2="20"></line></svg>');
    --icon-key-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-key"><path d="M21 2l-2 2m-7.61 7.61a5.5 5.5 0 1 1-7.778 7.778 5.5 5.5 0 0 1 7.777-7.777zm0 0L15.5 7.5m0 0l3 3L22 7l-3-3m-3.5 3.5L19 4"></path></svg>');
    --icon-layers-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-layers"><polygon points="12 2 2 7 12 12 22 7 12 2"></polygon><polyline points="2 17 12 22 22 17"></polyline><polyline points="2 12 12 17 22 12"></polyline></svg>');
    --icon-layout-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-layout"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="3" y1="9" x2="21" y2="9"></line><line x1="9" y1="21" x2="9" y2="9"></line></svg>');
    --icon-life-buoy-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-life-buoy"><circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="4"></circle><line x1="4.93" y1="4.93" x2="9.17" y2="9.17"></line><line x1="14.83" y1="14.83" x2="19.07" y2="19.07"></line><line x1="14.83" y1="9.17" x2="19.07" y2="4.93"></line><line x1="14.83" y1="9.17" x2="18.36" y2="5.64"></line><line x1="4.93" y1="19.07" x2="9.17" y2="14.83"></line></svg>');
    --icon-linkify-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link-2"><path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path><line x1="8" y1="12" x2="16" y2="12"></line></svg>');
    --icon-linkedin-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-linkedin"><path d="M16 8a6 6 0 0 1 6 6v7h-4v-7a2 2 0 0 0-2-2 2 2 0 0 0-2 2v7h-4v-7a6 6 0 0 1 6-6z"></path><rect x="2" y="9" width="4" height="12"></rect><circle cx="4" cy="4" r="2"></circle></svg>');
    --icon-linkify-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link"><path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path></svg>');
    --icon-list-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-list"><line x1="8" y1="6" x2="21" y2="6"></line><line x1="8" y1="12" x2="21" y2="12"></line><line x1="8" y1="18" x2="21" y2="18"></line><line x1="3" y1="6" x2="3.01" y2="6"></line><line x1="3" y1="12" x2="3.01" y2="12"></line><line x1="3" y1="18" x2="3.01" y2="18"></line></svg>');
    --icon-loader-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-loader"><line x1="12" y1="2" x2="12" y2="6"></line><line x1="12" y1="18" x2="12" y2="22"></line><line x1="4.93" y1="4.93" x2="7.76" y2="7.76"></line><line x1="16.24" y1="16.24" x2="19.07" y2="19.07"></line><line x1="2" y1="12" x2="6" y2="12"></line><line x1="18" y1="12" x2="22" y2="12"></line><line x1="4.93" y1="19.07" x2="7.76" y2="16.24"></line><line x1="16.24" y1="7.76" x2="19.07" y2="4.93"></line></svg>');
    --icon-lock-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-lock"><rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 10 0v4"></path></svg>');
    --icon-log-in-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-log-in"><path d="M15 3h4a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2h-4"></path><polyline points="10 17 15 12 10 7"></polyline><line x1="15" y1="12" x2="3" y2="12"></line></svg>');
    --icon-log-out-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-log-out"><path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path><polyline points="16 17 21 12 16 7"></polyline><line x1="21" y1="12" x2="9" y2="12"></line></svg>');
    --icon-mail-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-mail"><path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path><polyline points="22,6 12,13 2,6"></polyline></svg>');
    --icon-map-pin-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-map-pin"><path d="M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0 1 18 0z"></path><circle cx="12" cy="10" r="3"></circle></svg>');
    --icon-map-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-map"><polygon points="1 6 1 22 8 18 16 22 23 18 23 2 16 6 8 2 1 6"></polygon><line x1="8" y1="2" x2="8" y2="18"></line><line x1="16" y1="6" x2="16" y2="22"></line></svg>');
    --icon-maximize-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-maximize-2"><polyline points="15 3 21 3 21 9"></polyline><polyline points="9 21 3 21 3 15"></polyline><line x1="21" y1="3" x2="14" y2="10"></line><line x1="3" y1="21" x2="10" y2="14"></line></svg>');
    --icon-maximize-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-maximize"><path d="M8 3H5a2 2 0 0 0-2 2v3m18 0V5a2 2 0 0 0-2-2h-3m0 18h3a2 2 0 0 0 2-2v-3M3 16v3a2 2 0 0 0 2 2h3"></path></svg>');
    --icon-meh-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-meh"><circle cx="12" cy="12" r="10"></circle><line x1="8" y1="15" x2="16" y2="15"></line><line x1="9" y1="9" x2="9.01" y2="9"></line><line x1="15" y1="9" x2="15.01" y2="9"></line></svg>');
    --icon-menu-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu"><line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line></svg>');
    --icon-message-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-message-circle"><path d="M21 11.5a8.38 8.38 0 0 1-.9 3.8 8.5 8.5 0 0 1-7.6 4.7 8.38 8.38 0 0 1-3.8-.9L3 21l1.9-5.7a8.38 8.38 0 0 1-.9-3.8 8.5 8.5 0 0 1 4.7-7.6 8.38 8.38 0 0 1 3.8-.9h.5a8.48 8.48 0 0 1 8 8v.5z"></path></svg>');
    --icon-message-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-message-square"><path d="M21 15a2 2 0 0 1-2 2H7l-4 4V5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2z"></path></svg>');
    --icon-mic-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-mic-off"><line x1="1" y1="1" x2="23" y2="23"></line><path d="M9 9v3a3 3 0 0 0 5.12 2.12M15 9.34V4a3 3 0 0 0-5.94-.6"></path><path d="M17 16.95A7 7 0 0 1 5 12v-2m14 0v2a7 7 0 0 1-.11 1.23"></path><line x1="12" y1="19" x2="12" y2="23"></line><line x1="8" y1="23" x2="16" y2="23"></line></svg>');
    --icon-mic-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-mic"><path d="M12 1a3 3 0 0 0-3 3v8a3 3 0 0 0 6 0V4a3 3 0 0 0-3-3z"></path><path d="M19 10v2a7 7 0 0 1-14 0v-2"></path><line x1="12" y1="19" x2="12" y2="23"></line><line x1="8" y1="23" x2="16" y2="23"></line></svg>');
    --icon-minimize-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-minimize-2"><polyline points="4 14 10 14 10 20"></polyline><polyline points="20 10 14 10 14 4"></polyline><line x1="14" y1="10" x2="21" y2="3"></line><line x1="3" y1="21" x2="10" y2="14"></line></svg>');
    --icon-minimize-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-minimize"><path d="M8 3v3a2 2 0 0 1-2 2H3m18 0h-3a2 2 0 0 1-2-2V3m0 18v-3a2 2 0 0 1 2-2h3M3 16h3a2 2 0 0 1 2 2v3"></path></svg>');
    --icon-minus-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-minus-circle"><circle cx="12" cy="12" r="10"></circle><line x1="8" y1="12" x2="16" y2="12"></line></svg>');
    --icon-minus-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-minus-square"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="8" y1="12" x2="16" y2="12"></line></svg>');
    --icon-minus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-minus"><line x1="5" y1="12" x2="19" y2="12"></line></svg>');
    --icon-monitor-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-monitor"><rect x="2" y="3" width="20" height="14" rx="2" ry="2"></rect><line x1="8" y1="21" x2="16" y2="21"></line><line x1="12" y1="17" x2="12" y2="21"></line></svg>');
    --icon-moon-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-moon"><path d="M21 12.79A9 9 0 1 1 11.21 3 7 7 0 0 0 21 12.79z"></path></svg>');
    --icon-more-horizontal-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-more-horizontal"><circle cx="12" cy="12" r="1"></circle><circle cx="19" cy="12" r="1"></circle><circle cx="5" cy="12" r="1"></circle></svg>');
    --icon-more-vertical-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-more-vertical"><circle cx="12" cy="12" r="1"></circle><circle cx="12" cy="5" r="1"></circle><circle cx="12" cy="19" r="1"></circle></svg>');
    --icon-mouse-pointer-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-mouse-pointer"><path d="M3 3l7.07 16.97 2.51-7.39 7.39-2.51L3 3z"></path><path d="M13 13l6 6"></path></svg>');
    --icon-move-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-move"><polyline points="5 9 2 12 5 15"></polyline><polyline points="9 5 12 2 15 5"></polyline><polyline points="15 19 12 22 9 19"></polyline><polyline points="19 9 22 12 19 15"></polyline><line x1="2" y1="12" x2="22" y2="12"></line><line x1="12" y1="2" x2="12" y2="22"></line></svg>');
    --icon-music-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-music"><path d="M9 18V5l12-2v13"></path><circle cx="6" cy="18" r="3"></circle><circle cx="18" cy="16" r="3"></circle></svg>');
    --icon-navigation-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-navigation-2"><polygon points="12 2 19 21 12 17 5 21 12 2"></polygon></svg>');
    --icon-navigation-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-navigation"><polygon points="3 11 22 2 13 21 11 13 3 11"></polygon></svg>');
    --icon-octagon-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-octagon"><polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon></svg>');
    --icon-package-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-package"><line x1="16.5" y1="9.4" x2="7.5" y2="4.21"></line><path d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line x1="12" y1="22.08" x2="12" y2="12"></line></svg>');
    --icon-paperclip-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-paperclip"><path d="M21.44 11.05l-9.19 9.19a6 6 0 0 1-8.49-8.49l9.19-9.19a4 4 0 0 1 5.66 5.66l-9.2 9.19a2 2 0 0 1-2.83-2.83l8.49-8.48"></path></svg>');
    --icon-pause-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-pause-circle"><circle cx="12" cy="12" r="10"></circle><line x1="10" y1="15" x2="10" y2="9"></line><line x1="14" y1="15" x2="14" y2="9"></line></svg>');
    --icon-pause-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-pause"><rect x="6" y="4" width="4" height="16"></rect><rect x="14" y="4" width="4" height="16"></rect></svg>');
    --icon-pen-tool-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-pen-tool"><path d="M12 19l7-7 3 3-7 7-3-3z"></path><path d="M18 13l-1.5-7.5L2 2l3.5 14.5L13 18l5-5z"></path><path d="M2 2l7.586 7.586"></path><circle cx="11" cy="11" r="2"></circle></svg>');
    --icon-percent-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-percent"><line x1="19" y1="5" x2="5" y2="19"></line><circle cx="6.5" cy="6.5" r="2.5"></circle><circle cx="17.5" cy="17.5" r="2.5"></circle></svg>');
    --icon-phone-call-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone-call"><path d="M15.05 5A5 5 0 0 1 19 8.95M15.05 1A9 9 0 0 1 23 8.94m-1 7.98v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>');
    --icon-phone-forwarded-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone-forwarded"><polyline points="19 1 23 5 19 9"></polyline><line x1="15" y1="5" x2="23" y2="5"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>');
    --icon-phone-incoming-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone-incoming"><polyline points="16 2 16 8 22 8"></polyline><line x1="23" y1="1" x2="16" y2="8"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>');
    --icon-phone-missed-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone-missed"><line x1="23" y1="1" x2="17" y2="7"></line><line x1="17" y1="1" x2="23" y2="7"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>');
    --icon-phone-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone-off"><path d="M10.68 13.31a16 16 0 0 0 3.41 2.6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7 2 2 0 0 1 1.72 2v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.42 19.42 0 0 1-3.33-2.67m-2.67-3.34a19.79 19.79 0 0 1-3.07-8.63A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91"></path><line x1="23" y1="1" x2="1" y2="23"></line></svg>');
    --icon-phone-outgoing-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone-outgoing"><polyline points="23 7 23 1 17 1"></polyline><line x1="16" y1="8" x2="23" y2="1"></line><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>');
    --icon-phone-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone"><path d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>');
    --icon-pie-chart-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-pie-chart"><path d="M21.21 15.89A10 10 0 1 1 8 2.83"></path><path d="M22 12A10 10 0 0 0 12 2v10z"></path></svg>');
    --icon-play-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-play-circle"><circle cx="12" cy="12" r="10"></circle><polygon points="10 8 16 12 10 16 10 8"></polygon></svg>');
    --icon-play-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-play"><polygon points="5 3 19 12 5 21 5 3"></polygon></svg>');
    --icon-plus-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-plus-circle"><circle cx="12" cy="12" r="10"></circle><line x1="12" y1="8" x2="12" y2="16"></line><line x1="8" y1="12" x2="16" y2="12"></line></svg>');
    --icon-plus-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-plus-square"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="12" y1="8" x2="12" y2="16"></line><line x1="8" y1="12" x2="16" y2="12"></line></svg>');
    --icon-plus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-plus"><line x1="12" y1="5" x2="12" y2="19"></line><line x1="5" y1="12" x2="19" y2="12"></line></svg>');
    --icon-pocket-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-pocket"><path d="M4 3h16a2 2 0 0 1 2 2v6a10 10 0 0 1-10 10A10 10 0 0 1 2 11V5a2 2 0 0 1 2-2z"></path><polyline points="8 10 12 14 16 10"></polyline></svg>');
    --icon-power-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-power"><path d="M18.36 6.64a9 9 0 1 1-12.73 0"></path><line x1="12" y1="2" x2="12" y2="12"></line></svg>');
    --icon-printer-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-printer"><polyline points="6 9 6 2 18 2 18 9"></polyline><path d="M6 18H4a2 2 0 0 1-2-2v-5a2 2 0 0 1 2-2h16a2 2 0 0 1 2 2v5a2 2 0 0 1-2 2h-2"></path><rect x="6" y="14" width="12" height="8"></rect></svg>');
    --icon-radio-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-radio"><circle cx="12" cy="12" r="2"></circle><path d="M16.24 7.76a6 6 0 0 1 0 8.49m-8.48-.01a6 6 0 0 1 0-8.49m11.31-2.82a10 10 0 0 1 0 14.14m-14.14 0a10 10 0 0 1 0-14.14"></path></svg>');
    --icon-refresh-ccw-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-refresh-ccw"><polyline points="1 4 1 10 7 10"></polyline><polyline points="23 20 23 14 17 14"></polyline><path d="M20.49 9A9 9 0 0 0 5.64 5.64L1 10m22 4l-4.64 4.36A9 9 0 0 1 3.51 15"></path></svg>');
    --icon-refresh-cw-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-refresh-cw"><polyline points="23 4 23 10 17 10"></polyline><polyline points="1 20 1 14 7 14"></polyline><path d="M3.51 9a9 9 0 0 1 14.85-3.36L23 10M1 14l4.64 4.36A9 9 0 0 0 20.49 15"></path></svg>');
    --icon-repeat-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-repeat"><polyline points="17 1 21 5 17 9"></polyline><path d="M3 11V9a4 4 0 0 1 4-4h14"></path><polyline points="7 23 3 19 7 15"></polyline><path d="M21 13v2a4 4 0 0 1-4 4H3"></path></svg>');
    --icon-rewind-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-rewind"><polygon points="11 19 2 12 11 5 11 19"></polygon><polygon points="22 19 13 12 22 5 22 19"></polygon></svg>');
    --icon-rotate-ccw-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-rotate-ccw"><polyline points="1 4 1 10 7 10"></polyline><path d="M3.51 15a9 9 0 1 0 2.13-9.36L1 10"></path></svg>');
    --icon-rotate-cw-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-rotate-cw"><polyline points="23 4 23 10 17 10"></polyline><path d="M20.49 15a9 9 0 1 1-2.12-9.36L23 10"></path></svg>');
    --icon-rss-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-rss"><path d="M4 11a9 9 0 0 1 9 9"></path><path d="M4 4a16 16 0 0 1 16 16"></path><circle cx="5" cy="19" r="1"></circle></svg>');
    --icon-save-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-save"><path d="M19 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11l5 5v11a2 2 0 0 1-2 2z"></path><polyline points="17 21 17 13 7 13 7 21"></polyline><polyline points="7 3 7 8 15 8"></polyline></svg>');
    --icon-scissors-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-scissors"><circle cx="6" cy="6" r="3"></circle><circle cx="6" cy="18" r="3"></circle><line x1="20" y1="4" x2="8.12" y2="15.88"></line><line x1="14.47" y1="14.48" x2="20" y2="20"></line><line x1="8.12" y1="8.12" x2="12" y2="12"></line></svg>');
    --icon-search-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>');
    --icon-send-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-send"><line x1="22" y1="2" x2="11" y2="13"></line><polygon points="22 2 15 22 11 13 2 9 22 2"></polygon></svg>');
    --icon-server-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-server"><rect x="2" y="2" width="20" height="8" rx="2" ry="2"></rect><rect x="2" y="14" width="20" height="8" rx="2" ry="2"></rect><line x1="6" y1="6" x2="6.01" y2="6"></line><line x1="6" y1="18" x2="6.01" y2="18"></line></svg>');
    --icon-settings-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-settings"><circle cx="12" cy="12" r="3"></circle><path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path></svg>');
    --icon-share-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-share-2"><circle cx="18" cy="5" r="3"></circle><circle cx="6" cy="12" r="3"></circle><circle cx="18" cy="19" r="3"></circle><line x1="8.59" y1="13.51" x2="15.42" y2="17.49"></line><line x1="15.41" y1="6.51" x2="8.59" y2="10.49"></line></svg>');
    --icon-share-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-share"><path d="M4 12v8a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2v-8"></path><polyline points="16 6 12 2 8 6"></polyline><line x1="12" y1="2" x2="12" y2="15"></line></svg>');
    --icon-shield-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shield-off"><path d="M19.69 14a6.9 6.9 0 0 0 .31-2V5l-8-3-3.16 1.18"></path><path d="M4.73 4.73L4 5v7c0 6 8 10 8 10a20.29 20.29 0 0 0 5.62-4.38"></path><line x1="1" y1="1" x2="23" y2="23"></line></svg>');
    --icon-shield-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shield"><path d="M12 22s8-4 8-10V5l-8-3-8 3v7c0 6 8 10 8 10z"></path></svg>');
    --icon-shopping-bag-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-bag"><path d="M6 2L3 6v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6l-3-4z"></path><line x1="3" y1="6" x2="21" y2="6"></line><path d="M16 10a4 4 0 0 1-8 0"></path></svg>');
    --icon-shopping-cart-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shopping-cart"><circle cx="9" cy="21" r="1"></circle><circle cx="20" cy="21" r="1"></circle><path d="M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6"></path></svg>');
    --icon-shuffle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-shuffle"><polyline points="16 3 21 3 21 8"></polyline><line x1="4" y1="20" x2="21" y2="3"></line><polyline points="21 16 21 21 16 21"></polyline><line x1="15" y1="15" x2="21" y2="21"></line><line x1="4" y1="4" x2="9" y2="9"></line></svg>');
    --icon-sidebar-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sidebar"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="9" y1="3" x2="9" y2="21"></line></svg>');
    --icon-skip-back-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-skip-back"><polygon points="19 20 9 12 19 4 19 20"></polygon><line x1="5" y1="19" x2="5" y2="5"></line></svg>');
    --icon-skip-forward-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-skip-forward"><polygon points="5 4 15 12 5 20 5 4"></polygon><line x1="19" y1="5" x2="19" y2="19"></line></svg>');
    --icon-slack-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-slack"><path d="M14.5 10c-.83 0-1.5-.67-1.5-1.5v-5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5z"></path><path d="M20.5 10H19V8.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"></path><path d="M9.5 14c.83 0 1.5.67 1.5 1.5v5c0 .83-.67 1.5-1.5 1.5S8 21.33 8 20.5v-5c0-.83.67-1.5 1.5-1.5z"></path><path d="M3.5 14H5v1.5c0 .83-.67 1.5-1.5 1.5S2 16.33 2 15.5 2.67 14 3.5 14z"></path><path d="M14 14.5c0-.83.67-1.5 1.5-1.5h5c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5h-5c-.83 0-1.5-.67-1.5-1.5z"></path><path d="M15.5 19H14v1.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5-.67-1.5-1.5-1.5z"></path><path d="M10 9.5C10 8.67 9.33 8 8.5 8h-5C2.67 8 2 8.67 2 9.5S2.67 11 3.5 11h5c.83 0 1.5-.67 1.5-1.5z"></path><path d="M8.5 5H10V3.5C10 2.67 9.33 2 8.5 2S7 2.67 7 3.5 7.67 5 8.5 5z"></path></svg>');
    --icon-slash-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-slash"><circle cx="12" cy="12" r="10"></circle><line x1="4.93" y1="4.93" x2="19.07" y2="19.07"></line></svg>');
    --icon-sliders-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sliders"><line x1="4" y1="21" x2="4" y2="14"></line><line x1="4" y1="10" x2="4" y2="3"></line><line x1="12" y1="21" x2="12" y2="12"></line><line x1="12" y1="8" x2="12" y2="3"></line><line x1="20" y1="21" x2="20" y2="16"></line><line x1="20" y1="12" x2="20" y2="3"></line><line x1="1" y1="14" x2="7" y2="14"></line><line x1="9" y1="8" x2="15" y2="8"></line><line x1="17" y1="16" x2="23" y2="16"></line></svg>');
    --icon-smartphone-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-smartphone"><rect x="5" y="2" width="14" height="20" rx="2" ry="2"></rect><line x1="12" y1="18" x2="12.01" y2="18"></line></svg>');
    --icon-smile-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-smile"><circle cx="12" cy="12" r="10"></circle><path d="M8 14s1.5 2 4 2 4-2 4-2"></path><line x1="9" y1="9" x2="9.01" y2="9"></line><line x1="15" y1="9" x2="15.01" y2="9"></line></svg>');
    --icon-speaker-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-speaker"><rect x="4" y="2" width="16" height="20" rx="2" ry="2"></rect><circle cx="12" cy="14" r="4"></circle><line x1="12" y1="6" x2="12.01" y2="6"></line></svg>');
    --icon-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-square"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect></svg>');
    --icon-star-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>');
    --icon-stop-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-stop-circle"><circle cx="12" cy="12" r="10"></circle><rect x="9" y="9" width="6" height="6"></rect></svg>');
    --icon-sunrise-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sunrise"><path d="M17 18a5 5 0 0 0-10 0"></path><line x1="12" y1="2" x2="12" y2="9"></line><line x1="4.22" y1="10.22" x2="5.64" y2="11.64"></line><line x1="1" y1="18" x2="3" y2="18"></line><line x1="21" y1="18" x2="23" y2="18"></line><line x1="18.36" y1="11.64" x2="19.78" y2="10.22"></line><line x1="23" y1="22" x2="1" y2="22"></line><polyline points="8 6 12 2 16 6"></polyline></svg>');
    --icon-sunset-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sunset"><path d="M17 18a5 5 0 0 0-10 0"></path><line x1="12" y1="9" x2="12" y2="2"></line><line x1="4.22" y1="10.22" x2="5.64" y2="11.64"></line><line x1="1" y1="18" x2="3" y2="18"></line><line x1="21" y1="18" x2="23" y2="18"></line><line x1="18.36" y1="11.64" x2="19.78" y2="10.22"></line><line x1="23" y1="22" x2="1" y2="22"></line><polyline points="16 5 12 9 8 5"></polyline></svg>');
    --icon-sun-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sun"><circle cx="12" cy="12" r="5"></circle><line x1="12" y1="1" x2="12" y2="3"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line><line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line><line x1="1" y1="12" x2="3" y2="12"></line><line x1="21" y1="12" x2="23" y2="12"></line><line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line><line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line></svg>');
    --icon-table-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-table"><path d="M9 3H5a2 2 0 0 0-2 2v4m6-6h10a2 2 0 0 1 2 2v4M9 3v18m0 0h10a2 2 0 0 0 2-2V9M9 21H5a2 2 0 0 1-2-2V9m0 0h18"></path></svg>');
    --icon-tablet-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-tablet"><rect x="4" y="2" width="16" height="20" rx="2" ry="2"></rect><line x1="12" y1="18" x2="12.01" y2="18"></line></svg>');
    --icon-tag-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-tag"><path d="M20.59 13.41l-7.17 7.17a2 2 0 0 1-2.83 0L2 12V2h10l8.59 8.59a2 2 0 0 1 0 2.82z"></path><line x1="7" y1="7" x2="7.01" y2="7"></line></svg>');
    --icon-target-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-target"><circle cx="12" cy="12" r="10"></circle><circle cx="12" cy="12" r="6"></circle><circle cx="12" cy="12" r="2"></circle></svg>');
    --icon-terminal-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-terminal"><polyline points="4 17 10 11 4 5"></polyline><line x1="12" y1="19" x2="20" y2="19"></line></svg>');
    --icon-thermometer-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-thermometer"><path d="M14 14.76V3.5a2.5 2.5 0 0 0-5 0v11.26a4.5 4.5 0 1 0 5 0z"></path></svg>');
    --icon-thumbs-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-thumbs-down"><path d="M10 15v4a3 3 0 0 0 3 3l4-9V2H5.72a2 2 0 0 0-2 1.7l-1.38 9a2 2 0 0 0 2 2.3zm7-13h2.67A2.31 2.31 0 0 1 22 4v7a2.31 2.31 0 0 1-2.33 2H17"></path></svg>');
    --icon-thumbs-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-thumbs-up"><path d="M14 9V5a3 3 0 0 0-3-3l-4 9v11h11.28a2 2 0 0 0 2-1.7l1.38-9a2 2 0 0 0-2-2.3zM7 22H4a2 2 0 0 1-2-2v-7a2 2 0 0 1 2-2h3"></path></svg>');
    --icon-toggle-left-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-toggle-left"><rect x="1" y="5" width="22" height="14" rx="7" ry="7"></rect><circle cx="8" cy="12" r="3"></circle></svg>');
    --icon-toggle-right-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-toggle-right"><rect x="1" y="5" width="22" height="14" rx="7" ry="7"></rect><circle cx="16" cy="12" r="3"></circle></svg>');
    --icon-tool-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-tool"><path d="M14.7 6.3a1 1 0 0 0 0 1.4l1.6 1.6a1 1 0 0 0 1.4 0l3.77-3.77a6 6 0 0 1-7.94 7.94l-6.91 6.91a2.12 2.12 0 0 1-3-3l6.91-6.91a6 6 0 0 1 7.94-7.94l-3.76 3.76z"></path></svg>');
    --icon-trash-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash-2"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path><line x1="10" y1="11" x2="10" y2="17"></line><line x1="14" y1="11" x2="14" y2="17"></line></svg>');
    --icon-trash-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trash"><polyline points="3 6 5 6 21 6"></polyline><path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path></svg>');
    --icon-trello-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trello"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><rect x="7" y="7" width="3" height="9"></rect><rect x="14" y="7" width="3" height="5"></rect></svg>');
    --icon-trending-down-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trending-down"><polyline points="23 18 13.5 8.5 8.5 13.5 1 6"></polyline><polyline points="17 18 23 18 23 12"></polyline></svg>');
    --icon-trending-up-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-trending-up"><polyline points="23 6 13.5 15.5 8.5 10.5 1 18"></polyline><polyline points="17 6 23 6 23 12"></polyline></svg>');
    --icon-triangle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-triangle"><path d="M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z"></path></svg>');
    --icon-truck-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-truck"><rect x="1" y="3" width="15" height="13"></rect><polygon points="16 8 20 8 23 11 23 16 16 16 16 8"></polygon><circle cx="5.5" cy="18.5" r="2.5"></circle><circle cx="18.5" cy="18.5" r="2.5"></circle></svg>');
    --icon-tv-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-tv"><rect x="2" y="7" width="20" height="15" rx="2" ry="2"></rect><polyline points="17 2 12 7 7 2"></polyline></svg>');
    --icon-twitch-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitch"><path d="M21 2H3v16h5v4l4-4h5l4-4V2zm-10 9V7m5 4V7"></path></svg>');
    --icon-twitter-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitter"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg>');
    --icon-type-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-type"><polyline points="4 7 4 4 20 4 20 7"></polyline><line x1="9" y1="20" x2="15" y2="20"></line><line x1="12" y1="4" x2="12" y2="20"></line></svg>');
    --icon-umbrella-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-umbrella"><path d="M23 12a11.05 11.05 0 0 0-22 0zm-5 7a3 3 0 0 1-6 0v-7"></path></svg>');
    --icon-underline-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-underline"><path d="M6 3v7a6 6 0 0 0 6 6 6 6 0 0 0 6-6V3"></path><line x1="4" y1="21" x2="20" y2="21"></line></svg>');
    --icon-unlock-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-unlock"><rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect><path d="M7 11V7a5 5 0 0 1 9.9-1"></path></svg>');
    --icon-upload-cloud-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-upload-cloud"><polyline points="16 16 12 12 8 16"></polyline><line x1="12" y1="12" x2="12" y2="21"></line><path d="M20.39 18.39A5 5 0 0 0 18 9h-1.26A8 8 0 1 0 3 16.3"></path><polyline points="16 16 12 12 8 16"></polyline></svg>');
    --icon-upload-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-upload"><path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path><polyline points="17 8 12 3 7 8"></polyline><line x1="12" y1="3" x2="12" y2="15"></line></svg>');
    --icon-user-check-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user-check"><path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><polyline points="17 11 19 13 23 9"></polyline></svg>');
    --icon-user-minus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user-minus"><path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="23" y1="11" x2="17" y2="11"></line></svg>');
    --icon-user-plus-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user-plus"><path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="20" y1="8" x2="20" y2="14"></line><line x1="23" y1="11" x2="17" y2="11"></line></svg>');
    --icon-users-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-users"><path d="M17 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="9" cy="7" r="4"></circle><path d="M23 21v-2a4 4 0 0 0-3-3.87"></path><path d="M16 3.13a4 4 0 0 1 0 7.75"></path></svg>');
    --icon-user-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>');
    --icon-user-x-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-user-x"><path d="M16 21v-2a4 4 0 0 0-4-4H5a4 4 0 0 0-4 4v2"></path><circle cx="8.5" cy="7" r="4"></circle><line x1="18" y1="8" x2="23" y2="13"></line><line x1="23" y1="8" x2="18" y2="13"></line></svg>');
    --icon-video-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-video-off"><path d="M16 16v1a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V7a2 2 0 0 1 2-2h2m5.66 0H14a2 2 0 0 1 2 2v3.34l1 1L23 7v10"></path><line x1="1" y1="1" x2="23" y2="23"></line></svg>');
    --icon-video-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-video"><polygon points="23 7 16 12 23 17 23 7"></polygon><rect x="1" y="5" width="15" height="14" rx="2" ry="2"></rect></svg>');
    --icon-voicemail-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-voicemail"><circle cx="5.5" cy="11.5" r="4.5"></circle><circle cx="18.5" cy="11.5" r="4.5"></circle><line x1="5.5" y1="16" x2="18.5" y2="16"></line></svg>');
    --icon-volume-1-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-volume-1"><polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon><path d="M15.54 8.46a5 5 0 0 1 0 7.07"></path></svg>');
    --icon-volume-2-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-volume-2"><polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon><path d="M19.07 4.93a10 10 0 0 1 0 14.14M15.54 8.46a5 5 0 0 1 0 7.07"></path></svg>');
    --icon-volume-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-volume"><polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon></svg>');
    --icon-volume-x-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-volume-x"><polygon points="11 5 6 9 2 9 2 15 6 15 11 19 11 5"></polygon><line x1="23" y1="9" x2="17" y2="15"></line><line x1="17" y1="9" x2="23" y2="15"></line></svg>');
    --icon-watch-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-watch"><circle cx="12" cy="12" r="7"></circle><polyline points="12 9 12 12 13.5 13.5"></polyline><path d="M16.51 17.35l-.35 3.83a2 2 0 0 1-2 1.82H9.83a2 2 0 0 1-2-1.82l-.35-3.83m.01-10.7l.35-3.83A2 2 0 0 1 9.83 1h4.35a2 2 0 0 1 2 1.82l.35 3.83"></path></svg>');
    --icon-wifi-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-wifi-off"><line x1="1" y1="1" x2="23" y2="23"></line><path d="M16.72 11.06A10.94 10.94 0 0 1 19 12.55"></path><path d="M5 12.55a10.94 10.94 0 0 1 5.17-2.39"></path><path d="M10.71 5.05A16 16 0 0 1 22.58 9"></path><path d="M1.42 9a15.91 15.91 0 0 1 4.7-2.88"></path><path d="M8.53 16.11a6 6 0 0 1 6.95 0"></path><line x1="12" y1="20" x2="12.01" y2="20"></line></svg>');
    --icon-wifi-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-wifi"><path d="M5 12.55a11 11 0 0 1 14.08 0"></path><path d="M1.42 9a16 16 0 0 1 21.16 0"></path><path d="M8.53 16.11a6 6 0 0 1 6.95 0"></path><line x1="12" y1="20" x2="12.01" y2="20"></line></svg>');
    --icon-wind-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-wind"><path d="M9.59 4.59A2 2 0 1 1 11 8H2m10.59 11.41A2 2 0 1 0 14 16H2m15.73-8.27A2.5 2.5 0 1 1 19.5 12H2"></path></svg>');
    --icon-x-circle-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x-circle"><circle cx="12" cy="12" r="10"></circle><line x1="15" y1="9" x2="9" y2="15"></line><line x1="9" y1="9" x2="15" y2="15"></line></svg>');
    --icon-x-octagon-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x-octagon"><polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon><line x1="15" y1="9" x2="9" y2="15"></line><line x1="9" y1="9" x2="15" y2="15"></line></svg>');
    --icon-x-square-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x-square"><rect x="3" y="3" width="18" height="18" rx="2" ry="2"></rect><line x1="9" y1="9" x2="15" y2="15"></line><line x1="15" y1="9" x2="9" y2="15"></line></svg>');
    --icon-x-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x"><line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line></svg>');
    --icon-youtube-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-youtube"><path d="M22.54 6.42a2.78 2.78 0 0 0-1.94-2C18.88 4 12 4 12 4s-6.88 0-8.6.46a2.78 2.78 0 0 0-1.94 2A29 29 0 0 0 1 11.75a29 29 0 0 0 .46 5.33A2.78 2.78 0 0 0 3.4 19c1.72.46 8.6.46 8.6.46s6.88 0 8.6-.46a2.78 2.78 0 0 0 1.94-2 29 29 0 0 0 .46-5.25 29 29 0 0 0-.46-5.33z"></path><polygon points="9.75 15.02 15.5 11.75 9.75 8.48 9.75 15.02"></polygon></svg>');
    --icon-zap-off-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-zap-off"><polyline points="12.41 6.75 13 2 10.57 4.92"></polyline><polyline points="18.57 12.91 21 10 15.66 10"></polyline><polyline points="8 8 3 14 12 14 11 22 16 16"></polyline><line x1="1" y1="1" x2="23" y2="23"></line></svg>');
    --icon-zap-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-zap"><polygon points="13 2 3 14 12 14 11 22 21 10 12 10 13 2"></polygon></svg>');
    --icon-zoom-in-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-zoom-in"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line><line x1="11" y1="8" x2="11" y2="14"></line><line x1="8" y1="11" x2="14" y2="11"></line></svg>');
    --icon-zoom-out-svg: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-zoom-out"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line><line x1="8" y1="11" x2="14" y2="11"></line></svg>');
  }
}

/* src/components/icon/css/theme/icon-theme.css */

/* src/components/icon/css/icon.css */
`;var P=`{#if either href link}
  <a href={href} target={target} class="hitbox">
    {>content}
  </a>
{else}
  {> content}
{/if}

{#snippet content}
  <i class="{ui}icon" part="icon"></i>
{/snippet}
`;var Qt=({self:t,$:e})=>({}),K=Xt({tagName:"ui-icon",componentSpec:q,template:P,css:U,createComponent:Qt});import{defineComponent as ro}from"@semantic-ui/component";var G={tagName:"ui-input",content:["placeholder","icon","label"],contentAttributes:["placeholder","icon","label"],types:["search"],variations:["fluid","size"],settings:["name","type","debounced","debounce-interval","clearable","value"],attributes:["placeholder","icon","label","search","fluid","size","name","type","debounced","debounce-interval","clearable","value"],optionAttributes:{mini:"size",tiny:"size",small:"size",medium:"size",large:"size",big:"size",huge:"size",massive:"size"},propertyTypes:{placeholder:"string",icon:"string",label:"string",search:"boolean",fluid:"boolean",size:"string",name:"string",type:"string",debounced:"boolean",clearable:"string",value:"string"},allowedValues:{size:["mini","tiny","small","medium","large","big","huge","massive"]},attributeClasses:["icon","label"],defaultValues:{name:"",type:"text",debounced:!1,"debounce-interval":150,clearable:"",value:""}};var $=`<div class="{ui}{classMap getStateClasses}input" part="input">
  <input type="{type}" placeholder="{placeholder}" name={name} value={value} part="input-field">
  {#if icon}
    {#if isClearable}
      <ui-icon icon="x" link class="clickable icon" part="icon"></ui-icon>
    {else}
      <ui-icon icon={getIcon} class="icon" part="icon"></ui-icon>
    {/if}
  {/if}
  {#if label}
    <div class="label" part="label">
      {label}
    </div>
  {/if}
</div>
`;var W=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/input/css/definition/content/input.css */
@layer input.definition.content.input {
  * {
    box-sizing: border-box;
  }
  .input {
    cursor: text;
    display: inline-flex;
    position: relative;
    font-style: normal;
    font-weight: var(--input-font-weight);
    font-family: var(--input-font-family);
    line-height: var(--input-line-height);
    color: var(--input-text-color);
    background: var(--input-background);
    border: var(--input-border);
    border-radius: var(--input-border-radius);
    transition: var(--input-transition);
    box-shadow: var(--input-box-shadow);
    gap: var(--input-item-spacing);
    text-align: var(--input-text-align);
    align-items: center;
  }
  .input input {
    width: var(--input-width);
    padding: var(--input-padding);
    background-color: transparent;
    margin: 0em;
    border-radius: inherit;
    outline: none;
    max-width: 100%;
    flex: 1 0 auto;
    text-align: inherit;
    font-size: inherit;
    font-family: inherit;
    color: inherit;
    border: none;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    z-index: var(--page-layer-1);
  }
  .input input::placeholder {
    color: var(--input-placeholder-color);
  }
  .input .icon {
    position: absolute;
    z-index: var(--input-icon-index);
    right: var(--input-icon-right);
    width: var(--input-icon-width);
    pointer-events: none;
    margin: 0rem;
  }
  .input .icon.clickable {
    pointer-events: auto;
    cursor: pointer;
  }
  .input .icon + .label {
    right: var(--input-label-with-icon-right);
  }
  .input .label {
    position: absolute;
    z-index: var(--page-layer-2);
    pointer-events: none;
    right: var(--input-label-right);
    display: inline-block;
    text-wrap: nowrap;
    margin-left: auto;
    line-height: 1;
    font-weight: var(--input-label-font-weight);
    color: var(--input-label-color);
    font-size: var(--input-label-font-size);
    padding: var(--input-label-padding);
    border: var(--input-label-border);
    border-radius: var(--input-label-border-radius);
  }
}

/* src/components/input/css/definition/types/search.css */
@layer input.definition.types.search {
  .search.input {
    border-radius: var(--circular-radius);
  }
}

/* src/components/input/css/definition/states/focused.css */
@layer input.definition.states.focus {
  .input.focus,
  .input:focus-within {
    border-color: var(--input-focused-border-color);
    background: var(--input-focused-background);
    color: var(--input-focused-color);
    box-shadow: var(--input-focused-box-shadow);
  }
  .input:focus-within > input::placeholder,
  .input.focus > input::placeholder {
    color: var(--input-placeholder-focused-color);
  }
}

/* src/components/input/css/definition/states/loading.css */
@layer input.definition.states.loading {
  .loading.input:not(.icon) {
    position: relative;
    cursor: default;
    text-shadow: none !important;
    color: transparent !important;
    opacity: var(--input-loading-opacity);
    pointer-events: auto;
    transition: var(--input-loading-transition);
  }
  .loading.icon.input .icon {
    position: relative;
    color: transparent !important;
  }
  .loading.icon.input > .icon:before,
  .loading.input:not(.icon)::before {
    position: absolute;
    content: "";
    top: 50%;
    left: 50%;
    margin: var(--loader-margin);
    width: var(--loader-size);
    height: var(--loader-size);
    border-radius: var(--circular-radius);
    border: var(--loader-line-width) solid var(--loader-fill-color);
  }
  .loading.icon.input > .icon:after,
  .loading.input:not(.icon)::after {
    position: absolute;
    content: "";
    top: 50%;
    left: 50%;
    margin: var(--loader-margin);
    width: var(--loader-size);
    height: var(--loader-size);
    animation: input-spin var(--loader-speed) linear;
    animation-iteration-count: infinite;
    border-radius: var(--circular-radius);
    border-color: var(--loader-line-color) transparent transparent;
    border-style: solid;
    border-width: var(--loader-line-width);
    box-shadow: 0px 0px 0px 1px transparent;
  }
  @keyframes input-spin {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
  .loading.input.inverted .icon:before,
  .loading.input.inverted:before {
    border-color: var(--inverted-loader-fill-color);
  }
  .loading.input.inverted .icon:after,
  .loading.input.inverted:after {
    border-top-color: var(--inverted-loader-line-color);
  }
}

/* src/components/input/css/definition/states/disabled.css */
@layer input.definition.states.disabled {
  .disabled.input,
  .disabled.input:hover,
  .disabled.active.input {
    cursor: var(--input-disabled-cursor);
    opacity: var(--input-disabled-opacity) !important;
    color: var(--input-disabled-color);
    background-color: var(--input-disabled-background-color) !important;
    background-image: var(--input-disabled-background-image) !important;
    box-shadow: var(--input-disabled-box-shadow) !important;
  }
  ui-input[disabled] {
    cursor: var(--input-disabled-cursor);
    pointer-events: none !important;
  }
  .clickable-disabled.input {
    pointer-events: auto !important;
    cursor: var(--input-clickable-disabled-cursor) !important;
  }
  .clickable-disabled.input:active {
    box-shadow: var(--input-pressed-box-shadow) !important;
  }
  ui-input[clickable-disabled] {
    pointer-events: auto !important;
    cursor: var(--input-clickable-disabled-cursor) !important;
  }
}

/* src/components/input/css/definition/variations/sizing.css */
@layer input.definition.variations.sizing {
  .mini {
    font-size: var(--input-mini);
  }
  .tiny {
    font-size: var(--input-tiny);
  }
  .small {
    font-size: var(--input-small);
  }
  :host {
    font-size: var(--input-medium);
  }
  .large {
    font-size: var(--input-large);
  }
  .big {
    font-size: var(--input-big);
  }
  .huge {
    font-size: var(--input-huge);
  }
  .massive {
    font-size: var(--input-massive);
  }
}

/* src/components/input/css/definition/variations/fluid.css */
@layer input.definition.variations.fluid {
  .fluid {
    display: flex;
    flex-grow: 1;
    max-width: 100%;
  }
  .fluid input {
    width: auto;
  }
}

/* src/components/input/css/definition/input-definition.css */

/* src/components/input/css/theme/content/input-variables.css */
@layer input.theme.content.input {
  :host {
    --input-background: var(--inverted-100);
    --input-width: 12em;
    --input-font-family: var(--page-font);
    --input-font-weight: var(--normal);
    --input-text-color: var(--text-color);
    --input-line-height: var(--relative-17px);
    --input-text-align: left;
    --input-box-shadow: var(--subtle-inset-shadow);
    --input-border: var(--border);
    --input-border-radius: var(--border-radius);
    --input-item-spacing: 5px;
    --input-placeholder-color: var(--standard-15);
    --input-placeholder-focused-color: var(--standard-20);
    --input-transition: box-shadow var(--duration) var(--easing), border-color var(--duration) var(--easing) ;
    --input-icon-right: var(--input-horizontal-padding);
    --input-icon-width: 1em;
    --input-icon-index: var(--page-layer-2);
    --input-label-right: var(--input-horizontal-padding);
    --input-label-font-size: var(--relative-11px);
    --input-label-font-weight: var(--bold);
    --input-label-padding: var(--relative-2px) var(--relative-3px);
    --input-label-color: var(--standard-20);
    --input-label-border: var(--border);
    --input-label-border-radius: var(--border-radius);
    --input-label-with-icon-right: calc( 1em + var(--input-icon-width) + var(--input-icon-right) );
  }
}

/* src/components/input/css/theme/types/search-variables.css */
@layer input.theme.types.search {
  :host {
    --inputSearchBorderRadius: var(--circular-radius);
  }
}

/* src/components/input/css/theme/states/disabled-variables.css */
@layer input.theme.states.disabled {
  :host {
    --input-disabled-cursor: default;
    --input-disabled-opacity: 1;
    --input-disabled-background-color: #FFFFFF;
    --input-disabled-background-image: var(--button-background-image);
    --input-disabled-border-box-shadow: 0px 0px 0px var(--button-border-width) rgba(0, 0, 0, 0.1) inset;
    --input-disabled-shadow-box-shadow: 0px 2px 3px rgba(0, 0, 0, 0.04);
    --input-disabled-color: var(--black-20);
    --input-disabled-box-shadow:
      var(--button-sharpen-box-shadow),
      var(--button-disabled-border-box-shadow),
      var(--button-disabled-shadow-box-shadow) ;
    --input-clickable-disabled-cursor: not-allowed;
  }
}

/* src/components/input/css/theme/states/loading-variables.css */
@layer input.theme.states.loading {
  :host {
    --button-loading-icon-duration: 2s;
    --button-loading-opacity: 1;
    --button-loading-transition: opacity var(--button-transition-duration) var(--button-transition-easing) ;
  }
}

/* src/components/input/css/theme/states/focused-variables.css */
@layer input.theme.states.focused {
  :host {
    --input-focused-border-color: var(--form-focused-border-color);
    --input-focused-background: var(--input-background);
    --input-focused-color: var(--input-text-color);
    --input-focused-placeholder-color: var(--white-15);
    --input-focused-box-shadow: none;
    --input-placeholder-focused-color: var(--standard-20);
  }
}

/* src/components/input/css/theme/variations/aligned-variables.css */
@layer input.theme.variations.aligned {
  :host {
  }
}

/* src/components/input/css/theme/variations/sizing-variables.css */
@layer input.theme.variations.sizing {
  :host {
    --input-mini: var(--mini);
    --input-tiny: var(--tiny);
    --input-small: var(--small);
    --input-medium: inherit;
    --input-large: var(--large);
    --input-big: var(--big);
    --input-huge: var(--huge);
    --input-massive: var(--massive);
  }
}

/* src/components/input/css/theme/input-theme.css */

/* src/components/input/css/input.css */
`;var no={focused:!1},io=({$:t,el:e,self:r,state:a,dispatchEvent:i,settings:o})=>({initialize(){o.search&&r.configureSearch()},configureSearch(){o.placeholder=o.placeholder||"Search...",o.icon=o.icon||"search",o.clearable=o.clearable??!0,o.debounce=!0},hasValue(){return(o.value||"").length>0},isClearable(){return o.clearable&&r.hasValue()},getStateClasses(){return{focus:a.focused.get()}},getIcon(){return o.clearable&&r.hasValue()?"x":o.icon},setValue(n){e.value=n,t("input").val(n),i("input",{value:n})},setValueDebounced:j(n=>{r.setValue(n)},{delay:o.debounceInterval})}),ao={"click ui-icon"({$:t,self:e}){e.isClearable()&&e.setValue("")},"focus input"({state:t}){t.focused.set(!0)},"blur input"({state:t,dispatchEvent:e,el:r}){t.focused.set(!1),e("change",{value:r.value})},"input input"({el:t,self:e,value:r,settings:a}){a.debounced?e.setValueDebounced(r):e.setValue(r)}},Z=ro({tagName:"ui-input",componentSpec:G,template:$,css:W,createComponent:io,events:ao,defaultState:no});import{defineComponent as uo}from"@semantic-ui/component";var J={tagName:"ui-label",types:["emphasis"],variations:["badge","size"],attributes:["emphasis","badge","size"],optionAttributes:{secondary:"emphasis",outline:"emphasis",mini:"size",tiny:"size",small:"size",medium:"size",large:"size",big:"size",huge:"size",massive:"size"},propertyTypes:{emphasis:"string",badge:"boolean",size:"string"},allowedValues:{emphasis:["secondary","outline"],size:["mini","tiny","small","medium","large","big","huge","massive"]}};var X=`<div class="{ui}label" part="label">
  {#if text}
    {text}
  {else}
    {>slot}
  {/if}
  {#if detail}
    <span class="detail">{detail}</span>
  {/if}
</div>
`;var Q=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/label/css/definition/content/label.css */
@layer label.definition.content.label {
  :host {
    display: inline-flex;
    margin: var(--label-margin);
  }
  :host::last-child {
    margin-right: 0rem;
  }
  .label {
    display: inline-flex;
    padding: var(--label-padding);
    background: var(--label-background);
    color: var(--label-color);
    border-radius: var(--label-border-radius);
    font-weight: var(--label-font-weight);
    min-width: var(--label-min-width);
  }
}

/* src/components/label/css/definition/types/emphasis.css */
@layer label.definition.types.emphasis {
  .secondary.label {
    background: var(--label-secondary-background);
    color: var(--label-secondary-text-color);
  }
  .outline.label {
    background: var(--label-outline-background);
    outline: var(--label-outline);
    color: var(--label-outline-text-color);
  }
}

/* src/components/label/css/definition/types/badge.css */
@layer label.definition.types.badge {
  .badge.label {
    padding: var(--label-badge-padding);
  }
}

/* src/components/label/css/definition/variations/sizing.css */
@layer label.definition.variations.sizing {
  .mini.label {
    font-size: var(--label-mini);
  }
  .tiny.label {
    font-size: var(--label-tiny);
  }
  .small.label {
    font-size: var(--label-small);
  }
  :host {
    font-size: var(--label-medium);
  }
  .large.label {
    font-size: var(--label-large);
  }
  .big.label {
    font-size: var(--label-big);
  }
  .huge.label {
    font-size: var(--label-huge);
  }
  .massive.label {
    font-size: var(--label-massive);
  }
  .mini.labels {
    --label-medium: var(--label-mini);
  }
  .tiny.labels {
    --label-medium: var(--label-tiny);
  }
  .small.labels {
    --label-medium: var(--label-small);
  }
  .large.labels {
    --label-medium: var(--label-large);
  }
  .big.labels {
    --label-medium: var(--label-big);
  }
  .huge.labels {
    --label-medium: var(--label-huge);
  }
  .massive.labels {
    --label-medium: var(--label-massive);
  }
}

/* src/components/label/css/definition/variations/aligned.css */
@layer label.definition.variations.aligned;

/* src/components/label/css/definition/label-definition.css */

/* src/components/label/css/theme/content/label-variables.css */
@layer label.theme.content.label {
  :host {
    --label-vertical-padding: var(--relative-3px);
    --label-horizontal-padding: var(--relative-6px);
    --label-padding: var(--label-vertical-padding) var(--label-horizontal-padding);
    --label-color: var(--inverted-90);
    --label-background: var(--standard-90);
    --label-border-radius: var(--relative-5px);
    --label-min-width: 0px;
    --label-font-weight: var(--bold);
    --label-vertical-margin: calc(var(--label-vertical-padding) * -1);
    --label-horizontal-margin: 4px;
    --label-margin: var(--label-vertical-margin) var(--label-horizontal-margin);
  }
}

/* src/components/label/css/theme/types/emphasis-variables.css */
@layer label.theme.types.emphasis {
  :host {
    --label-secondary-background: var(--standard-10);
    --label-secondary-text-color: var(--standard-90);
    --label-outline-background: transparent;
    --label-outline: var(--internal-border);
    --label-outline-text-color: var(--standard-90);
  }
}

/* src/components/label/css/theme/types/badge-variables.css */
@layer label.theme.types.badge {
  :host {
    --label-badge-vertical-padding: var(--label-vertical-padding);
    --label-badge-horizontal-padding: var(--relative-4px);
    --label-badge-padding: var(--label-badge-vertical-padding) var(--label-badge-horizontal-padding);
  }
}

/* src/components/label/css/theme/variations/sizing-variables.css */
@layer label.theme.variations.sizing {
  :host {
    --label-mini: var(--9px);
    --label-tiny: var(--10px);
    --label-small: var(--11px);
    --label-medium: inherit;
    --label-large: var(--15px);
    --label-big: var(--16px);
    --label-huge: var(--18px);
    --label-massive: var(--24px);
  }
}

/* src/components/label/css/theme/variations/aligned-variables.css */
@layer label.theme.variations.aligned {
  :host {
  }
}

/* src/components/label/css/theme/label-theme.css */

/* src/components/label/css/label.css */
`;var vo=({$:t})=>({}),tt=uo({tagName:"ui-label",componentSpec:J,template:X,css:Q,createComponent:vo});import{defineComponent as mo}from"@semantic-ui/component";var ot={tagName:"menu-item",content:["icon","label","badge","href","value"],contentAttributes:["icon","label","badge","href","value"],states:["hover","focused","active","disabled"],attributes:["icon","label","badge","href","value","hover","focused","active","disabled"],propertyTypes:{icon:"string",label:"string",badge:"string",href:"string",value:"string",hover:"boolean",focused:"boolean",active:"boolean",disabled:"boolean"},attributeClasses:["icon"]};var m=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/menu/css/definition/content/menu.css */
@layer menu.definition.content.menu {
  ui-menu {
    display: block;
    margin: var(--menu-margin);
    padding: var(--menu-padding);
    box-shadow: var(--menu-box-shadow);
    border: var(--menu-border);
    font-size: var(--menu-font-size);
  }
  .menu {
    display: flex;
    flex-direction: row;
    font-weight: var(--menu-font-weight);
    gap: var(--menu-gap);
    background: var(--menu-background);
    align-items: var(--menu-align-items);
    justify-content: var(--menu-justify-content);
  }
}

/* src/components/menu/css/definition/content/item.css */
@layer menu.definition.content.item {
  .item {
    display: block;
    cursor: pointer;
    background: var(--menu-item-background);
    margin: var(--menu-item-margin);
    padding: var(--menu-item-padding);
    border: var(--menu-item-border);
    color: var(--menu-item-color);
    font-weight: var(--menu-item-font-weight);
    line-height: var(--menu-item-line-height);
    box-shadow: var(--menu-item-box-shadow);
    border-radius: var(--menu-item-border-radius);
    text-align: var(--menu-item-text-align);
    text-decoration: var(--menu-item-text-decoration);
  }
  .item:hover,
  .item.hover {
    background: var(--menu-item-hover-background);
    margin: var(--menu-item-hover-margin);
    padding: var(--menu-item-hover-padding);
    border: var(--menu-item-hover-border);
    color: var(--menu-item-hover-color);
    box-shadow: var(--menu-item-hover-box-shadow);
    border-radius: var(--menu-item-hover-border-radius);
  }
  .active.item {
    cursor: default;
    background: var(--menu-item-active-background);
    margin: var(--menu-item-active-margin);
    padding: var(--menu-item-active-padding);
    border: var(--menu-item-active-border);
    box-shadow: var(--menu-item-active-box-shadow);
    font-weight: var(--menu-item-active-font-weight);
    color: var(--menu-item-active-color);
    border-radius: var(--menu-item-active-border-radius);
  }
}

/* src/components/menu/css/definition/types/selection.css */
@layer menu.definition.types.selection {
  .selection.menu {
    gap: var(--menu-selection-gap);
  }
  .selection.menu ::slotted(*),
  .selection.menu menu-item {
    --menu-item-padding: var(--menu-selection-item-padding);
    --menu-item-border-radius: var(--menu-selection-item-border-radius);
    --menu-item-color: var(--menu-selection-item-color);
    --menu-item-hover-background: var(--menu-selection-item-hover-background);
    --menu-item-hover-border-radius: var(--menu-selection-item-border-radius);
    --menu-item-hover-color: var(--menu-selection-item-hover-color);
    --menu-item-hover-box-shadow: var(--menu-selection-item-hover-box-shadow);
    --menu-item-active-background: var(--menu-selection-item-active-background);
    --menu-item-active-border-radius: var(--menu-selection-item-border-radius);
    --menu-item-active-padding: var(--menu-selection-item-active-padding);
    --menu-item-active-color: var(--menu-selection-item-active-color);
    --menu-item-active-box-shadow: var(--menu-selection-item-active-box-shadow);
  }
}

/* src/components/menu/css/definition/variations/evenly-spaced.css */
@layer menu.definition.variations.equalWidth {
  .evenly-spaced.menu {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: minmax(0, 1fr);
    --menu-item-text-align: var(--menu-evenly-spaced-item-text-align) ;
  }
}

/* src/components/menu/css/definition/variations/fitted.css */
@layer menu.definition.variations.fitted {
  :host([fitted]),
  .fitted.menu {
    margin: 0;
  }
}

/* src/components/menu/css/definition/variations/inset.css */
@layer menu.definition.variations.inset {
  .inset.menu {
    border: var(--menu-inset-border);
    border-radius: var(--menu-inset-border-radius);
    padding: var(--menu-inset-padding);
    background: var(--menu-inset-background);
  }
}

/* src/components/menu/css/definition/variations/vertical.css */
@layer menu.definition.variations.vertical {
  .vertical.menu {
    flex-direction: column;
    align-items: var(--menu-vertical-align-items);
    text-align: var(--menu-vertical-text-align);
  }
}

/* src/components/menu/css/definition/menu-definition.css */

/* src/components/menu/css/theme/content/menu-variables.css */
@layer menu.theme.content.menu {
  :host {
    --menu-margin: var(--vertically-spaced);
    --menu-font-weight: var(--normal);
    --menu-gap: var(--4px);
    --menu-align-items: flex-start;
    --menu-font-size: var(--medium);
    --menu-justify-content: flex-start;
    --menu-padding: 0;
    --menu-box-shadow: none;
    --menu-background: none;
    --menu-border: none;
  }
}

/* src/components/menu/css/theme/content/menu-item-variables.css */
@layer menu.theme.content.menuItem {
  :host {
    --menu-item-background-color: transparent;
    --menu-item-background-image: none;
    --menu-item-background: var(--menu-item-background-color) var(--menu-item-background-image);
    --menu-item-margin: 0;
    --menu-item-line-height: 1;
    --menu-item-font-weight: var(--normal);
    --menu-item-padding: var(--7px) var(--6px);
    --menu-item-border: none;
    --menu-item-border-radius: none;
    --menu-item-color: var(--standard-60);
    --menu-item-text-align: inherit;
    --menu-item-box-shadow: none;
    --menu-item-text-decoration: none;
    --menu-item-hover-background-color: var(--menu-item-background-color);
    --menu-item-hover-background-image: var(--menu-item-background-image);
    --menu-item-hover-background: var(--menu-item-hover-background-color) var(--menu-item-hover-background-image);
    --menu-item-hover-margin: var(--menu-item-margin);
    --menu-item-hover-padding: var(--menu-item-padding);
    --menu-item-hover-color: var(--standard-100);
    --menu-item-hover-border: var(--menu-item-border);
    --menu-item-hover-box-shadow: var(--menu-item-box-shadow);
    --menu-item-hover-border-radius: var(--menu-item-border-radius);
    --menu-item-active-background-color: var(--menu-item-active-background-color);
    --menu-item-active-background-image: var(--menu-item-active-background-image);
    --menu-item-active-font-weight: var(--bold);
    --menu-item-active-background: var(--menu-item-background);
    --menu-item-active-margin: var(--menu-item-margin);
    --menu-item-active-padding: var(--menu-item-padding);
    --menu-item-active-color: var(--primary-text-color);
    --menu-item-active-border: var(--menu-item-border);
    --menu-item-active-box-shadow: var(--menu-item-box-shadow);
    --menu-item-active-border-radius: var(--menu-item-border-radius);
  }
  html.dark {
    --menu-item-color: var(--standard-30);
    --menu-item-hover-color: var(--standard-100);
    --menu-item-active-color: var(--primary-text-color);
  }
}

/* src/components/menu/css/theme/types/selection-variables.css */
@layer menu.theme.type.selection {
  :host {
    --menu-selection-gap: 6px;
    --menu-selection-item-padding: 7px 6px;
    --menu-selection-item-border-radius: var(--border-radius);
    --menu-selection-item-color: var(--standard-30);
    --menu-selection-item-hover-padding: var(--menu-selection-item-padding);
    --menu-selection-item-hover-background: var(--standard-10);
    --menu-selection-item-hover-color: #013A4F;
    --menu-selection-item-hover-box-shadow: none;
    --menu-selection-item-active-padding: var(--menu-selection-item-padding);
    --menu-selection-item-active-background: #D0EBF3;
    --menu-selection-item-active-color: var(--primary-text-color);
    --menu-selection-item-active-box-shadow: 0px 1px 6px rgb(85 147 167 / 77%) inset;
  }
  @container style(--dark-mode: true) {
    :host {
      --menu-selection-item-hover-background: transparent;
      --menu-selection-item-hover-color: var(--standard-90);
      --menu-selection-item-active-background: #35B7F1;
      --menu-selection-item-active-color: var(--black-90);
      --menu-selection-item-active-box-shadow: 0px 0px 10px rgb(0 92 165) inset;
    }
  }
}

/* src/components/menu/css/theme/variations/evenly-spaced-variables.css */
@layer menu.theme.variations.evenlySpaced {
  :host {
    --menu-evenly-spaced-item-text-align: center;
  }
}

/* src/components/menu/css/theme/variations/vertical-variables.css */
@layer menu.theme.variations.vertical {
  :host {
    --menu-vertical-align-items: stretch;
    --menu-vertical-text-align: center;
  }
}

/* src/components/menu/css/theme/variations/inset-variables.css */
@layer menu.theme.variations.inset {
  :host {
    --menu-inset-padding: 3px 4px;
    --menu-inset-border-radius: var(--border-radius);
    --menu-inset-border: var(--internal-border);
    --menu-inset-background: var(--inverted-15);
  }
}

/* src/components/menu/css/theme/menu-theme.css */

/* src/components/menu/css/menu.css */
`;var et=`{{#snippet content}}
  {{#if icon}}
    <ui-icon icon={{icon}}></ui-icon>
  {{/if}}
  {{>slot}}
{{/snippet}}

{{#if href}}
  <a class="{{ui}}item" href="{{href}}" part="item">
    {{>content}}
  </a>
{{else}}
  <div class="{{ui}}item" part="item">
    {{>content}}
  </div>
{{/if}}
`;var po=({data:t})=>{},wo={"touchstart .menu"({event:t,tpl:e,$:r}){r(this).addClass("pressed")},"touchend .menu"({event:t,tpl:e,$:r}){r(this).removeClass("pressed")}},rt=mo({tagName:"menu-item",events:wo,onCreated:po,componentSpec:ot,template:et,css:m});import{defineComponent as yo}from"@semantic-ui/component";var nt={tagName:"ui-menu",content:["item"],types:["selection"],variations:["evenly-spaced","fitted","vertical","inset"],settings:["items","value"],attributes:["item","selection","evenly-spaced","fitted","vertical","inset","items","value"],propertyTypes:{item:"string",selection:"boolean","evenly-spaced":"boolean",fitted:"boolean",vertical:"boolean",inset:"boolean",items:"array",value:"string"},defaultValues:{items:[],value:""}};var it=`<div class="{ui}menu" part="menu">
  {#each item in items}
    <menu-item
      active={isValueActive value item}
      href={item.href}
      data-value={item.value}
      exportparts="item"
    >
      {item.label}
      {#if item.badge}
        <ui-label outline badge>{item.badge}</ui-label>
      {/if}
    </menu-item>
  {else}
    {>slot}
  {/each}
</div>
`;var at=`ui-menu[selection] menu-item {
  --menu-item-padding: var(--menu-selection-item-padding);
  --menu-item-border-radius: var(--menu-selection-item-border-radius);
  --menu-item-color: var(--menu-selection-item-color);

  --menu-item-hover-background: var(--menu-selection-item-hover-background);
  --menu-item-hover-border-radius: var(--menu-selection-item-border-radius);
  --menu-item-hover-color: var(--menu-selection-item-hover-color);
  --menu-item-hover-box-shadow: var(--menu-selection-item-hover-box-shadow);

  --menu-item-active-background: var(--menu-selection-item-active-background);
  --menu-item-active-border-radius: var(--menu-selection-item-border-radius);
  --menu-item-active-padding: var(--menu-selection-item-active-padding);
  --menu-item-active-color: var(--menu-selection-item-active-color);
  --menu-item-active-box-shadow: var(--menu-selection-item-active-box-shadow);
}
`;var zo=({settings:t,self:e,$:r,dispatchEvent:a})=>({setValue(i){t.value=i,a("change",{value:i})},getValue(i){return i.value||i.href},isValueActive(i,o){return o.active?!0:i!==void 0?i==e.getValue(o):!1},selectIndex(i){let o=r("menu-item").eq(i).attr("data-value");o!==void 0&&e.setValue(o)}}),Co=({settings:t})=>{},Mo=function({$:t}){},Bo={"click menu-item"({self:t,data:e}){t.setValue(e.value)}},st=yo({tagName:"ui-menu",componentSpec:nt,template:it,css:m,pageCSS:at,createComponent:zo,events:Bo,onCreated:Co,onRendered:Mo});import{defineComponent as So}from"@semantic-ui/component";var lt={tagName:"ui-menu",types:["placeholder"],attributes:["placeholder"],propertyTypes:{placeholder:"boolean"}};var ct=`<div class="segment">
  {{>slot}}
</div>
`;var dt=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/segment/css/definition/content/segment.css */
@layer segment.definition {
  @layer segment.definition.content.segment;
}

/* src/components/segment/css/definition/variations/aligned.css */
@layer segment.definition {
  @layer segment.definition.variations.aligned;
}

/* src/components/segment/css/definition/segment-definition.css */
@layer segment.definition;

/* src/components/segment/css/theme/segment-theme.css */
@layer segment.theme;

/* src/components/segment/css/segment.css */
`;var To=({$:t})=>({}),ut=So({tagName:"ui-segment",componentSpec:lt,template:ct,css:dt,createComponent:To});import{defineComponent as Oo}from"@semantic-ui/component";var vt={tagName:"ui-modal",types:["glass"],variations:["aligned","size"],settings:["closeable"],attributes:["glass","aligned","size","closeable"],optionAttributes:{"top-aligned":"aligned",tiny:"size",small:"size",medium:"size",large:"size",big:"size"},propertyTypes:{glass:"boolean",aligned:"string",size:"string",closeable:"boolean"},allowedValues:{aligned:["top-aligned"],size:["tiny","small","medium","large","big"]},defaultValues:{closeable:!0}};var gt=`<dialog part="dialog">
  {{#if not closeable}}
    <ui-icon link x class="close"></ui-icon>
  {{/if}}
  <div class="{{ui}}modal" part="modal">
    {{>slot}}
  </div>
</dialog>
`;var ht=`/**
  ---DO NOT EDIT THIS FILE DIRECTLY---
  This CSS file was concatenated from files listed in the css/ folder as part of a build process
  This is to allow for js import with @import links which will not be followed
**/

/* src/components/modal/css/definition/content/modal.css */
@layer modal.definition.content.modal {
  dialog {
    position: fixed;
    width: inherit;
    outline: none;
    border: none;
    background-color: transparent;
    overflow: visible;
  }
  dialog {
    display: none;
    flex-direction: column;
    opacity: 0;
    scale: 0.8;
    transition: var(--modal-dialog-transition);
  }
  dialog[open] {
    display: flex;
    opacity: 1;
    scale: 1;
  }
  @starting-style {
    dialog[open] {
      opacity: 0;
      scale: 0.8;
    }
  }
  dialog::backdrop {
    background-color: rgb(0 0 0 / 0%);
    transition: var(--modal-dimmer-transition);
  }
  dialog[open]::backdrop {
    background: var(--modal-dimmer-background);
  }
  @starting-style {
    dialog[open]::backdrop {
      background: rgb(0 0 0 / 0%);
    }
  }
  dialog .modal {
    background: var(--modal-background);
    max-width: var(--modal-max-width);
    border-radius: var(--modal-border-radius);
    box-shadow: 0px 0px 0px rgba(0, 0, 0, 0);
    transition: var(--modal-transition);
  }
  dialog[open] .modal {
    box-shadow: var(--modal-box-shadow);
  }
  @starting-style {
    dialog[open] .modal {
      box-shadow: 0px 0px 0px rgba(0, 0, 0, 0);
    }
  }
  dialog ::slotted(.content) {
    padding: var(--padding);
  }
  dialog .close {
    cursor: pointer;
    align-self: flex-end;
    color: #FFF;
    margin: 0;
    font-size: 22px;
    padding: 1rem;
    opacity: 0.6;
    transition: var(--transition);
  }
  dialog .close:hover {
    opacity: 1;
  }
  dialog .close + .modal {
    margin-right: 3rem;
  }
}

/* src/components/modal/css/definition/types/glass.css */
@layer modal.definition.types.glass {
  .glass.modal {
    -webkit-backdrop-filter: var(--modal-glass-backdrop-filter);
    backdrop-filter: var(--modal-glass-backdrop-filter);
    box-shadow: var(--modal-glass-box-shadow);
    background: var(--modal-glass-background);
  }
}

/* src/components/modal/css/definition/variations/aligned.css */
@layer modal.definition.variations.aligned;

/* src/components/modal/css/definition/variations/sizing.css */
@layer modal.definition.variations.sizing {
  :host {
    width: var(--modal-medium);
  }
  :host([size="mini"]),
  :host([mini]),
  :host.mini {
    width: var(--modal-mini);
  }
  :host([size="tiny"]),
  :host([tiny]),
  :host.tiny {
    width: var(--modal-tiny);
  }
  :host([size="small"]),
  :host([small]),
  :host.small {
    width: var(--modal-small);
  }
  :host([size="large"]),
  :host([large]),
  :host.large {
    width: var(--modal-large);
  }
  :host([size="big"]),
  :host([big]),
  :host.big {
    width: var(--modal-big);
  }
  :host([size="huge"]),
  :host([huge]),
  :host.huge {
    width: var(--modal-huge);
  }
  :host([size="massive"]),
  :host([massive]),
  :host.massive {
    width: var(--modal-massive);
  }
}

/* src/components/modal/css/definition/modal-definition.css */

/* src/components/modal/css/theme/content/modal-variables.css */
@layer modal.theme.content.modal {
  :host {
    --modal-box-shadow: 2px 5px 15px rgba(0, 0, 0, 0.3);
    --modal-border-radius: var(--border-radius);
    --modal-background: var(--white);
    --modal-dimmer-background: var(--black-50);
    --modal-max-width: calc(100vw - 2rem);
    --modal-transition: all 300ms ease 100ms;
    --modal-dialog-transition-duration: 200ms;
    --modal-dialog-transition:
      opacity var(--modal-dialog-transition-duration) ease,
      scale var(--modal-dialog-transition-duration) ease,
      overlay var(--modal-dialog-transition-duration) ease allow-discrete,
      display var(--modal-dialog-transition-duration) ease allow-discrete;
    --modal-dimmer-transition-duration: 700ms;
    --modal-dimmer-transition:
      display var(--modal-dimmer-transition-duration) allow-discrete,
      overlay var(--modal-dimmer-transition-duration) allow-discrete,
      background var(--modal-dimmer-transition-duration);
  }
}

/* src/components/modal/css/theme/types/glass-variables.css */
@layer modal.theme.types.glass {
  :host {
    --modal-glass-background: none transparent;
    --modal-glass-blur: 7px;
    --modal-glass-backdrop-filter: blur(var(--modal-glass-blur));
    --modal-glass-box-shadow:
      inset -0.75px -0.5px rgba(255, 255, 255, 0.1),
      inset +0.75px +0.5px rgba(255, 255, 255, 0.025),
      3px 2px 10px rgba(0, 0, 0, 0.25),
      inset 0px 0px 10px 5px rgba(255, 255, 255, 0.025),
      inset 0px 0px 40px 5px rgba(255, 255, 255, 0.025) ;
  }
}

/* src/components/modal/css/theme/variations/aligned-variables.css */
@layer modal.theme.variations.aligned {
  :host {
  }
}

/* src/components/modal/css/theme/variations/sizing-variables.css */
@layer modal.theme.variations.sizing {
  :host {
    --modal-mini: 320px;
    --modal-tiny: 400px;
    --modal-small: 500px;
    --modal-medium: 700px;
    --modal-large: 850px;
    --modal-big: 1100px;
    --modal-huge: 1300px;
    --modal-massive: 1600px;
  }
}

/* src/components/modal/css/theme/modal-theme.css */

/* src/components/modal/css/modal.css */
`;var Eo=({$:t,dispatchEvent:e})=>({show(r=d){r()!==!1&&t("dialog").get(0).showModal(),e("show")},hide(r=d){r()!==!1&&t("dialog").get(0).close(),e("hide")}}),Ho=({})=>{},Do=function({}){},Vo={"click ui-icon.close"({event:t,self:e}){e.hide()},"click dialog"({$:t,event:e,settings:r,self:a}){r.closeable&&t(e.target).is("dialog")&&a.hide()}},bt=Oo({tagName:"ui-modal",componentSpec:vt,template:gt,css:ht,createComponent:Eo,events:Vo,onCreated:Ho,onRendered:Do});export{rt as MenuItem,S as UIButton,O as UIButtons,V as UICard,Y as UICards,y as UIContainer,K as UIIcon,Z as UIInput,tt as UILabel,st as UIMenu,bt as UIModal,B as UIRail,ut as UISegment};
//# sourceMappingURL=.min.js.map
